Before You Start

Part 1: Before You Start

Summary

Introduction

This part contains general information on Protos Classic and on how to use this manual.

Contents

Below is a description of the subjects handled in this part.

Chapter

Subject

Page

1

General Information Protos Classic

1-3

Pallas Athena
 www.pallas-athena.com
T: +31 (55) 3685300
F: +31 (55) 3685311
service@pallas-athena.com


Chapter 1 General Information Protos Classic

Summary

Introduction

This chapter contains information on Protos Classic in general, and a brief description of the changes and improvements of this version of Protos Classic compared to earlier versions. There is also a description of how to use this manual.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

1.1

Protos Classic Manual

1-4

1.2

Introduction to Protos

1-6

1.3

New functionality in Protos Classic 6.1

1-8


Protos Classic Manual

1.1 Protos Classic Manual
Introduction

Thank you for purchasing Protos Classic, a Pallas Athena product. Protos Classic is a powerful tool for recording and analysing business processes.

Purpose of this Manual

The purpose of this manual is to give a structured introduction to all the possibilities of Protos Classic.

Design of this Manual

This manual is subject-orientated. It is not a training manual where the subjects are handled in the sequence in which they are used in practice. Subjects that have a logical relationship have been grouped together in this manual in clearly-structured chapters so that searching is easy.

Additional Information

At the end of each section you will usually find a block with 'Additional Information'. This block contains a table with cross-references to topics that are connected to those in the respective section.

Screen Resolution in this Manual

You may have a different screen resolution from the one used for the examples in this manual. For optimal use of Protos, we would advise a minimum screen resolution of at least 1024 by 768 pixels. You can set this resolution using the Windows Control Panel (Display - Settings tab).

Parts

Below is a description of the information that you will find in the various parts of the manual.

Part

Title

Description

1

Before You Start

This part describes Protos Classic in general. Here, for example, you will find background information, improvements in this version of Protos Classic and information about this manual.

2

Working with Protos Classic

This part describes the modelling options of Protos Classic.

3

Analysing

This part describes the Analysis options in Protos Classic.

4

Reporting

This part describes the options offered by Protos Classic for generating reports of Process Models.

Other
Manuals

Besides this manual, the following manuals for Protos version 6.1 are also available.

  • Protos Personal.
  • Protos Enterprise.
  • Protos Organisation Modeller.
  • Protos Indicator.
  • Protos Library.
  • Installation manuals.


Introduction to Protos

1.2 Introduction to Protos
What is Protos?

Protos is a powerful tool for recording, analysing and managing business processes. It is a remarkable product that was created on the basis of the skills and practical knowledge of experienced advisers.

Basis of Protos

Protos is based on a formal model developed by Pallas Athena BV for describing administrative processes.

Modelling Methods

You can develop your own modelling method, tailored to the specific needs of your own company and clients, but you can also model according to the Petri-net method, or the formal modelling method of Pallas Athena BV.

Characteris- tics of Protos

Protos has certain characteristics that make the modelling and analysis of processes much more simple. Below are the most important characteristics of Protos.

  • Structuring.
  • Analysis.
  • Documentation.
  • Topicality.
  • Expandability.
Structuring

In order to ensure that the modelling process remains simple, in Protos you choose your own working method that fits perfectly with the structuring of your processes. Whether you prefer a top-down, a bottom-up, or even a middle-out approach, Protos supports them all.

You yourself decide how, and the extent to which, you want to include structure and hierarchy in your processes. Moreover, you can change this at any given moment.

Analysis

Protos offers extensive facilities for analysing all the relationships between the Objects, such as the relationship between Activities and Data, Activities and Roles, Activities and Applications etc. You can also make extensive analyses of the new relationships that you have defined.

Documen- tation

With Protos, you can make a comprehensive report of a process. This documentation is complete and accessible. You can use your own word processing software to do this, such as Word, or WordPerfect.

Furthermore, the export is fully-definable. From the same Process Model you can generate manuals, instructions, functional specifications etc.

Topicality

Protos always provides Process Handlers with up-to-date process descriptions via the export to HTML. HTML is a file format for designing pages for use on the Internet, or on an internal network. The HTML pages generated by Protos are very interactive and can be accessed immediately in an Internet browser such as Netscape Communicator or Internet Explorer. The electronic manual has now become a reality. The availability of a network is all you need. You do not even need to have an Intranet.

Expandability

Protos allows for the installation of additional features for specific purposes. For example, the automatic export of a Protos Process Model to specific workflow systems, or integration with simulation software.


New functionality in Protos Classic 6.1

1.3 New functionality in Protos Classic 6.1
Introduction

Protos Classic 6.1 offers all the functionalities of Protos Classic 6.0. This section describes all the new functionalities of Protos Classic 6.1. This description is divided into new functionalities in the following areas.

  • General.
  • Modelling.
  • Analysing.
  • Reporting.
  • New Add-ons.
General

Below is a description of the functionality that applies generally within the various parts of Protos Classic 6.1.

Functionality

Description

Windows XP Look and Feel

Protos has been given a Windows XP look and feel. This is particularly obvious in the following areas:

  • All menus and buttons on the toolbars now behave in the same way as in Windows XP.
  • You can create toolbars yourself.
  • It is possible to assign hotkeys to menu options.
  • Menu options are ordered according to the Microsoft default.

Font

You can change the font for the Description and Instructions tabs in one action. Of course it is still possible to change these manually on the tabs.

Modelling

Below is a description of the new functionality in modelling.

Functionality

Description

New types of
Activity

In addition to the Basic, Logistics and Authorise Activity types, you can now also choose from:

  • Communication (for example, a consultation Activity).
  • Check (for example, checking a number of items of data).

Switching
between windows using tabs

You may have opened several windows in a Process Model. For example, various Sub-Processes and the Organisation window.

The tabs at the top of the work area now mean it is very simple to open a different window.

Possibility to add Objects on an Off-Page Connector

In addition to normal Connections, it is now possible to add Objects on an Off-Page Connector.

Warning when closing the Description/Instructions tab

When you close the Description or Instructions tab via Cancel, Escape or the close cross, you are asked whether you want to save the text.

Analysing

Below is a description of the new functionality in analysing.

Functionality

Description

Block size in Analysis windows increased

The default block size of Analyses in matrix form has been increased from 25% to 40%.

Reporting

Below is a description of the new functionality in reporting.

Functionality

Description

Define HTML format

When making an HTML report of a Process Model, the report will have, for example, a yellow background by default. It is now possible to simply define the format of an HTML report. For example you can change:

  • The background colour or image of the Process Diagram.
  • The font of texts.
  • Colours of tables.
  • Colours and format of the navigation bar and tabs.

The format you define can be saved as a file (css). This means you can create several format files, for example, so you can use a different format for different purposes.

Save HTML
report options as a profile

The options for an HTML report can now be saved as a profile.

This means it is possible to create a separate report profile for different purposes or target groups.

Indirect hyperlinks now shown directly in the HTML report

Indirect hyperlinks are now directly visible in the HTML report.

Imagine that you have connected a HyperLink to a Document and you have connected this Document to an Activity.

When you click on an Activity in the HTML report, you directly see the HyperLink pertaining to the linked Document.

Teams links shown in the HTML report

As with Roles and Role Groups, you can now see an overview of the Activities to which a Team is linked from the index in the HTML report.

Analysis headers in HTML report are fixed

The headers of Analyses in the HTML report are now fixed so that they remain visible when you scroll down.

New Add-ons

Below is a description of the new add-ons.

Functionality

Description

Protos Excelerator

Protos Excelerator is a new add-on which can be used to convert information in an Excel spreadsheet into a Protos Process Model.

The following information can be included in an Excel spreadsheet:

  • Activity Name.
  • Description of the Activity.
  • Name of the Executor Role.
  • Name of the Document used.
  • Name of the Application used.

This information is converted into a sequential Process Model.


Working with Protos Classic

Part 2: Working with Protos Classic

Summary

Introduction

This part contains information on working with Protos Classic.

Contents

Below is a description of the subjects handled in this part.

Chapter

Subject

Page

2

Protos Classic: the Basis

2-15

3

Working with Process Models

2-45

4

Objects in Protos, General

2-55

5

Options in Protos

2-73

6

Manipulating with Multiple Windows

2-91

7

Working with Properties

2-107

8

Properties of Objects in the Process Area

2-121

9

Properties of Objects in the Data Area

2-143

10

Properties of Objects in the Organisation Window

2-157

11

Connections between Objects

2-165

12

Finding Objects in a Process Model

2-197

13

Using Sub-Processes

2-205

14

Relationships between Objects in Protos Classic

2-227

15

Extra Information

2-261

16

Drawing in a Process Model

2-283


Chapter 2 Protos Classic: the Basis

Summary

Introduction

This chapter contains information on the basic concepts in Protos Classic.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

2.1

Starting Protos Classic

2-16

2.2

Windows and Screen Areas in Protos Classic

2-17

2.3

Menus, Menu Options and the Toolbar in Protos Classic

2-22

2.4

Customizing the Toolbar

2-30

2.5

Defining Hotkeys

2-37

2.6

Moving the Split Bar, Menu Bar and Toolbar

2-41

2.7

Editing the Objects Palette

2-42


2.1 Starting Protos Classic
Introduction

This section describes how to start Protos Classic.

Starting Protos Classic

To start Protos Classic, follow the steps described below.

Step

Action

1

Go to the Windows Start menu.

2

Under Programs you will see Protos Classic 6.1.

3

Select the menu option Protos.

You will see that Protos Classic starts up.


Windows and Screen Areas in Protos Classic

2.2 Windows and Screen Areas in Protos Classic
Introduction

This section contains information on the windows and screen areas you will see when you start Protos Classic.

Illustration of the Protos Classic Structure

The following illustration shows the structure of windows and screen areas in Protos Classic.

Notes to Illustration

Protos Classic consists of 2 windows, the Main Process window and the Organisation window. The Main Process window consists of the Process Area and the Data Area. The Organisation window consists of the Roles Area, the Role Groups Area and the Teams Area.

Illustration of the Main Process Window

Below is an illustration of the Main Process window, with the Process Area to the left and the Data Area to the right.

Illustration of the Organisation Window

Below is an illustration of the Organisation window with the Roles, Role Groups and Teams Areas.

Use of the Screen Areas

Below is a description of the use of each screen area in Protos Classic.

Area

Function

Process Area

The Process Area is where you describe the workflow of a Process Model (the steps in a process).

Data Area

The Data Area is where you describe information and applications that are used in a process.

Roles Area

The Roles Area is where you create Roles that you use to connect Executors, those who have Responsibility, and those who are Involved, to the process.

Role Groups Area

The Role Groups Area is where you create Role Groups that you use to connect joint Executors, and those who have joint Responsibility, to the process.

Teams Area

The Teams Area is where you create Teams that you use to indicate the work allocation in a process.

Objects in the Areas

Below are the Objects that can be modelled in each Area in Protos Classic.

Area

Objects

Process Area

  • Activities
  • Sub-Processes
  • Statuses
  • Buffers
  • Triggers
  • Connections

Data Area

  • Documents
  • Folders
  • Data Elements
  • Data Groups
  • Applications

Roles Area

  • Roles

Role Groups Area

  • Role Groups

Teams Area

  • Teams
The Legend

The legend above each area displays the name of the respective area.

Split Bar

Between the various areas in the Main Process window and the Organisation window is a split bar.

The Status Bar

The status bar at the bottom of the window shows:

  • Information on the user in whose name the software is registered.
  • A progress indicator while reporting or saving the Process Model.
  • A brief description of a menu option if you pause on it with your mouse pointer.

Objects Palette

The floating window is the Objects Palette. You use this to create new Objects.

Illustration of the Objects Palette

Below is an illustration of the Objects Palette.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Manipulating with multiple windows

6.1

Split bar

2.6

Objects Palette

2.7


Menus, Menu Options and the Toolbar in Protos Classic

2.3 Menus, Menu Options and the Toolbar in Protos Classic
Main Menu

At the top of the Protos Classic window is the main menu.

Top Bar

The bar at the top shows which Process Model you are in. For example:

Protos C:\Protos\Process.pal

After the Process Model name is the part of the process where you are at present. For example:

[Main Process: Main Process].

Menu Bar

Below the bar referred to above is the menu bar. This contains the following menus:

  • File.
  • Edit.
  • Alignment.
  • View.
  • Analysis.
  • Tools.
  • Window.
  • Help.

In the following blocks are the options in the above menus and their description.

File Menu

Below is a description of the menu options in the File menu.

Menu Option

Function

New (Ctrl+N)

Create a new Process Model.

Open (Ctrl+O)

Open an existing Process Model.

Save (Ctrl+S)

Save changes to the Process Model.

Save as (Ctrl+L)

Save changes to a Process Model under a different name.

Process Model
Properties…

Open and edit general Process Model information.

Report Options

Compose contents of RTF/HTML reports.

Report

Generate reports.

Printer Options… (Ctrl+I)

Define Windows Printer Options.

Print (Ctrl+P)

Print the active screen area.

Exit

Exit Protos Process Modeller.

Edit Menu

Below is a description of the menu options in the Edit menu.

.

Menu Option

Function

Undo (Ctrl+Z)

Undo the last action.

Redo (Ctrl+Y)

Redo the last action.

Implode

Bring the selected Objects to a lower hierarchical level (place in a Sub-Process).

Sort

Automatically sort elements in Data Area, Role Groups Area or Teams Area.

Delete (Del)

Delete selected Object.

Copy (Ctrl+C)

Copy selected Object.

Paste (Ctrl+V)

Paste selected Object.

Select All (Ctrl+A)

Select all Objects in the respective area.

Find... (Ctrl+F)

Find terminology in a Process Model.

Set Sequence (Ctrl+D)

Specify the sequence of Objects in the Process Area.

Manual Sequence

Activate the 'Manual Sequence' function.

Alignment Menu

Below is a description of the menu options of the Alignment menu.

Menu Option

Function

Left

Align with the selected Object that is
furthest to the left.

Centre Horizontal

Align with the horizontal centre of selected Objects.

Right

Align with the selected Object that is furthest to the right.

Top

Align with the top selected Object.

Centre Vertical

Align with the vertical centre of selected Objects.

Bottom

Align with the lowest selected Object.

View Menu

Below is a description of the menu options of the View menu.

Menu Option

Function

Toolbars - Standard

Show (or hide) the standard toolbar using the check box.

Toolbars -
Customize...

Opens a window in which the toolbar can be modified.

Status bar

Show (or hide) using the check box.

Legend

Show (or hide) using the check box.

Tabs

Show (or hide) all open windows as tabs using the check box.

Objects Palette

Show (or hide) using the check box.

Drawing Palette

Show (or hide) using the check box.

Main Process (Alt+Home)

Opens the Main Process window.

Organisation

Opens the Organisation window.

Topview

Opens the Topview window.

Grid

Show (or hide) using the check box.

Release Manually

Cancel the Relations Analysis
(manually).

Release

Cancel the Relations Analysis.

Tips

Show (or hide) using the check box.

Swimlane

Show (hide) Analysis in form of swimlanes using check box.

Drawing

Show (or hide) using the check box.

Zoom...

Set the variable percentage of the zoom.

Zoom 100%

Set the default zoom factor.

Fit to Page

Show everything on the visible part of the screen.

Analysis Menu

Below is a description of the menu options of the Analysis menu.

Menu Option

Function

Executors

Show all Executor Roles in relation to Activities.

Responsibility

Show all Responsible Roles in relation to Activities.

Teams

Show all Teams in relation to Activities.

Data

Show all Data in relation to Activities.

Applications

Show all Applications in relation to Activities.

Tools Menu

Below is a description of the menu options of the Tools menu.

Menu Option

Function

Font - Objects...

Opens a window in which you can set the default font for all Objects in the Process Model.

Font - Description/ Instructions...

Opens a window in which you can set the default font for all Descriptions and Instructions in the Process Model.

Options...

Define the options of Protos.

File Location

Display and change the location of files and export files.

Extra Information

Define Extra Information.

Window Menu

Below is a description of the menu options of the Window menu.

Menu Option

Function

Horizontal

Arrange all open windows horizontally below each other.

Vertical (Shift+F4)

Arrange all open windows vertically next to each other.

Cascade

Arrange all open windows cascading one behind the other.

Arrange Icons

Arrange order of all minimised windows.

Process Windows, Horizontal

Arrange only the Process windows horizontally below each other.

Process Windows, Vertical

Arrange only the Process windows vertically beside each other.

Previous Window

Go to previously opened window.

Next Window

Go to next opened window.

Parent Process (Alt+Page Up)

Go up one level in the process structure.

Organisation

Activate the Organisation window.

Main Process

Activate the Main Process window.

More Windows...

Display a list of all the open windows.

Help Menu

Below is a description of the menu options in the Help menu.

Menu Option

Function

Index

Activates Protos Help.

Manual

Protos manual.

About Protos

Shows Protos version information.

Accessing Help

You can access Help as follows.

Step

Action

1

  • Press the F1 key, or
  • Select the Help menu and then Index.

2

Select the Object about which you need information.

You will see the Help screen that belongs to the respective Object.

Toolbar

At the top of the Protos Classic window, under the menu bar, is the toolbar.

Buttons

In order to carry out an action quickly, click on one of the toolbar buttons with your left mouse button. All these actions and a number of less frequently-used actions can also be accessed through the menu bar.

Tooltips

The toolbar contains a number of tooltips. A tooltip is a memory aid: If you hold your mouse pointer over a particular button for a few seconds, Protos shows a brief explanation of that button’s function.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening a Process Model

2.1

Customizing the toolbar

2.4

Defining hotkeys

2.5


Customizing the Toolbar

2.4 Customizing the Toolbar
Introduction

In Protos you are able to customize existing toolbars or define a new toolbar. This section describes how to create a toolbar and to select the menu options to be used.

Customize Window

Toolbars are created or modified in the Customize window. This window contains three tabs.

  • Toolbars tab.
  • Commands tab.
  • Keyboard tab.
  • Note

The Keyboard tab is covered in more detail in a later section.

Opening the Customize Window

You can open the Customize window as follows.

Step

Action

1

  • Select the View menu followed by Toolbars and then the Customize... menu option.
Opening the Customize Window Alternative

Below is an alternative method for opening the Customize window.

Step

Action

1

  • Click on the [image] button at the end of the toolbar.
  • Select the Customize... menu option.

Toolbars Tab

The illustration below shows the Toolbars tab in which you can create a new toolbar, delete an existing toolbar or change the name of an existing toolbar.

Commands Tab

The following illustration shows the Commands tab. This contains a summary of all the menus and menu options that you can use to compose the toolbar. You can view the description for a number of menu options.

Creating a New Toolbar

You can create a new toolbar as follows.

Step

Action

1

  • Open the Customize window.
  • Select the Toolbars tab.

2

  • Click on the New... button.
  • Type in the name of the new toolbar.
  • Click on OK.

You will see that the new toolbar appears to the left of the Customize window.

Renaming the Toolbar

You can change the name of a toolbar as follows.

Note

It is not possible to rename the standard toolbar.

Step

Action

1

  • Open the Customize window.
  • Select the Toolbars tab.

2

Select the toolbar with the name you want to change.

3

  • Click on the Rename... button.
  • Enter the desired name for the toolbar.
  • Click on OK.

Adding Menu Options to a Toolbar

You can add menu options to a toolbar as follows.

Step

Action

1

  • Open the Customize window.
  • Select the Toolbars tab.

2

Select the toolbar you want to customize.

3

Select the Commands tab.

4

  • Select the desired menu in the Categories window.
  • Select the desired menu option in the Commands window.

If the Description button is active, you can click it to view the description of the menu option.

5

  • Hold down your left mouse button on the desired menu option.
  • Drag the menu option to the toolbar.
  • Release your left mouse button when the cursor changes to [image].

You will see that the menu option appears in the toolbar as a button or in text form.

Removing Menu
Options from the Toolbar

You can remove menu options from the toolbar as follows.

Step

Action

1

  • Open the Customize window.
  • Select the Toolbars tab.

2

Select the toolbar you want to customize.

3

Select the Commands tab.

4

  • On the toolbar, select the menu option you want to remove.
  • Hold down your left mouse button.
  • Drag the menu option to the Commands window.
  • Release your left mouse button.

You will see that the menu option disappears from the toolbar.

Default Values

You can always restore the default values of the standard toolbar. This means that the menu options you have selected yourself are replaced by the original default menu options of Protos. You can restore the default values of the standard toolbar as follows.

Step

Action

1

  • Open the Customize window.
  • Select the Toolbars tab.

2

Click on the Reset... button.

You will see the following warning.

3

  • Click on Yes.
  • Click on Close.

Deleting a Toolbar

You can delete a toolbar as follows.

Note

It is not possible to delete the standard toolbar.

Step

Action

1

  • Open the Customize window.
  • Select the Toolbars tab.

2

Select the toolbar you want to delete.

3

Click on the Remove button.

You will see the following warning.

4

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Keyboard tab

2.5


2.5 Defining Hotkeys
Introduction

Many menu options in Protos have so-called hotkey combinations. For instance, you can use the combination Ctrl+A on the keyboard to select all the Objects. This section describes how you can define or delete hotkey combinations.

Keyboard Tab

The following illustration shows the Keyboard tab in the Customize window. This contains an overview of all the existing hotkey combinations pertaining to the menu options. You can also define the hotkey combinations for the menu options yourself here.

Defining Hotkeys

To define the hotkeys for menu options, follow the steps below.

Step

Action

1

Select the View menu followed by Toolbars and then the Customize... menu option.

2

Select the Keyboard tab.

3

  • Select the desired menu from the Category options menu.
  • Select the desired menu option for which you want to define a hotkey in the Commands window.

You may see the existing hotkey combination for the menu option appear in the Current Assignments field.

4

  • Click in the field under the text Press new shortcut key.
  • Press the desired hotkey combination.

You will see the hotkey combination appear in the field at the bottom right.

5

Click on the Assign button.

You will see the hotkey combination appear in the Current Assignments field.

6

Click on Close.

Deleting Hotkeys

You can delete hotkeys as follows.

Step

Action

1

Select the View menu followed by the Customize... menu option.

2

Select the Keyboard tab.

3

  • Select the desired menu from the Category options menu.
  • Select the desired menu option for which you want to delete the hotkey in the Commands window.

4

  • Select the hotkey combination in the Current Assignments field.
  • Click on the Remove button.

You will see the hotkey combination disappear from the Current Assignments field.

5

Click on Close.

Default Values

You can always restore the default values for all hotkeys. This means that the hotkeys you have defined yourself are replaced by the default hotkeys in Protos. You can restore the default values of the hotkeys as follows.

Step

Action

1

Select the View menu followed by the Customize... menu option.

2

Select the Keyboard tab.

3

Click on the Reset All button.

You will see the following warning.

4

  • Click on Yes.
  • Click on Close.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Customize window

2.4

Customizing the toolbar

2.4


Moving the Split Bar, Menu Bar and Toolbar

2.6 Moving the Split Bar, Menu Bar and Toolbar
Introduction

This section describes how to move the split bar, menu bar and toolbar.

Moving the Split Bar

You can move the split bar, which divides the screen areas in Protos Classic, as follows.

Step

Action

1

Place your mouse pointer on the split bar.

2

Wait for the pointer to change into a double arrow.

3

  • Hold down your left mouse button.
  • Drag the split bar to the desired place.
  • Release your left mouse button.
Moving the Split Bar or Toolbar

You can move the menu bar, with the various menu options or the toolbar, with its buttons for implementing menu options quickly, as follows.

Note

If you drag the menu or toolbar to the borders of the window, it is incorporated into the borders. If you drag the menu or toolbar to a different location, it is displayed in its own window.

Step

Action

1

Place your mouse pointer on the border to the left of the menu bar or the toolbar.

2

Wait for the mouse pointer to change into [image].

3

  • Hold down your left mouse button.
  • Drag the menu or toolbar to the desired place.
  • Release your left mouse button.


Editing the Objects Palette

2.7 Editing the Objects Palette
Introduction

This section describes how to move, enlarge, reduce, close and reopen the Objects Palette.

Moving the Objects
Palette

You can move the Objects Palette as follows.

Step

Action

1

Place your mouse pointer on the top (blue) bar in the Objects Palette.

2

  • Hold down your left mouse button.
  • Drag the Objects Palette to the desired place.
  • Release your left mouse button.
Reducing or Enlarging the Objects Palette

Once you have become familiar with the purpose of the Objects, you may choose to reduce the Palette's size so you can only see the icons. This leaves you more screen space for process modelling. You can reduce the Objects Palette to the chosen size as follows.

Step

Action

1

Place your mouse pointer on the border of the Objects Palette.

2

Wait for the pointer to change into a double arrow.

3

  • Hold down your left mouse button.
  • Drag the border inwards or outwards until the Objects Palette is the desired size.
  • Release your left mouse button.
Closing the Objects Palette

You close the Objects Palette as follows.

Step

Action

1

Click on the small cross [image] in the upper right corner of the Objects Palette.

Opening or Closing the Objects Palette Alternative

Below is an alternative method of closing or opening the Objects Palette.

Step

Action

1

Select the View menu followed by the Objects Palette menu option.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Drawing Palette

16.3


Chapter 3 Working with Process Models

Summary

Introduction

This chapter contains information on opening, saving etc. Process Models in Protos Classic.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

3.1

Saving Process Models

2-46

3.2

Opening a New Process Model

2-48

3.3

Opening a Process Model

2-49

3.4

Saving Process Models under a Different Name

2-51

3.5

Closing an Opened Process Model

2-52


Saving Process Models

3.1 Saving Process Models
Introduction

This section describes how to save an opened Process Model.

Saving a New Process Model

After starting Protos Classic, you will find yourself in a new model. Follow the steps below to save a new Process Model.

Step

Action

1

In the toolbar, click on the [image] button.

A type of Windows Explorer will open.

2

  • Give the pal file the desired name.
  • If necessary select a different file location.

3

Click on Save.

Saving an Opened
Process Model

An opened Process Model is one that already has a name and a file location. To save the changes in an opened Process Model, follow the steps below.

Step

Action

1

In the toolbar, click on the [image] button.

Saving a
Process Model Alternative

Below is an alternative method of saving a Process Model.

Step

Action

1

  • Select the File menu and then the Save menu option, or
  • Press the Ctrl+S keys.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

File location for saving Process Models

5.5

Saving Process Models under a different name

3.4


3.2 Opening a New Process Model
Introduction

This section describes how you can open a new, empty Process Model from an already-opened Process Model.

Opening a New Process Model

To open a new Process Model, follow the steps below.

Step

Action

1

In the toolbar, click on the [image] button.

You are now in an empty Process Model again.

Note

If you have not saved the changes in the opened Process Model, Protos will ask whether you want to save them.

Opening a New Process Model Alternative

Below is an alternative method of opening a new Process Model.

Step

Action

1

  • Select the File menu and then the New menu option, or
  • Press the Ctrl+N keys.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Saving a Process Model

3.1

Closing a Process Model

3.5


Opening a Process Model

3.3 Opening a Process Model
Introduction

An existing Process Model is one that has already been saved at some time. This section describes how to open an existing Process Model.

Opening an Existing
Process Model

To open an existing Process Model follow the steps below.

Step

Action

1

In the toolbar, click on the [image] button.

A type of Windows Explorer will open.

2

  • Browse to the desired file location.
  • Select the desired pal file.

3

Click on Open.

Opening an Existing
Process Model Alternative

Below is an alternative method of opening an existing Process Model.

Step

Action

1

  • Select the File menu and then the Open menu option, or
  • Press the Ctrl+O keys.

2

  • Browse to the desired file location.
  • Select the desired pal file.

3

Click on Open.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Saving a Process Model

3.1

Opening a new Process Model

3.2


Saving Process Models under a Different Name

3.4 Saving Process Models under a Different Name
Introduction

This section describes how to save an opened Process Model under a different name.

Saving under a Different Name

To save a Process Model under a different name, follow the steps below.

Step

Action

1

Select the File menu and then the Save As menu option.

2

  • Give the pal file the desired name.
  • If necessary select a different file location.

3

Click on Save.

Saving under a Different Name
Alternative

Below is an alternative method for saving a Process Model under a different name.

Step

Action

1

Press the Ctrl+L keys.

2

  • Give the pal file the desired name.
  • If necessary select a different file location.

3

Click on Save.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

File location for saving Process Models

5.5


Closing an Opened Process Model

3.5 Closing an Opened Process Model
Introduction

This section describes how to close an opened Process Model.

Closing a Process Model

Below are the various methods of closing an opened Process Model.

  • Closing a new Process Model.
  • Closing an existing Process Model.
  • Exiting Protos Classic.
Exiting Protos Classic

To exit Protos Classic, follow the steps below.

Step

Action

1

Click on the cross [image] in the top right corner of the Protos window.

Note

If you have not saved the changes in the opened Process Model, Protos will ask you whether you want to save them.

Exiting Protos Classic Alternative

Below is an alternative method of exiting Protos Classic.

Step

Action

1

Select the File menu and then the Exit menu option.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening a new Process Model

3.2

Opening an existing Process Model

3.3


Chapter 4 Objects in Protos, General

Summary

Introduction

This chapter contains information on general actions that apply to Objects in Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

4.1

General Object Manipulation in Protos

2-56

4.2

Definitions of Objects in Protos

2-57

4.3

Creating Objects

2-56

4.4

Deleting Objects

2-62

4.5

Naming Objects

2-63

4.6

Selecting Objects

2-65

4.7

Moving Objects

2-68

4.8

Sorting Objects

2-70

4.9

Copying Objects

2-71


General Object Manipulation in Protos

4.1 General Object Manipulation in Protos
Introduction

For all the Objects in Protos, a number of actions are exactly the same. Below is a list of these actions.

  • Create.
  • Delete.
  • Name.
  • Select.
  • Move.
  • Sort.
  • Copy.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Objects

4.3

Deleting Objects

4.4

Naming Objects

4.5

Selecting Objects

4.6

Moving Objects

4.7

Sorting Objects

4.8

Copying Objects

4.9


Definitions of Objects in Protos

4.2 Definitions of Objects in Protos
Introduction

In Protos you can model a number of Objects. This section describes which Objects can be created in each area, and their definition.

Objects in the Process Area

Below is a definition of the Objects in the Process Area.

Object

Definition

You use a Trigger to model an event that leads to carrying out, restarting, or cancelling an Activity, a Process or Sub-Process, or a Status.

‘Application Form is Received’, for example.

You use an Activity to model an action, or a series of actions, that represents a single, logical unit of work. In short, a step in a process.

‘Register Application’, for example .

You use a Sub-Process to model a part of a process that serves as a logical grouping of Activities, Triggers, Statuses and other Sub-processes.

For example, the ‘Process Quotation’ part of a process.

You use a Buffer to model a storage place for work, usually physical.

‘Archives’, for example .

You use a Status to model a moment in time between Activities, Sub-Processes and Triggers, such as a milestone or a waiting time.

‘Awaiting Information’, for example.

Objects in the Data Area

Below is a definition of the Objects in the Data Area.

Object

Definition

You use a Document to model a document that is involved in carrying out the process.

‘Application Form’, for example .

You use a Folder to model a folder in which you can logically group Documents and Sub-Folders.

‘Client Folder’, for example .

You use a Data Element to model an item of information. It is the smallest unit of information in Protos.

The ‘Client Name’ unit, for example.

You use a Data Group to model a collection of data, and it is therefore used for logically grouping Data Elements.

‘NAC Details of a Client', for example.

You use an Application to model software or a system that is used in the process.

‘Word Processor’, for example .

Objects in the Organisation Window

Below is a definition of the Objects in the Organisation window.

Object

Definition

You use a Role to describe the function or competence profile of Employees who are authorised to carry out an Activity.

‘Assessor’, for example .

A Role Group is a collection of Roles. You can use this to indicate that Activities are carried out by more than one Role.

‘Assessor Group’, for example .

You use a Team to indicate how work is distributed in the process.

‘Postcode Teams’, for example .

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Properties of Objects in the Process Area

Hfst.8

Properties of Objects in the Data Area

Hfst.9

Properties of Objects in the Organisation Window

Hfst.10


Creating Objects

4.3 Creating Objects
Introduction

Every Object in Protos is created in the same way. This section describes how to create Objects.

Illustration of Creating an Object

Below is an illustration of how to create an Object.

Creating an Object

To create an Object, follow the steps below.

Step

Action

1

In the Objects Palette, select the Object you want to create.

2

  • Hold down your left mouse button on the Object.
  • Drag the Object to the correct screen area.
  • Release your left mouse button at the desired place.

A new Object is created.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Connections

11.6

Deleting Objects

4.4


Deleting Objects

4.4 Deleting Objects
Introduction

Every Object in Protos is deleted in the same way. This section describes how to delete an Object.

Confirm Delete

If you have check-selected the Confirm Delete option box in the Tools menu under Options..., Protos will ask you to confirm that the Object should be deleted.

Deleting an Object

To delete an Object, follow the steps below.

Step

Action

1

Select the Object that you want to delete.

2

Click once with your right mouse button and select the Delete menu option.

Deleting an Object Alternative

Below is an alternative method of deleting an Object.

Step

Action

1

Select the Object that you want to delete.

2

  • Press the Delete key, or
  • Select the Edit menu and then the Delete (Del) menu option.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Deleting Connections

11.7

General Options

5.3


Naming Objects

4.5 Naming Objects
Introduction

You can name all Objects that you create in Protos. If you do not give an Object a name, then Protos will give it one automatically. This name consists of the name of the Object plus a number. The number ensures that Objects have a unique name. This section describes how to change the name of an Object.

Changing the Name of an Object

To change the name of an Object directly on the Object itself, follow the steps below.

Step

Action

1

Select the Object of which you want to change the name.

2

Click once with your left mouse button on the Object.

The name of the Object is selected and the cursor blinks on and off behind the name.

3

Change the name.

4

Press the Enter key.

Changing the Name of an Object
Alternative

Below is an alternative method of changing the name of an Object directly on the Object itself.

Step

Action

1

Select the Object of which you want to change the name.

2

Press the F2 function key.

3

Change the name.

4

  • Press the Enter key, or
  • Click on an empty place in the work area.
Changing the Name by Using Properties

To change the name of an Object using the Properties window, follow the steps below.

Step

Action

1

Select the Object of which you want to change the name.

2

Click once with your right mouse button and select the Properties... menu option.

3

Select the General tab.

4

Type in the name of the Object in the field behind Name.

5

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening Object Properties

7.2

Naming a Connection

11.14

Properties of Objects in the Process Area

Hfst.8

Properties of Objects in the Data Area

Hfst.9

Properties of Objects in the Organisation Window

Hfst.10


Selecting Objects

4.6 Selecting Objects
Introduction

This section describes how you can select Objects.

Selecting Several Objects

To move, delete or connect several Objects at the same time, you first need to select them. In Protos you have 3 options for selecting several Objects.

Selecting Option 1

Below is the first option for selecting several Objects.

Step

Action

1

Hold down the Ctrl key.

2

  • Click with your left mouse button on the various Objects that you want to select, or
  • Click again on an Object to deselect it.
Selecting Option 2

Below is the second option for selecting several Objects.

Step

Action

1

Position your mouse pointer to the top left, or top right of the highest Object that you want to select.

2

Hold down your left mouse button.

3

Draw a rectangle around the Objects you want to select.

4

Release your left mouse button.

Selecting Option 3

Below is the third option for selecting several Objects.

Step

Action

1

  • Press Ctrl+A, or
  • Select the Edit menu and then the Select All menu option.

2

If you like, you can reduce the selection by clicking on Objects with your left mouse button while holding down the Ctrl key.

Selecting Objects that are Connected to Each Other

Below is a simple way of selecting all Objects that are connected to each other. Follow the steps below.

Note

  • This is only possible in the Process and Roles Areas because it is only here that Connections can be created.
  • This is only possible with Objects that are modelled lower down than the selected Object.

Step

Action

1

Select an Object.

2

Hold down your left mouse button for longer than a second.

Note

Do not move the mouse during that time.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Deleting Objects

4.4

Moving Objects

4.7

Selecting multiple Angles

11.8

Connecting several Objects

14.8


Moving Objects

4.7 Moving Objects
Introduction

This section describes how to move Objects. You do this, for example, when you want to create more space in the Process, or insert other Objects.

Moving Objects in the Process or Roles Area

To move Objects in the Process or Roles Area, follow the steps below.

Step

Action

1

Select the Object you want to move.

2

  • Hold down your left mouse button.
  • Drag the Object to the desired place.

During dragging, the outline of the Object being moved is visible under the mouse pointer.

3

Release your left mouse button when the cursor changes to [image].

Moving Objects in the Data, Role Groups or Teams Areas

To move Objects in the Data, Role Groups and Teams Areas, follow the steps below.

Note

Unlike Objects in the Process and Roles Areas, Objects in the Data, Role Groups and Teams Areas cannot be dropped in any free space. They are always positioned horizontally below each other.

Step

Action

1

Select the Object you want to move.

2

  • Hold down your left mouse button.
  • Drag the Object between two existing Objects.

During dragging, the outline of the Object being moved is visible under the mouse pointer.

3

Release your left mouse button when the cursor changes to [image].

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Moving Connections

11.9

Selecting Objects

4.6

Copying Objects

4.9

Sorting Objects

4.8


4.8 Sorting Objects
Introduction

You can sort the Objects in the Data, Role Groups and Teams Areas. When you sort Objects, Protos places all Objects of the same type together and arranges them in alphabetical order and according to size.

Sorting Objects

To sort Objects by type and name, follow the steps below.

Step

Action

1

Open the desired area or window.

2

Select the Edit menu and then the Sort menu option.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Switching between windows

6.2


Copying Objects

4.9 Copying Objects
Introduction

This section describes how you can copy Objects in Protos. This is useful, for example, if you have defined an Activity that needs to be carried out again in another part of the process. All the information that you entered for the respective Object is also copied and so remains unchanged. The name of the Object does change, however. As every Object in a Process Model has a unique name, a number is placed after the name. This name can be changed later on.

Copying an Object

To copy an Object, follow the steps below.

Note

This method of copying does not apply to Sub-Processes.

Step

Action

1

Select the Object that you want to copy.

2

Hold down your left mouse button together with the Ctrl key.

3

Drag the Object to the location where you want to have the copy.

You will see that, during dragging, the outline of the Object you are copying is visible and the mouse pointer changes to [image].

4

Release your left mouse button and the Ctrl key.

Copying an Object Alternative

In the following table is an alternative method of copying an Object.

Step

Action

1

Select the Object that you want to copy.

2

  • Press the Ctrl+C keys, or
  • Select the Edit menu and then the Copy menu option.

3

  • Press the Ctrl+V keys, or
  • Select the Edit menu and then the Paste menu option.

In the Process and Roles Areas, the copy of the Object will be placed in the upper left corner of the area.

In the Data, Role Groups and Teams Areas, the copy of the Object will be placed at the bottom of the list of existing Objects. The copy is automatically selected so you can edit it straight away, for example.

Tip

You can copy several Objects at the same time by first selecting them. All the Connections between the selected Objects are then also copied.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Selecting Objects

4.6

Moving Objects

4.7

Naming Objects

4.5


Chapter 5 Options in Protos

Summary

Introduction

This chapter contains information on options in Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

5.1

Possible Options in Protos

2-74

5.2

Type of Options

2-77

5.3

Defining General Options

2-80

5.4

Defining the Font

2-87

5.5

Defining the File Location

2-89


Possible Options in Protos

5.1 Possible Options in Protos
Introduction

In Protos you can choose your own settings for certain things. There are three locations where options can be changed.

  • General Options in the Options window .
  • Font Options.
  • File Location Options.
Options Window

There are 3 tabs in the Options window where general options can be changed.

  • Options tab .
  • Analysis tab.
  • Colours tab.
Options Tab Options

Below are the possible settings on the Options tab of the Options window.

  • Confirm Delete and Explode.
  • Save automatically.
  • Object Height and Width.
  • Screen info Options.
  • Grid Options.
  • Substitution Options when copying from a Sub-Process.
  • Double-Click function on a Sub-Process.
Analysis Tab Options

Below are the possible options on the Analysis tab of the Options window.

  • Resizing for Executor Analysis.
  • Resizing for Responsibility Analysis.
  • Resizing for Team Analysis.
  • Resizing for Data Analysis.
  • Resizing for Applications Analysis.
Options of Colours Tab

Below are the possible options of the Colours tab in the Options window.

  • Background colour for all screen areas in Protos Process Modeller.
  • Background colours for the Objects Palette and Drawing Palette.
  • Colours for Used by? and Contains? Analysis.
  • Colours of Tips.
Font

In Protos you can adjust the font to your own preference. Below are the consequences of changing the font.

  • The name of all Objects will be displayed in the chosen font.
  • The Objects Palette will be displayed in the chosen font.
  • The texts in the Descriptions and Instructions of a Process Model will be in the chosen font.
  • In the RTF report of a Process Model, the texts in Objects and those of the Descriptions and Instructions will be in the chosen font.
File Location

Below are the files that can be generated from Protos.

  • Pal files, the file version of Process Models.
  • RTF files, the files that are generated for hard copy (paper) reports.
  • HTML files, the files that are generated for electronic reports.
  • CRUD files, the files that are generated for a CRUD matrix.
  • RACI files, the files that are generated for a RACI matrix.
  • XLS/HTML files, the files that are generated for a report on the Extra Information of a Process Model.
  • HTML Format..., the CSS files that are generated for Cascading Stylesheets.

In Protos, you can specify the default location for saving these files.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Type of Options

5.2

General Options

5.3

Defining the Font

5.4

Defining a File Location

5.5

Cascading Stylesheets

5.5


Type of Options

5.2 Type of Options
Introduction

Options in Protos can vary. Below are three possibilities.

  • Generally-applicable Options.
  • Process Model-specific Options.
  • Options per session.
Generally- Applicable Options

Generally-applicable options are valid regardless of the Process Model in which you are working. After exiting Protos these options remain intact.

Process Model-
Specific Options

Process Model-specific options only apply to the Process Model in which you are working at that moment.

Note

If you start a new Process Model, then Protos takes over the Process Model-specific options from the last model you saved.

Options Per Session

Options per session apply as long as Protos is active. If you exit Protos and start it up again, the default options will again apply.

Most Important Options

Below is a general overview of where you will find the most important options and their type.

Option

Type

Place

Object

Width

Process Model

Tools - Options...

Height

Process Model

Tools - Options...

Font

Process Model

Tools - Font

Font Size

Process Model

Tools - Font

Confirm Delete

General

Tools - Options...

Confirm Explode

General

Tools - Options...

Substitution Option

Process Model

Tools - Options...

Grid

On/Off

Process Model

Tools - Options...

Size

Process Model

Tools - Options...

Visible (show/hide)

Process Model

Tools - Options...

File Location

Process Models

General

Tools - File Location

RTF files

General

Tools - File Location

HTML files

General

Tools - File Location

XLS/HTML files

General

Tools - File Location

CRUD files

General

Tools - File Location

HTML Format files

General

Tools - File Location

View

Toolbar On/Off
(default On)

Session

View

Status Bar On/Off (default On)

Session

View

Legend On/Off
(default On)

Session

View

Objects Palette

Session

View

Tips

General

View

Swimlane

General

View

Analysis

Release Manually On/Off

Session

View - Release

Column Width

Process Model

Tools - Options...

Row Height

Process Model

Tools - Options...

Block Size

Process Model

Tools - Options...

Colours

Windows and Screen Areas

General

Tools - Options...

Analysis

General

Tools - Options...

Tips

General

Tools - Options...

Report Options

Process Model

File


Defining General Options

5.3 Defining General Options
Introduction

This section describes where and how you can define general options in Protos. These general options are defined in the Options window on the Options, Analysis and Colours tabs.

Illustration of the Options Tab

Below is an illustration of the Options tab.

Options Tab Options

Below are the options you can select on the Options tab.

Options

Description

Confirm Delete

You use this to indicate whether Protos should ask for confirmation when
deleting an Object.

Confirm Explode

You use this to indicate whether Protos should ask for confirmation when
exploding a Sub-Process.

Object Width

Here you determine the width of Objects in pixels. This option does not apply to Statuses.

Object Height

Here you determine the height of Objects in pixels. A Status is half this height.

Screen info

Here you determine whether information is displayed as a tooltip if you pause with the mouse pointer on an Object.

  • Empty field: no information is displayed on your screen.
  • Name: the full name is displayed as a tooltip.
  • Description: the first three lines of the Description of the Object are displayed as a tooltip.
  • Instructions: the first three lines of the Instructions of the Object are displayed as a tooltip.

Grid Distance

A grid divides up the worksheet into a number of points. The best setting for the grid size is 50% of the Object Height.

Snap to Grid

Here you specify whether Objects you place in the Process Area are automatically aligned to the top left against the nearest grid point.

Grid Visible

Here you determine whether the grid is shown or hidden. Visible grid points are not included in the export to HTML or RTF.

Substitution

Here you determine how Protos behaves in relation to Substitution of Objects of the same type, when dragging a Process Model from Protos Explorer into another Process Model.

  • No: this means no Substitution takes place during copying.
  • Manually: Protos will ask for confirmation for each Object eligible for Substitution during copying.
  • Automatically: Protos will automatically substitute every eligible Object during copying.

Double-Click on Sub-Process

Here you specify the function of 'double-clicking' on a Sub-Process.

  • Properties: if you 'double-click' on the Sub-Process the Properties window opens.
  • Open: if you 'double-click' on the Sub-Process Object the contents of the Sub-Process opens.
Illustration of Analysis Tab

The following illustration shows the Analysis tab.

Analysis Tab Options

On the Analysis tab you define the resizing of the Analysis windows in Protos. This resizing is a percentage of the size of the current font.

Illustration of Colours Tab

Below is an illustration of the Colours tab.

Colours Tab Options

Below are the options that you can select on the Colours tab.

Options

Description

Objects

Here you define the colours of the following windows and screen areas:

  • Areas in the Main Process window.
  • Areas in the Organisation window.
  • Analysis windows.
  • Objects Palette and Drawing Palette.

Analyses

Here you can define the 7 colours that are shown consecutively when carrying out the Used by? and Contains? Analyses.

Tips

Here you define the colours of the 4 Tips at the corners of Objects.

Opening the Options Window

You can open the Options window as follows.

Step

Action

1

Select the Tools menu and then the Options... menu option.

2

Select the desired tab by clicking on it with your left mouse button.

3

Select the desired options.

4

Click on OK.

Defining
Colours

You can define the colours of screen areas, Analyses or Tips as follows.

Step

Action

1

Open the Options window.

2

Select the Colours tab.

3

Click with your left mouse button on the coloured box behind the option that has the colour you want to change.

A Colour palette will open.

4

Click with your left mouse button on the desired colour.

5

Click on OK.

6

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening a Sub-Process

13.2

Substituting Relationships

14.11

Analysis windows

17.3

Used by? and Contains? Analysis

17.2

Tips

15.8


Defining the Font

5.4 Defining the Font
Introduction

This section describes how you can change the font of Objects and/or Description/Instructions.

Consequences of Changing the Font of Objects

Below you can see where the changed font of Objects will be found.

  • Names of Objects.
  • Objects Palette.
  • Diagrams in RTF Reports.
Consequences of Changing the Font of Description/ Instructions

Below you can see where the changed font of Description/Instructions will be found.

  • Texts in the Description and Instructions tab of Objects.
  • Descriptions and Instructions in RTF reports.
Illustration

Below is an illustration of the window where you can change the font.

Changing the Font

You can change the font as follows.

Step

Action

1

  • Select the Tools menu.
  • Then select the Font menu option followed by the Objects... menu option or the Description/Instructions... menu option.

The window where you can change the font opens.

2

Select the desired font.

Note

You can choose from the fonts that are installed on your PC.

3

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Reporting to RTF

21.3


Defining the File Location

5.5 Defining the File Location
Introduction

This section describes how to change the file location of files generated by Protos. This is the default location where Protos saves files.

Possible Files

Below are the files that can be generated by Protos.

  • Pal files.
  • RTF files.
  • CRUD files.
  • HTML files.
  • RACI files.
  • XLS/HTML files.
  • HTML Format files.
Illustration

Below is an illustration of the window where you can change the file location.

Changing the File Location

To change the file location, follow the steps below.

Step

Action

1

Select the Tools menu and then the File Location menu option.

2

Select the file type for which you want to define the default location.

The window where you can change the file location will open.

3

Browse to the location where the files should be saved as default.

4

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Reporting to RTF

21.3

Reporting to HTML

22.3

Reporting to XLS/ HTML

25.2

Generating RACI reports

25.4

Generating CRUD reports

25.3

Creating and changing HTML Format files

25.3


Chapter 6 Manipulating with Multiple Windows

Summary

Introduction

This chapter contains information on working with various opened windows in Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

6.1

Possibilities of Working with Multiple Windows

2-92

6.2

Working with Multiple Opened Windows

2-94

6.3

More Windows...

2-98

6.4

Changing Window Size

2-100

6.5

Displaying All Objects

2-101

6.6

Topview Window

2-104


Possibilities of Working with Multiple Windows

6.1 Possibilities of Working with Multiple Windows
Introduction

In Protos there are various windows and screen areas where Objects can be modelled. In some cases it is useful to be able to have these different windows open at the same time.

Every Sub-Process Has its Own Window

Every Sub-Process in a Process Model has its own window that consists of a Process Area and a Data Area. So the more Sub-Processes you use, the more windows you have.

Opened Windows

All windows that you open in Protos remain active until you close them, even if you meanwhile open other windows. You can choose to position multiple opened windows as tabs above the Main Process and Organisation window. This allows you to switch between all the opened windows without any problems.

Displaying Several Windows

In Protos you can display several windows and/or screen areas at the same time. So you can position the Main Process window and the Organisation window beside each other, for example.

Options

Below are the various actions that are possible if you position several windows beside each other.

  • Creating Relationships between Objects or Data Objects in the various Sub-Processes.
  • Connecting Objects in the various Sub-Processes.
  • Connecting Organisation Objects to Process Objects by dragging.
  • Copying Objects between various Sub-Processes.
Topview Window

When you use Sub-Processes, you create several levels in your Process Model. This structure of Sub-Processes is displayed in the Topview window. As each Sub-Process has its own Data Area, the Data Objects in the respective Sub-Process are also displayed in the Topview window.

Possibilities of the Topview Window

Below are the possibilities offered by the Topview window.

  • Overview of all Sub-Processes in a Process Model.
  • Easy way of opening Sub-Processes at a lower level.
  • Copying or moving Data Objects between Data Areas of different Sub-Processes.
  • Connecting Data Objects in different Sub-Processes.
Displaying All Objects

It could happen that your model is so large that it does not all fit on your screen. Using the Zoom option you can display all the Objects on-screen. This is useful, for example, for creating Connections.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Switching between windows

6.2

Opening multiple windows

6.2

Changing window size

6.4

Topview window

6.6

Zooming in and out

6.5


Working with Multiple Opened Windows

6.2 Working with Multiple Opened Windows
Introduction

This section describes how you can switch between various opened windows and how to display multiple opened windows.

Example

The example Process Model, 'Process SMC', serves as an illustration of working with multiple windows.

Opened Windows

Suppose that the following parts of 'Process SMC' are open:

  • The 'Process SMC' Main Process.
  • The 'Process Notification' Sub-Process.
  • The 'Gather Information' Sub-Process.
  • The Organisation window.
Illustration of the Window Menu

Below is an illustration of the Window menu when the above-mentioned windows are opened.

Switching
between Windows

You can switch between the opened windows as follows.

Step

Action

1

In the toolbar, click on the [image] buttons.

Switching between Windows Alternative

Below is an alternative method of switching between opened windows.

Step

Action

1

Select the Window menu.

2

From the bottom of this menu, select the window you want to open.

Illustration Tabs

Below is an illustration of the 'Process SMC' Process Model. The 4 opened windows are displayed as tabs above the Main Process window.

Displaying Opened Windows as Tabs

In Protos you have the possibility to display opened windows as tabs. These tabs are above the active window. By selecting a tab you can switch between the opened windows.

Enabling Tabs

Follow the method described below to display the opened windows as tabs.

Step

Action

1

Select the View menu and then the Tabs menu option.

Illustration of Displaying Multiple Windows

Below is an illustration of the 'Process SMC' Process Model with the 4 opened windows displayed.

Displaying Multiple Windows

To display multiple opened windows on your screen, follow the steps below.

Step

Action

1

Select the Window menu.

2

  • Select the Horizontal menu option, or
  • Select the Vertical menu option, or
  • Select the Cascade menu option.
Displaying Only the
Process Window

You can choose only to display all the opened Process windows. The Analysis windows and the Organisation window are then not shown. To display only the opened Process windows, follow the steps below.

Step

Action

1

Select the Window menu.

2

  • Select the Process Windows, Horizontal menu option, or
  • Select the Process Windows, Vertical menu option.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Using Sub-Processes

13.1

Off-Page Connectors

11.11

Relationships between Objects in different windows

14.1

More Windows... menu option

14.1


More Windows...

6.3 More Windows...
Introduction

This section describes how you can open a list of all open windows in order to select one and work with it.

Illustration More Windows

Below is an illustration of the window that is opened when you select the More Windows... menu option.

Notes to Illu- stration

A summary of all the open windows is displayed in this window. You will also see a number of buttons. Different buttons are active depending on the number of windows you select. Below is a description of these buttons.

Button

Description

Activate

Activates the selected window.

OK

Closes the More Windows... window.

Close Window(s)

Closes the window(s).

Cascade

Cascades the selected windows.

Tile Horizontally

Positions the selected windows horizontally.

Tile Vertically

Positions the selected windows vertically.

Minimize

Minimises the selected window.

Opening the More windows... Window

You can open the More windows... window as follows.

Step

Action

1

Select the Window menu and then the More Windows... menu option.


Changing Window Size

6.4 Changing Window Size
Introduction

This section describes how you can change the size of the windows.

Changing the Size of the Entire Protos Window

To change the size of the entire Protos window, follow the steps below.

Step

Action

1

Pause with your mouse pointer on the [image] icon in the bottom right of the Protos window.

The mouse pointer will change into a double arrow.

2

  • Hold down your left mouse button.
  • Drag the window until it is the desired size.
  • Release your left mouse button.

3

Maximise the window again by clicking on the [image] button in the top bar of the Protos window.

Changing the Window Size

You can change the size of a window in Protos as follows.

Step

Action

1

Open the desired window.

2

Click on the [image] button belonging to that window.

The window will be minimised.

3

  • Hold your mouse pointer on the border of the window until it changes into a double arrow.
  • Hold down your left mouse button.
  • Drag the window until it is the desired size.
  • Release your left mouse button.

4

Maximise the window again by clicking on the [image] button in the top bar of the window.


6.5 Displaying All Objects
Introduction

A Process Model may become longer than the height of your screen so that not all Objects can be displayed. This section describes how you can still have all Objects in that model displayed.

Displaying All Objects

You can display all Objects as follows.

Step

Action

1

In the toolbar, click on the [image] button.

The Process Model is reduced so that all the Objects fit onto the screen.

Displaying All Objects Alternative

Below is an alternative method of displaying all Objects.

Step

Action

1

Select the View menu and then the Fit to Page menu option.

Returning to Original Size

You can return a Process Model to its original size (100%) as follows.

Step

Action

1

In the toolbar, click on the [image] button.

The Process Model is displayed in its original size again.

Returning to Original Size Alternative

Below is an alternative method of returning a Process Model to its original size.

Step

Action

1

Select the View menu and then the Zoom 100% menu option.

Defining the Variable Zoom Factor

To define the size of the Process Model exactly as you would like it, follow the steps below.

Step

Action

1

Click with your left mouse button on the [image] field in the toolbar.

The cursor is blinking in the field.

2

  • Type in the desired zoom factor, or
  • Click on [image] to choose the desired zoom factor.

3

Press Enter.

Defining Variable Zoom Factor Alternative

Below is an alternative method of defining the Process Model size as you would like it.

Step

Action

1

Select the View menu and then the Zoom... menu option.

A window with an entry field will open.

2

  • Type in the desired zoom factor, or
  • Click on [image] to choose the desired zoom factor.

3

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Connecting Objects

11.6


Topview Window

6.6 Topview Window
Introduction

This section describes how to open and close the Topview window, and what it displays.

Illustration

Below is an illustration of the Topview window of the 'Process SMC' sample Process Model.

Notes to
Illustration

The Topview window displays all Sub-Processes and their hierarchical relationship in a Process Model. It also shows the Data Objects that are modelled in the Data Area of each Sub-Process.

Opening the Topview Window

You can open the Topview window as follows.

Step

Action

1

In the toolbar, click on the [image] button.

Opening the Topview
Window
Alternative

Below is an alternative method for opening the Topview window.

Step

Action

1

Select the View menu and then the Topview menu option.

Displaying Data Objects

You can show the Data Objects of a Sub-Process in the Topview window as follows.

Step

Action

1

Open the Topview window.

2

Click on the plus sign [image] before a Sub-Process.

The Data Objects of the Sub-Process are now displayed.

Colours of Sub-Processes

Below is a description of the significance of the colour of a Sub-Process name in the Topview window.

Colour

Description

Black

The Sub-Process is not opened.

Blue

The Sub-Process is opened, but not active.

Red

The Sub-Process is opened and active.

Closing the Topview Window

You can close the Topview window as follows.

Step

Action

1

Click on the small cross [image] in the upper right corner of the Topview window.

Closing the Topview
Window
Alternative

Below is an alternative method for closing the Topview window.

Step

Action

1

  • In the toolbar, click on the [image] button, or
  • Select the View menu and then the Topview menu option.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Using Sub-Processes

13.2

Connecting Data Objects using the Topview window

14.9


Chapter 7 Working with Properties

Summary

Introduction

This chapter contains information on working with Properties of Objects in Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

7.1

Tabs on the Properties Window

2-108

7.2

Viewing Object Properties

2-111

7.3

Editing Text in the Standard Tabs

2-114

7.4

Working with Object-Specific Properties

2-117


Tabs on the Properties Window

7.1 Tabs on the Properties Window
Introduction

You can include information for every Object in Protos. You do this in a window containing four or more tabs. Some Objects have extra tabs in which you can include specific information on that Object.

Standard Tabs

Below is a description of the four standard tabs of all Objects.

Tab

Description

General

Specifying Object-specific items.

You use this tab for every Object, to enter its name. You also specify a number of items for each Object here.

Description

General description.

This tab is suitable for entering information that describes ‘What is happening?’

Instructions

Targeted information on the actions to be carried out.

This tab is for targeted text for Process Handlers and describes ‘How is it happening?’

Extra

Object and Process Model-specific matters that you define yourself.

This tab contains the various extra attributes that you have defined for each Object. You do not define the attributes on this tab. You do give the value of the data item here.

Object-
Specific Tabs

Below is an overview of the specific tabs per Object.

Object

Specific tabs

Activity

  • Data
  • Applications
  • Involved

Trigger

  • Trigger Contents
  • Applications
  • Involved

Sub-Process

  • Data
  • Applications
  • Involved

Document

  • Document Contents
  • Involved

Folder

  • Folder Contents
  • Involved

Data Element

  • Involved

Data Group

  • Data Group Contents
  • Involved

Application

  • Application Contents
  • Involved

Role Group

  • Role Group Contents

Team

  • Team Contents

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Viewing Object Properties

7.2

Entering Object Properties

7.4

Specific Properties of Objects in the Process Area

Hfst.8

Specific Properties of Objects in the Data Area

Hfst.9

Specific Properties of Objects in the Organisation Window

Hfst.10


Viewing Object Properties

7.2 Viewing Object Properties
Introduction

Every Object in Protos has a number of Properties that you can view in the Properties window. A number of Properties can be displayed on your screen as information if you have selected the Screen info option. This section describes how you can open the Properties window. You will also learn how to display Screen info.

Viewing Object
Properties

To view Object Properties, follow the steps below.

Step

Action

1

Select the Object of which you want to view the Properties.

2

Click once with your right mouse button and select the Properties... menu option.

You will see that the Properties window is opened.

3

Select the desired tab.

Viewing Object
Properties Alternative

Below is an alternative method of viewing Object Properties.

Note

In order to use this alternative method, go to the Tools menu and, under Options..., set the Double-Click function to Properties.

Step

Action

1

Double-click with your left mouse button on the Object of which you want to view the Properties.

2

Select the desired tab.

Tip

It could be useful to view the same Properties tab of different Objects in quick succession. To do this, follow the steps below.

Note

This method only works with Objects of the same type. If you switch between the Properties of Objects of different types, then the tab you opened last will always open.

Step

Action

1

Select the Object of which you want to view the Properties.

2

Click once with your right mouse button and select the Properties... menu option.

You will see that the Properties window is opened.

3

Select the desired tab.

4

Double-click on another Object while the Properties window is still open.

You will see that the Properties window of this new Object opens on the same tab as that of the first Object.

Displaying Properties as Screen Info

If you have indicated on the Options tab of the Tool Options window that you want to view the Name, Description or Instructions of an Object as Screen info, you can display this information. You can display Screen info as follows.

Step

Action

1

Select the Object of which you want to display a Property as Screen info.

2

Hold your mouse pointer for one second over the Object, without moving.

Depending on the options you have chosen, you will see the Name, Description or Instructions of the Object displayed as Screen info.

Illustration

The following illustration shows the full name of the ‘Quality Control’ Activity as Screen info.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Options

5.1


Editing Text in the Standard Tabs

7.3 Editing Text in the Standard Tabs
Introduction

Protos offers various options for entering textual information on the four standard tabs General (name), Description, Instructions and Extra. This section describes how you can edit text in the standard tabs.

Layout
Options

The Description and Instructions tabs allow you to use layout options. To do this, use the toolbars above these tabs.

Overview of Icons

The functions of the icons on the toolbars for editing text are described below.

Icon

Function

Cut the selected text.

Copy the selected text.

Paste the selected text.

Undo last action.

Redo last action.

Find in the text.

Find and replace in the text.

Edit a Hyperlink in the text.

Change layout template of the text.

Change colour of the text.

Change the font of the selected text.

Change the size of the selected text.

Make the selected text bold.

Italicise the selected text.

Underline the selected text.

Place the selected text in superscript.

Place the selected text in subscript.

Align the selected text to the left.

Align the selected text to the centre.

Align the selected text to the right.

Place the selected text in list format.

Place the selected text in numbered list format.

Decrease indent of selected text.

Increase indent of selected text.

Entering Information

To enter textual information, follow the steps below.

Step

Action

1

Select the Object for which you want to enter information on the standard tabs.

2

Click once with your right mouse button and select the Properties... menu option.

You will see that the Properties window is opened.

3

Select the desired tab.

4

Enter the desired information.

5

  • Click on OK, or
  • Press the Enter key.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Extra Information

15.1

Tabs on the Properties window

7.1


Working with Object-Specific Properties

7.4 Working with Object-Specific Properties
Introduction

This section describes how you can enter, select or choose specific Properties on the General tab of a number of Objects. It also contains information on how to enter information on the Object-specific tabs.

Illustration

The following illustration shows the General tab of an Activity.

Method for Entering Information

Information can be entered on the tabs of an Object in various ways. The following table gives an example of each method. Entering text is explained separately in a different section. Other methods are described below.

Method

Example

Entering Text

The General tab

Selecting a Property

The

General tab

Options menu

The General tab

Creating
Relationship

The Data tab
Selecting Properties

To select specific Properties, follow the steps below.

Step

Action

1

Select the Object of which you want to select specific Properties.

2

Click once with your right mouse button and select the Properties... menu option.

3

Select the General tab.

4

Click-select the empty check-box of the desired option(s).

You will see a tick appear in the empty box.

5

Click on OK.

Options Menus

To select a Property from an options menu, follow the steps below.

Step

Action

1

Select the Object of which you want to select specific Properties.

2

Click once with your right mouse button and select the Properties... menu option.

3

Select the General tab.

4

Click on the field and make your selection.

5

Click on OK.

Creating Relationships

You can create Relationships between Objects by dragging an Object from the Data Area or Organisation window onto the Object-specific tabs of another Object. These Relationships form the basis for the Analyses generated by Protos.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Object tabs

7.1

Entering text on standard tabs

7.3

Properties of Objects in the Process Area

Hfst.8

Properties of Objects in the Data Area

Hfst.9

Properties of Objects in the Organisation Window

Hfst.10

Relationships between Objects

14.1


Chapter 8 Properties of Objects in the Process Area

Summary

Introduction

This chapter contains information on the Properties of Objects in the Process Area.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

8.1

Process Model Properties

2-122

8.2

Main Process Properties

2-124

8.3

Trigger Properties

2-126

8.4

Activity Properties

2-129

8.5

Sub-Process Properties

2-135

8.6

Buffer Properties

2-139

8.7

Status Properties

2-141


Process Model Properties

8.1 Process Model Properties
Introduction

We use the term Process Model to describe the total body of interrelated Objects. Besides the standard tabs, the Process Model Object has some specific Properties and tabs. In this section you will find information about the Properties of the Process Model in Protos Classic.

Opening the Properties Window

Follow the steps below to open the Properties window of a Process Model.

Step

Action

1

Select the File menu.

2

Select the Process Model Properties... menu option.

Illustration

The following illustration shows the tabs of the Process Model.

General Tab: Name

Here you enter the name of the Process Model as it will appear in the reports.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Entering Properties

7.4

Extra Information

15.1


Main Process Properties

8.2 Main Process Properties
Introduction

In Protos the Main Process is viewed as a Sub-Process that is composed of several other Sub-Processes, or none. Besides the standard tabs the Main Process also has some Properties that are specific. This section contains information on the Properties of the Main Process.

Opening the Properties Window

To open the Properties window of a Main Process, follow the steps below.

Step

Action

1

Select the View menu.

2

Select the Topview menu option.

You will see that a new window appears on the left in the Process Area.

3

Select the first Sub-Process at the top of the Topview window.

4

Click once with your right mouse button and select the Properties... menu option.

Illustration

The following illustration shows the tabs of the Main Process.

General Tab: Name

If you change the name of the Process Model here, the name will also change in the Main Menu of the Main Process window.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Entering Properties

7.4

Main Process window

2.2

Topview window

6.6

Extra Information

15.1


Trigger Properties

8.3 Trigger Properties
Introduction

Besides the standard tabs, the Trigger also has some tabs and Properties that are specific. This section contains information on the Properties of the Trigger Object type.

Illustration

The following illustration shows the tabs of the Trigger Object type.

General Tab: Waiting Period

Here you can determine the time (in days, hours and minutes) after which the Trigger should be activated. There are also non-time activated Triggers. In that case you need not enter anything in this field.

General Tab: Type

On the General tab you will find the Type menu option. The type of Trigger determines what the event initiates. Depending on the type that is chosen, the icon on the Trigger Object will change. Below are the types with their meaning, and their respective icons.

Type

Description

Time

Use this to define a reminder term, for example.

Telephone

Use this to model that a process is started by a telephone claim notification, for example.

Mail

With this, for example, you can model that a decision in a process is only taken after a request for payment has arrived through the mail.

File

Use this, for example, to model that Activities/processes start after information has been received by EDI (Electronic Data Interchange).

Software

Use this, for example, to model that the software sends a signal as a result of which an Activity is carried out. An example is starting an Activity following a signal from a system.

Human

Use this, for example, to model that Activities/processes are started after a client has visited the reception.

E-Business

Use this, for example, to model that Activities/processes start after information has been received by EDI (Electronic Data Interchange).

General Tab: Cyclic

This indicates that restarting or cancelling an Activity takes place in consecutive cycles. By selecting this Property a blue [image] will appear on the Trigger Object.

Applications Tab

Below you can see which Objects can be included in the Applications tab.

  • Application.
Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.
Trigger Contents Tab

Below you can see which Objects can be included in the Trigger Contents tab.

  • Folder.
  • Document.
  • Data Group.
  • Data Element.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Definition of a Trigger

4.2

Viewing Properties

7.2

Entering Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Activity Properties

8.4 Activity Properties
Introduction

Besides the standard tabs an Activity also has some tabs and Properties that are specific. This section contains information on the Properties of the Activity Object type.

Illustration

The following illustration shows the tabs of the Activity Object type.

General Tab: Options Menus

Below is a description of the various options menus.

Options Menu

Description

Executor

You can choose from a list of Roles and Role Groups that you have defined in the Organisation window. You use this to indicate the Role or Role Group that carries out the Activity.

= # Task Handler of:

Here you can select either = or # in combination with an Activity. You use this to indicate that the Role or Role Group that carries out this Activity can be the same (=) or should not be the same (#) as for another Activity.

Responsible

You can choose from a list of Roles and Role Groups that you have defined in the Organisation window. You use this to indicate the Role or Role Group that is responsible for the Activity.

= # Responsible for:

Here you can select either = or # in combination with an Activity. You use this to indicate that the Role or Role Group that is responsible for this Activity can be the same (=) or should not be the same (#) as for another Activity.

Team

You can choose from a list of Teams that you have defined in the Organisation window. You use this to indicate that the work is distributed.

= # Team of:

Here you can select either = or # in combination with an Activity. You use this to indicate that the Team for this Activity can be the same (=) or should not be the same (#) as for another Activity.

General Tab: Type

On the General tab you will find the Type options menu. Depending on the type that is chosen, the icon on the Activity Object will change. Below are the icons and the meaning of the various types.

Type

Function

Basic

A Basic Activity is usually an Activity where value is added. This could be the case, for example, when making a calculation or preparing a decision letter.

Logistics

A Logistics Activity involves actions that have to do with storing or retrieving folders, sending documents, distributing new mail etc. Movement or change of place is often involved.

Authorise

An Authorise Activity is intended as an authorisation moment. An example is approving a payment. It is used when an actual authorisation is displayed.

Check

A Check Activity has a controlling function. An example is checking that all the appendices are enclosed with a request. A Check Activity can also take place in quality control or in the event of a choice.

Communication

A Communication Activity is used to display internal communication moments and communication with external Roles. These are moments when knowledge is transferred such as verbal consultation or meetings.

General Tab: Options

On the General tab are a number of options that you can select. Depending on the chosen option, the icon on the Activity Object will change. Below is a description of the available options.

Option

Description

Multiple

  • This indicates that the same Activity can be carried out several times, possibly simultaneously.
  • The icon is three-dimensional.

Start

  • The Start Activity of a Sub-Process is preceded by another Activity.
  • The icon has a single green block.
  • The Start Activity of a Process Model is the first Activity of the entire Process Model.
  • The icon has two green blocks.

End

  • Carrying out the Activity ends the Sub-Process in which it is located.
  • The icon has a single red block.
  • Carrying out the Activity ends the entire Process Model.
  • The icon has two red blocks.

User Initiative

  • The Activity can only be carried out on the initiative of an end user, so not automatically as soon as previous Activities in a Process Model have been completed.
  • The icon has a single blue block.

Batch

  • The Activity is carried out for a large number of different cases in a single cycle.
  • The icon has a single black block.

Selective

  • With a Batch Activity, the Batch should not be processed in random order but according to a specific sequence.
  • The icon has a black block in the centre and a grey block in front of it.

Size

  • The number of cases that may be carried out in a single cycle.
  • The icon does not change.

Waiting
Period

  • The average time a Batch has to wait to be carried out.
  • The icon does not change.
Batch Example

Suppose that there are two consecutive Activities: to create folders and to register folders. If the Batch Size is 50 and the Batch Waiting Period is 24, this means that, once a day, first the Create Folder Activity is carried out for 50 cases, and then the Register Activity is carried out for 50 cases. Both times the total number of cases is carried out in a single cycle. In the case of a Batch Selective process, the Batch is also sorted according to priority or a specific Property, for example.

Data Tab

Below you can see which Objects can be included in the Data tab.

  • Folder.
  • Document.
  • Data Group.
  • Data Element.

You also indicate here whether the Data Objects are mandatory, created or deleted.

Applications Tab

Below you can see which Objects can be included in the Applications tab.

  • Application.
Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.

You also indicate here whether the Roles and/or Role Groups should be informed or consulted.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Definition of an Activity

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1

Role, Role Group and Team

14.3


Sub-Process Properties

8.5 Sub-Process Properties
Introduction

Besides the standard tabs, a Sub-Process also has some tabs and Properties that are specific. This section contains information on the Properties of the Sub-Process Object type.

Illustration

The following illustration shows the tabs of the Sub-Process Object type.

General Tab: Options Menus

Below is a description of the various options menus.

Options Menu

Description

Responsible

You can choose from a list of Roles and Role Groups that you have defined in the Organisation window. You use this to indicate the Role or Role Group that is responsible for the Sub-Process.

= # Responsible for:

Here you can select either = or # in combination with an Activity. You use this to indicate that the Role or Role Group that is responsible for this Sub -Process can be the same (=) or should not be the same (#) as for another Activity or Sub-Process.

General Tab: Options

On the General tab are a number of options that you can select. Depending on the chosen option, the icon on the Sub-Process Object will change. Below is a description of the available options.

Option

Description

Multiple

  • This indicates that the same Sub-Process can be carried out several times, possibly simultaneously.
  • The icon is three-dimensional.

Start

  • Carrying out the Sub-Process starts the Sub-Process in which it is located. This is also important for indicating the correct sequence with repeats or loops.
  • The icon has a single green block.
  • A Start Sub-Process of a Process Model acts as the first Sub-Process of the entire Process Model.
  • The icon has two green blocks.

End

  • Carrying out the Sub-Process ends the Sub-Process in which it is located.
  • The icon has a single red block.
  • Carrying out the Sub-Process ends the entire Process Model.
  • The icon has two red blocks.

User Initiative

  • The Sub-Process is only carried out on the initiative of an end user, so not automatically as soon as previous Activities in a Process Model are completed.
  • The icon has a single blue block.

Batch

  • The Sub-Process is carried out in a single cycle for a large number of different Cases.
  • The icon has a single black block.

Selective

  • The Batch of a Batch Sub-Process should not be carried out in random order but according to a specific sequence.
  • The icon has a black block in the centre and a grey block in front of it.

Size

The average number of Cases that are carried out in a cycle.

Waiting
Period

The average time a Batch has to wait to be carried out.

Data Tab

Below you can see which Objects can be included in the Data tab.

  • Folder.
  • Document.
  • Data Group.
  • Data Element.

You also indicate here whether the Data Objects are mandatory, created or deleted.

Applications Tab

Below you can see which Objects can be included in the Applications tab.

  • Application.
Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Definition of a Sub-Process

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Buffer Properties

8.6 Buffer Properties
Introduction

The Buffer only has the standard tabs for including information. So you cannot include any data in the Buffer. This data is on the Connections from and to a Buffer. This section contains information on the Properties of the Buffer Object type.

Illustration

The following illustration shows the tabs of the Buffer Object type.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Buffer

4.2

Viewing Properties

7.2

Entering Properties

7.4

Tabs

7.1

Relationships between Objects

14.1

Connections to Buffers

11.4

Properties of Buffer Connections

11.15


Status Properties

8.7 Status Properties
Introduction

A Status has only the standard tabs for including information. This section contains information on the Properties of the Status Object type.

Illustration

The following illustration shows the tabs of the Status Object type.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Status

4.2

Viewing Properties

7.2

Entering Properties

7.4

Tabs

7.1

Using Statuses

11.2


Chapter 9 Properties of Objects in the Data Area

Summary

Introduction

This chapter contains information on the Properties of Objects in the Data Area.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

9.1

Document Properties

2-144

9.2

Folder Properties

2-147

9.3

Data Element Properties

2-149

9.4

Data Group Properties

2-152

9.5

Application Properties

2-154


Document Properties

9.1 Document Properties
Introduction

Besides the standard tabs, Documents also have some tabs and Properties that are specific. This section describes the Properties of the Document Object type.

Illustration

The following illustration shows the tabs of the Document Object type.

General Tab: Type

On the General tab you will find the Type menu option. Depending on the type you choose, the icon on the Document Object will change. Below is an overview of the types and the respective icons.

Icon

Type

Paper.

Electronic Mail.

File.

Fax.

General Tab: In/Out

On the General tab you will find the In/Out menu option. Depending on the type you choose the icon on the Document Object will change. Below is a description of the various Document types and their respective icons.

Type

Description

In

Incoming Document. Documents that are sent by third parties or that are sent in via Electronic Mail.

Out

Outgoing Document. Documents that are sent to third parties or that are sent out via Electronic Mail.

Internal

Internal Document. Documents that are used internally.

In/Out

Incoming and Outgoing Document. Documents that are both received and sent out.

Document Contents Tab

Below you can see which Objects can be included in the Document Contents tab.

  • Folder.
  • Document.
  • Data Group.
  • Data Element.
Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Document

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Folder Properties

9.2 Folder Properties
Introduction

Besides the standard tabs the Folder also has some specific tabs. This section describes the Properties of the Folder Object type.

Illustration

In the following illustration you can see the tabs of the Folder Object type.

Folder Contents Tab

Below you can see which Objects can be included in the Folder Contents tab.

  • Folder.
  • Document.
  • Data Group.
  • Data Element.
Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Folder

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Data Element Properties

9.3 Data Element Properties
Introduction

Besides the standard tabs a Data Element also has some tabs and Properties that are specific. This section describes the Properties of the Data Element Object type.

Illustration

In the following illustration you can see the tabs of the Data Element Object type.

General Tab: Type

On the General tab you will find the Type menu option. Depending on the type that is chosen, the icon on the Data Element Object will change. The various types are derived from the data types used in Information Technology (IT). Below is a description of the various types with their respective icons. The usual IT term is shown in brackets.

Type

Description

Number

(Integer): This is used to indicate numbers.

Date

(Date): This is used to indicate a date.

Time-Stamp

(Time-Stamp): Besides the date indication, this is used to indicate the exact time.

Yes/No

(Boolean): This is used to indicate a choice between two alternatives.

Text

(String): You use this for Data Elements that consist of text only. With this type you can also indicate the length using the number of characters.

General

(Untyped): These are untyped Data Elements. You use these if you do not want to have a more specific definition of the data type.

Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Data Element

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Data Group Properties

9.4 Data Group Properties
Introduction

Besides the standard tabs the Data Group also has some tabs that are specific. This section describes the Properties of the Data Group Object type.

Illustration

In the following illustration you can see the tabs of the Data Group Object type.

Data Group Contents Tab

Below you can see which Objects can be included in the Data Group Contents tab.

  • Data Element.
  • Data Group.
Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.

This often involves External Roles such as clients. This allows you to indicate explicitly that the Name Address City data, for example, relates to or comes from an external client. So in all the Data Groups in your process that involve contacts with the 'outside world', for example, you can include the Involved parties. In this way the so-called 'lines of visibility' are clearly shown.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Data Group

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Application Properties

9.5 Application Properties
Introduction

Besides the standard tabs the Application also has some tabs and Properties that are specific. This section describes the Properties of the Application Object type.

Illustration

In the following illustration you can see the tabs of the Application Object type.

General Tab: Automatic

By selecting the Automatic option you indicate that the Application starts automatically. By not selecting this option you indicate that the end user should start the Application manually. An Application that should be started by the end user has a blue icon. The icon of an automatic Application is green.

Application Contents Tab

Below you can see which Objects can be included in the Application Contents tab.

  • Document.
  • Folder.
  • Data Element.
  • Data Group.
Involved Tab

Below you can see which Objects can be included in the Involved tab.

  • Role.
  • Role Group.

This often involves External Roles such as clients. You use this to indicate explicitly that an external department, for example, is responsible for processing a batch file. So, in all the Applications in your process that involve contacts with the 'outside world' you can include external Involved parties. In this way the so-called 'lines of visibility' are clearly shown.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining an Application

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Chapter 10 Properties of Objects in the Organisation Window

Summary

Introduction

This chapter contains information on the Properties of Objects in the Organisation window, the window in which you create Roles, Role Groups and Teams.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

10.1

Role Properties

2-158

10.2

Role Group Properties

2-160

10.3

Team Properties

2-162


Role Properties

10.1 Role Properties
Introduction

Besides the standard tabs the Role also has Properties that are specific. This section contains information on the Properties of the Role Object type.

Illustration

The following illustration shows the tabs of the Role Object type.

General Tab: Organisation

On the General tab you will find the Organisation menu option. Depending on your choice, the colour of the icon on the Role Object will change. Below is a description of the types of Organisation from which you can choose.

Organisation

Description

Internal

  • This indicates that the person carrying out the Role forms part of the organisation(s) in which the modelled process takes place.
  • An Internal Role has a blue cap as its icon.

External

  • This indicates that the person carrying out the Role does not form part of the organisation(s) in which the modelled process takes place.
  • An External Role has a red cap as its icon.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Role

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Role Group Properties

10.2 Role Group Properties
Introduction

Besides the standard tabs the Role Group also has tabs that are specific. This section contains information on the Properties of the Role Group Object type.

Illustration

The following illustration shows the tabs of the Role Group Object type.

Role Group Contents Tab

Below you can see which Objects can be included in the Role Group Contents tab.

  • Internal Role.
  • External Role.

Note

You can recognise the composition of the group by the colour of the caps in the icon.

  • Internal Roles only: two blue caps.
  • External Roles only: two red caps.
  • Internal and External Roles: one blue and one red cap.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Role Group

4.2

Internal and External Roles

10.1

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Team Properties

10.3 Team Properties
Introduction

Besides the standard tabs the Team also has tabs that are specific. This section contains information on the Properties of the Team Object type.

Illustration

The following illustration shows the tabs of the Team Object type.

Team Contents Tab

Below you can see which Objects can be included in the Team Contents tab.

  • Document.
  • Folder.
  • Data Element.
  • Data Group.

Note

The Data Objects are important with respect to deciding on the distribution.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining a Team

4.2

Viewing Properties

7.2

Editing Properties

7.4

Tabs

7.1

Relationships between Objects

14.1


Chapter 11 Connections between Objects

Summary

Introduction

This chapter contains information on Connections between Objects.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

11.1

Possible Connections between Objects

2-167

11.2

Connections in the Workflow

2-169

11.3

Connections to Triggers

2-171

11.4

Connections to Buffers

2-173

11.5

Connections between Roles

2-175

11.6

Creating Connections

2-176

11.7

Deleting Connections

2-178

11.8

Angles in Connections

2-179

11.9

Moving Connections

2-182

11.10

Inserting Objects on a Connection

2-183

11.11

Off-Page Connectors

2-184

11.12

Aligning Objects

2-186

11.13

General Properties of Connections

2-189

11.14

Naming a Connection

2-191

11.15

Properties of Trigger and Buffer Connections

2-193

11.16

Conditions on Connections

2-195


Possible Connections between Objects

11.1 Possible Connections between Objects
Introduction

In Protos there are 2 areas where you can create Connections between Objects: the Process Area and the Roles Area.

Possible Connections in the Process Area

The Objects that can be connected in the Process Area are described below.

Object:

Can be connected to:

Trigger

  • Trigger.
  • Activity.
  • Sub-Process.
  • Status.

Activity

  • Trigger.
  • Activity.
  • Sub-Process.
  • Buffer.
  • Status.

Sub-Process

  • Trigger.
  • Activity.
  • Sub-Process.
  • Buffer.
  • Status.

Buffer

  • Activity.
  • Sub-Process.

Status

  • Trigger.
  • Activity.
  • Sub-Process.
  • Status.
Various Connections in the Process Area

Primarily, Connections in the Process Area indicate the sequence of the process. Connections in the Process Area may have different colours and shapes, each with its own meaning. In the Process Area a distinction is made between different Connections.

  • Connections in the workflow.
  • Connections to and from Triggers.
  • Connections to and from Buffers.
Connections in the Roles Area

In the Roles Area you can connect Roles to each other in order to indicate a hierarchical relationship between them.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Connections in the workflow

11.2

Connections to Triggers

11.3

Connections to Buffers

11.4

Connections between Roles

11.5


Connections in the Workflow

11.2 Connections in the Workflow
Introduction

This section describes Connections in the workflow.

Illustration

The following illustration shows an example of Connections in the workflow for processing a claim.

Notes to
Illustration

Connections in the workflow are coloured black and indicate the path that a case may take through the process. These Connections run between Activities, Statuses and Sub-Processes. You can give names to Connections in the workflow. This allows you to model choice situations.

In the illustration the information for the claim is only processed when all the information is present. This Status can be reached in 2 ways:

  • After concluding that the information is complete, or
  • After all the information has been gathered.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Connections to Triggers

11.3

Connections to Buffers

11.4

Connections between Roles

11.5

Creating Connections

11.6

Naming Connections

11.14


Connections to Triggers

11.3 Connections to Triggers
Introduction

This section describes Connections to and from Triggers.

Trigger
Connections

Triggers are external events that influence the process. Triggers are therefore not in the workflow itself. In order to emphasise the difference with workflow Connections, Connections to and from Triggers are coloured green. You can also use the Properties to indicate the type of the outgoing and incoming Trigger Connections.

Outgoing Trigger
Connection

An outgoing Trigger Connection is one that runs from a Trigger to an Activity, Sub-Process or Status.

Illustration

Below is an illustration of various outgoing Trigger Connections.

Notes to
Illustration

The type of the outgoing Trigger Connection is indicated by its shape. There are 3 possible types (with an Activity).

  • The Trigger starts the Activity.
  • The Trigger restarts the Activity.
  • The Trigger cancels the Activity.
Incoming Trigger
Connection

An incoming Trigger Connection is one that runs from an Activity, Sub-Process or Status to a Trigger.

Illustration

Below is an illustration of various incoming Trigger Connections.

Notes to
Illustration

An incoming Trigger Connection can be used to indicate that the process initiates a Trigger. For example, a situation where a reminder time applies. The type of the Connection is indicated by its shape. There are 3 possible types (with an Activity).

  • The Activity sets the Trigger.
  • The Activity turns off the Trigger.
  • The Activity restarts the Trigger.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Connections in the workflow

11.2

Connections to Buffers

11.4

Connections between Roles

11.5

Creating Connections

11.6

Properties of Trigger Connections

11.15


Connections to Buffers

11.4 Connections to Buffers
Introduction

This section describes Connections to and from Buffers.

Illustration

Below is an example of Connections to a Buffer.

Notes to
Illustration

A Buffer is a storage place for work, usually physical. Buffers allow you to describe the document flow, as well as the workflow. A Buffer Connection is therefore coloured green.

The Buffer can be connected to an Activity or a Sub-Process in two ways: as a source or as a target.

  • The Buffer is the source when, in order to start the Activity or Sub-Process, something needs to be retrieved from the Buffer.
  • The Buffer is the target when, as a consequence of the Activity or Sub-Process, something is placed in the Buffer.

In the illustration, after a request for information a client file is stored in the filing cabinet, for example. When the information arrives, the file is taken out again.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Connections in the workflow

11.2

Connections to Triggers

11.3

Connections between Roles

11.5

Creating Connections

11.6

Properties of Buffer Connections

11.15

Relationships between the Data Area and the Process Area

14.4


Connections between Roles

11.5 Connections between Roles
Introduction

This section describes Connections between Roles.

Illustration

Below is an example of Connections between Roles.

Notes to
Illustration

Connections between Roles are used to indicate a hierarchical relationship between these Roles. Connections between Roles are represented by black arrows. The Connections indicate that a Role has a higher Permissions level than other Roles.

In the illustration, Connections are used to show that 'Manager SMC claims' has a higher Permissions level than 'Claims Correspondent' or 'Claims Assistant'.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Connections in the workflow

11.2

Connections to Triggers

11.3

Connections to Buffers

11.4

Creating Connections

11.6

Connection Properties

11.13


Creating Connections

11.6 Creating Connections
Introduction

This section describes how to create a Connection between 2 Objects.

Source and Target

Connections are created from source Objects to target Objects. See the following illustration.

Creating a Connection

You can create a Connection between 2 Objects as follows.

Step

Action

1

Select the (source) Object that you want to connect to another Object.

2

  • Drag the Object onto the (target) Object to which you want to connect it.
  • Wait for the mouse pointer to change into [image].

3

Release your left mouse button.

Illustration

The following illustrates a Connection between 2 Objects with the source Object modelled lower in the Process window than the target Object. This means that the Connection runs along the outside.

Creating a Connection from Below to Above

You can create a Connection between 2 Objects as follows.

Step

Action

1

  • Select the source Object from the left of centre if you want the Connection to run on the left side, or
  • Select the source Object from the right of centre if you want the Connection to run on the right side.

2

  • Drag the Object onto the (target) Object to which you want to connect it.
  • Wait for the mouse pointer to change into [image].

3

Release your left mouse button.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Deleting Connections

11.7

Zooming In and Out

6.5

Off-Page Connectors

11.11


Deleting Connections

11.7 Deleting Connections
Introduction

This section describes how to delete a Connection between 2 Objects.

Deleting a Connection

You can delete a Connection between 2 Objects as follows:

Step

Action

1

Select the Connection you want to delete.

2

Click once with your right mouse button and select the Delete Connection menu option.

Deleting a Connection Alternative

Below is an alternative method for deleting a Connection between 2 Objects.

Step

Action

1

Select the Connection you want to delete.

2

  • Select the Edit menu and then the Delete (Del) menu option, or
  • Press the Del key.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Deleting Objects

4.4


Angles in Connections

11.8 Angles in Connections
Introduction

This section describes working with Angles in Connections.

Inserting an Angle

You can insert an Angle on a Connection as follows.

Step

Action

1

Place the mouse pointer on the Connection in which you want to insert an Angle.

2

  • Hold down your left mouse button.
  • Drag the Connection until it is the desired shape.

3

Release your mouse pointer when the Angle is the correct shape.

Deleting Angles

You can delete an Angle as follows.

Step

Action

1

Select the Angle you want to delete.

The Angle is highlighted by a red block.

2

Click with your right mouse button on the Angle and select the Delete Angle menu option.

Selecting Multiple Angles

You can select several Angles at the same time as follows.

Step

Action

1

Hold down the Ctrl key.

2

  • Click with your left mouse button on the Angles that you want to select, or
  • Click again on an Angle to undo the selection again.

Selecting Multiple Angles Alternative

Below is an alternative method for selecting multiple Angles.

Step

Action

1

Place your mouse pointer to the top left or top right of the highest Angle that you want to select.

2

Hold down your left mouse button.

3

Draw a rectangle around the Angles you want to select.

4

Release your left mouse button.

Moving Multiple Angles Simul- taneously

You can move multiple Angles simultaneously as follows.

Step

Action

1

Select the Angles you want to drag.

2

Hold down your left mouse button on one of the selected Angles.

3

Drag the selection to the desired place.

Protos helps you by showing an outline of the Connection.

4

Release your left mouse button.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating a Connection

11.6

Selecting Objects

4.6

Moving Objects

4.7


11.9 Moving Connections
Introduction

This section describes how to move a Connection to a different Object.

Start and End

Connections have a start and an end. The end is the part that is connected to the target Object. The start is connected to the source Object:

Moving Connections

You can move the start or end of a Connection as follows.

Step

Action

1

Select the start or end of the Connection you want to
move.

2

  • Hold down your left mouse button.
  • Drag the start or end to the desired Object.

3

Release your left mouse button when the mouse pointer changes to [image].

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating a Connection

11.6


Inserting Objects on a Connection

11.10 Inserting Objects on a Connection
Introduction

You may have created a Connection between 2 Objects, but now want to place a new Object between them. In this case you can simply insert the new Object and Protos will automatically realign the incoming and outgoing Connections. This section describes how to insert new Objects on an existing Connection.

Inserting Objects

You can insert an Object on an existing Connection as follows.

Note

It is only possible to insert newly-created Objects.

Step

Action

1

In the Objects Palette, select the Object you want to insert on the Connection.

2

  • Hold down your left mouse button.
  • Drag the new Object onto the Connection between two existing Objects.

3

Release your left mouse button as soon as the cursor changes into a cross [image].

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Objects

4.3

Creating Connections

11.6


Off-Page Connectors

11.11 Off-Page Connectors
Introduction

This section describes Off-Page Connectors and how to create and remove them.

Off-Page Connector

An Off-Page Connector is an indirect Connection between 2 Objects that are modelled at different levels, and therefore cannot have a direct Connection. It is a Connection between 2 Objects that are located in different Sub-Processes.

Illustration

The following illustration shows an example of an Off-Page Connector.

Notes to Illustration

In the illustration are 2 Sub-Processes, 'Assessment' and 'Administrative Processing'. In the 'Assessment' Sub-Process the ' Establish Age' Activity is modelled. If the age in this Activity is < 18 the 'Rejected' Status is reached. However, this Status is modelled in the 'Administrative Processing' Sub-Process. As the Connection cannot be direct, an Off-Page Connector is created. You see that the Off-Page Connector in both Sub-Processes is called '<18'.

Creating an Off-Page Connector

You can create a Connection between 2 Objects in different Sub-Processes as follows.

Step

Action

1

Position the windows of the 2 Sub-Processes containing the Objects you want to connect beside each other.

2

Select the (source) Object that you want to connect to another Object.

3

Drag the Object onto the (target) Object in the other window, to which you want to connect it.

4

Release your left mouse button when the mouse pointer changes into [image].

Jumping

It is possible to jump from one end of an Off-Page Connector to the other end. You can do this as follows.

Step

Action

1

Select the black block at the end of an Off-Page Connector.

2

Click with your right mouse button and select the Jump menu option.

The window containing the other end of the Off-Page Connector will open.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating a Connection

11.6

Opening multiple windows

6.2

Connection Properties

11.13


Aligning Objects

11.12 Aligning Objects
Introduction

This section describes how to align Process Models.

Illustration

The following illustration shows the same Process Model twice; the right-hand version is neatly aligned, the left version is not.

Notes to
Illustration

As demonstrated in the illustration, an attractively balanced and aligned Process Model has a much higher information value than one that is untidy and unbalanced.

Alignment Buttons

The following illustration shows the buttons in the toolbar that you can use to align multiple Objects.

Description of Buttons

The following table describes the alignment buttons.

Button

Description

The selected Objects are aligned to the Object furthest to the left.

The selected Objects are aligned to the horizontal centre of these Objects.

The selected Objects are aligned to the Object furthest to the right.

The selected Objects are aligned to the highest Object.

The selected Objects are aligned to the vertical centre of these Objects.

The selected Objects are aligned to the lowest Object.

Aligning Objects

To align a number of Objects, follow the steps below.

Step

Action

1

Select the Objects you want to align.

2

Click on the desired alignment button in the toolbar.

Aligning Objects Alternative

Below is an alternative method of aligning a number of Objects.

Step

Action

1

Select the Objects you want to align.

2

Select the Alignment menu and then the alignment option that you want to use.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Selecting Objects

4.6


General Properties of Connections

11.13 General Properties of Connections
Introduction

The Connection Object type also has the following general tabs.

  • General.
  • Description.
  • Instructions.
  • Extra.

This section describes the general Properties of a Connection.

Illustration

The following illustration shows the General tab of a Connection, containing the general Properties of a Connection.

Notes to
Illustration

Below is a description of the information on the General tab of each Connection.

Property

Description

From

Source Object of the Connection.

To

Target Object of the Connection.

Name

Name of the Connection.

Condition

Formal conditions for the Connection.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

General Properties of Objects

7.2

Opening the Properties window

7.2

Creating a Connection

11.6

Conditions on Connections

11.16


11.14 Naming a Connection
Introduction

This section describes how to name a Connection.

Naming a Connection

You can name a Connection as follows.

Step

Action

1

Select the Connection with the name you want to change.

2

Click with your right mouse button on the Connection and select the Properties... menu option.

3

Select the General tab.

4

Type in the desired name in the field after Name.

5

Click on OK.

Naming a Connection Alternative

Below is an alternative method of naming a Connection.

Step

Action

1

Select the Connection with the name you want to
change.

2

  • Click once with your left mouse button on the Connection, or
  • Press the F2 function key.

The name of the Connection is selected and the cursor is blinking behind the name.

3

Change the name.

4

Press the Enter key.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

General Properties of Objects

7.2

Opening the Properties window

7.2


Properties of Trigger and Buffer Connections

11.15 Properties of Trigger and Buffer Connections
Introduction

Besides general Properties, Trigger and Buffer Connections also have a few specific Properties. This section describes the specific Properties of Trigger and Buffer Connections.

Defining Types of Trigger Connections

You can choose to specify the type of an incoming or outgoing Trigger Connection. You can specify the type as follows.

Step

Action

1

Open the Properties window of the Trigger Connection for which you want to define the type.

2

Select the General tab.

3

Click with your left mouse button on the arrow [image] behind Type.

The options menu will open.

4

Click with your left mouse button on the desired type.

5

Click on OK.

Illustration

The following illustration shows the Data tab that relates specifically to incoming and outgoing Buffer Connections.

Notes to
Illustration

A Connection to and from a Buffer has an extra tab: Data. Here you can specify which Data Objects are placed in the Buffer, or which are removed by the process.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Trigger Connections

11.3

Description of Buffer Connections

11.4

Opening the Properties window

7.2

Creating a Connection

11.6

Connecting Data Objects to a Buffer Connection

14.4


Conditions on Connections

11.16 Conditions on Connections
Introduction

You can model choices in a process by naming Connections. In this way, choices are only represented visually. Choices can also be modelled formally using Conditions. You use this mainly when you model for simulation and workflow management systems. Ensure that syntax rules apply to using these Conditions.

Example

The following example shows how you can model a decision.

In this example the following decision is modelled:

  • 'Perform Expert Assessment' if the claim is greater than € 750.
  • 'Process Invoice' if the claim is less than € 750.
Illustration

The following illustration shows how the Conditions field is used for a Connection.

Formal Description of Condition

To make a formal description of the 'Claim > € 750' Condition, you can model this claim amount in the Data Area as a Data Element of the 'Number' type. You can then create a reference to this Data Element as follows.

Step

Action

1

Open the Properties window of the Connection for which you want to enter a Condition.

2

Select the General tab.

3

From the Data Area, drag the desired Data Element into the Conditions field of the Connection.

4

Indicate the value of the Data Element.

Note

Remember the syntax for using Conditions.

5

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Properties window

7.2

Objects in the Data Area

4.2

Expression Grammar

Appendix B


Chapter 12 Finding Objects in a Process Model

Summary

Introduction

This chapter describes how to search in a Process Model for Objects that satisfy a certain criterion.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

12.1

Searching in a Process Model

2-198

12.2

Options in the Find Window

2-199

12.3

Finding Terminology

2-202

12.4

Editing the Search Results

2-203


Searching in a Process Model

12.1 Searching in a Process Model
Introduction

You may find that you want to check whether you have used a specific term in a Process Model. The Find function in a Process Model helps you to find the relevant term quickly.

Examples

Using the Find function, it is easy to find answers to the following questions, for example:

  • I mistakenly used the name of a Role in a Description. In the Description of which Activity did I do this?
  • In this Process Model, how many Statuses are there with ‘wait’ in the name?
  • In which Sub-Process did I model that ‘X’ Application?
Search
Locations

You can search for a specific term in a Process Model in the following locations:

  • In the name of Objects.
  • On the Description tab of Objects.
  • On the Instructions tab of Objects.
  • In the Extra Information of Objects.

Note

In the case of Extra Information, the search will only apply to the entered text of that Extra Information. So the search will not include the name or unit of the Extra Information.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Search options

12.2

Search examples

12.2

Finding terminology

12.3


Options in the Find Window

12.2 Options in the Find Window
Introduction

You can make your search as extensive as you like. It is sometimes easier, however, to have a more focused search. You can specify in the Find window how specific you would like the search for a term to be.

Diagram of Find Window

The diagram below shows the window in which you can specify the search method and the terms you want to find in a Process Model.

Notes to Illustration

Below is a description of the various options and fields in the Find window. You can set these options to achieve the desired search result.

Option

Description

Find

Here you type in the term(s) for which you want to search.

Name

By selecting this option, you indicate that you want to search in the names of Objects.

Description

By selecting this option, you indicate that you want to search in the Description tab of Objects.

Instructions

By selecting this option, you indicate that you want to search in the Instructions tab of Objects.

Extra Information

By selecting this option, you indicate that you want to search in the Extra Information of Objects.

Match case

Protos finds only those Objects that contain terms that have the same capital and lower-case letters as the term(s) you entered.

Find entire cells only

Protos finds only those Objects that contain terms that are exactly the same as the term(s) you entered.

Results

This is where the Objects containing the terms you are looking for are displayed.

Example

In order to clarify the ‘Match case’ and ‘Find entire cells only’ options, an example is given below.

Suppose that the following Roles have been modelled in a Process Model:

  • Department head
  • Head of department

If the search is for ‘Dep’, the options below will give the following results:

Option

Roles found

  • Do not Match case
  • Do not Find entire cells only
  • Department head
  • Head of department
  • Do Match case
  • Do not Find entire cells only
  • Department head
  • Do Match case
  • Do Find entire cells only

None

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Finding terminology

12.3


Finding Terminology

12.3 Finding Terminology
Introduction

This section describes how to find a specific term.

Finding

Follow the method described below to search for a term in a Process Model.

Step

Action

1

  • Select the Edit menu followed by the Find... menu option, or
  • Press the Ctrl+F keys.

The Find window will open.

2

  • Type in the term(s) that you want to find in the Find field.
  • Select the desired options to broaden or narrow down your search.

3

Click on the Find button.

The results that satisfy the search criteria will be displayed.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Adjusting the search options

12.2

Editing the search results

12.4


Editing the Search Results

12.4 Editing the Search Results
Introduction

After you have looked for a term, Protos places all Objects that satisfy the search criteria in a frame with the heading ‘Results’. In this frame, you can find the Object of your choice and, if you like, edit it straight away.

Number of Results Displayed

After a search, the number of results found is always displayed.

Diagram of Results

The following diagram shows the Find window with a number of results found.

Editing the Results

You can edit the Properties of an object that you have found as follows.

Step

Action

1

  • Find the desired Object under the ‘Results’ heading
  • Double-click on this Object.

The Properties window of the Object will open.

2

Edit the Properties of the Object in the usual way.

The Find Window Remains Open

While you are editing an Object, the Find window remains open. After you have finished editing this Object, you can go on straight away to edit another Object from the results found.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Finding terminology

12.3

Properties of Objects

7.4


Chapter 13 Using Sub-Processes

Summary

Introduction

This chapter contains information on the use of Sub-Processes in Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

13.1

Possibilities of Sub-Processes

2-206

13.2

Opening and Completing a Sub-Process

2-209

13.3

Imploding Objects

2-212

13.4

Changing a Sub-Process into an Activity

2-214

13.5

Exploding a Sub-Process

2-216

13.6

Changing an Activity into a Sub-Process

2-217

13.7

Copying a Sub-Process to a File

2-219

13.8

Reading In a Pal File to a Process Model

2-221


Possibilities of Sub-Processes

13.1 Possibilities of Sub-Processes
Introduction

Process Models can consist of a large collection of Activities. These can all be modelled at the Main Process level, but this could make the model complex and unclear. Using Sub-Processes allows you to give more structure to a Process Model.

Illustration

The following illustration shows a diagram of the significance of a Sub-Process.

Notes to Illustration

A Sub-Process is a part of a process that serves as a logical grouping of Activities, Triggers, Statuses, Buffers and other Sub-Processes.

Modelling Methods

Protos does not impose any specific working method. You yourself determine how you use Sub-Processes. Generally speaking, there are 2 approaches: bottom-up modelling and top-down modelling.

Bottom-Up Modelling

If you choose bottom-up modelling you start by modelling Activities. You then check which Activities belong logically together and combine these into a Sub-Process.

Protos and Bottom-Up Modelling

Protos supports 2 methods of bottom-up modelling:

  • Imploding.
  • Changing an Activity into a Sub-Process.
Imploding

Imploding means incorporating a number of Activities into one Sub-Process. If a number of Activities seem to belong logically together, you can implode them into a Sub-Process. This creates a new Sub-Process containing the imploded Objects. These Objects are then positioned one level lower and are represented at the higher level by a new Sub-Process.

Changing an Activity into a Sub-Process

Another way of creating a Sub-Process is to change an Activity into a Sub-Process. You do this if an Activity consists of several steps. After changing the Activity into a Sub-Process, you can fill out this Sub-Process further.

Top-Down Modelling

If you opt for top-down modelling, you usually start by modelling Sub-Processes. You then fill the Sub-Processes with Activities.

Protos and Top-Down Modelling

Protos supports 2 ways of top-down modelling:

  • Exploding.
  • Changing a Sub-Process into an Activity.
Exploding

Exploding means removing a Sub-Process level. The contents of the Sub-Process are then positioned one level higher. You use this option if there are very few Activities modelled in the Sub-Process .

Changing a Sub-Process into an Activity

An alternative method for deleting a Sub-Process level is to change it into an Activity. You do this when a Sub-Process cannot be broken down any further.

Reuse of Sub-Processes

When you have modelled a Sub-Process, you may want to use it in another Process Model. To do this, it is possible to copy a Sub-Process to a file and then read in this file to another Process Model.


Opening and Completing a Sub-Process

13.2 Opening and Completing a Sub-Process
Introduction

This section describes how you can open Sub-Processes in order to work out the contents further.

Opening a Sub-Process

You can open the contents of a Sub-Process as follows.

Step

Action

1

Select the Sub-Process you want to open.

2

Click once with your right mouse button and select the Open... menu option.

The contents of the Sub-Process will open. In the Process and Data Areas of this Sub-Process you can model Objects in the normal way.

Opening a Sub-Process Alternative

Below is an alternative method of opening the contents of a Sub-Process.

Note

In order to carry out the following action, you should have the Double-Click function set to Open, using Options.

Step

Action

1

Double-click on the Sub-Process you want to open.

Using the Topview Window

The Topview window provides an overview of all Sub-Processes in a Process Model. You can open the contents of a Sub-Process using the Topview window as follows.

Step

Action

1

Open the Topview window.

2

Select the Sub-Process you want to open.

3

  • Click once with your right mouse button and select the Open... menu option, or
  • Double-click on the Sub-Process.

The contents of the Sub-Process is opened beside the Topview window. In the Process and Data Areas of this Sub-Process you can model Objects in the normal way.

Moving Up a Level in the Process

To move from a Sub-Process to a higher level in the process structure, follow the steps below.

Step

Action

1

In the toolbar, click on the [image] button.

The contents of the Sub-Process that is modelled one level higher in the process structure is opened.

Moving Up a Level in the Process Alternative

Below is an alternative method of moving a level higher in the process structure from a Sub-Process.

Step

Action

1

  • Select the Window menu and then the Parent Process menu option, or
  • Press the Alt+PgUp keys.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening Object Properties

7.2

Working with multiple windows

6.2

Topview window

6.6

General options

5.3


Imploding Objects

13.3 Imploding Objects
Introduction

This section describes how to implode a collection of Process Objects so they are placed in a Sub-Process.

Start and End Activities

Before imploding a collection of Process Objects, it is advisable to indicate which will be the first and which the last Activity of the new Sub-Process. You do this on the General tab. This avoids creating unwanted Off-Page Connectors.

Imploding Data Objects

You can opt to implode Data Objects in the new Sub-Process also. These will then be placed in the Data Area of the new Sub-Process.

Imploding

To implode Objects into a Sub-Process, follow the steps below.

Step

Action

1

Make one of the Activities a Start Activity.

2

Make one of the Activities an End Activity.

3

  • Select the Objects in the Process Area that you want to implode.
  • Select the Objects in the Data Area that you want to implode.

4

Click on the Implode button [image] in the toolbar.

All selected Objects are placed in a new Sub-Process.

Imploding Alternative

Below is an alternative method of imploding Objects into a Sub-Process.

Step

Action

1

Make one of the Activities a Start Activity.

2

Make one of the Activities an End Activity.

3

  • Select the Objects in the Process Area that you want to implode.
  • Select the Objects in the Data Area that you want to implode.

4

Select the Edit menu and then the Implode menu option.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Off-Page Connectors

11.11

Properties of an Activity

8.4

Selecting multiple Objects

4.6


13.4 Changing a Sub-Process into an Activity
Introduction

This section describes how to change a Sub-Process into an Activity.

Consequences for Properties

When a Sub-Process changes into an Activity, the new Activity takes over the Properties, such as Name, Description etc., of the Sub-Process.

Consequences for the Sub-Process Contents

A Sub-Process could contain Objects. By changing it into an Activity, Protos removes the contents of the Sub-Process. You will see a warning, however.

Changing a Sub-Process into an Activity

You can change a Sub-Process into an Activity as follows.

Step

Action

1

Select the Sub-Process that you want to change into an Activity.

2

Click once with your right mouse button and select the Change into Activity... menu option.

The Sub-Process is changed into an Activity.

Changing a Sub-Process into an Activity Alternative

Below is an alternative method of changing a Sub-Process into an Activity.

Step

Action

1

From the Objects Palette, drag an Activity onto the Sub-Process that you want to change into an Activity.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Changing an Activity into a Sub-Process

13.6

Opening a Sub-Process

13.2

Exploding a Sub-Process

13.5


Exploding a Sub-Process

13.5 Exploding a Sub-Process
Introduction

This section describes how to explode a Sub-Process and place the contents one level higher.

Start and End Activities

After exploding the Sub-Process it is advisable to de-activate the Start and End blocks.

Exploding Data Objects

Exploding means that the Data Objects that were in the Data Area of the Sub-Process are also placed one level higher.

Exploding

You can explode a Sub-Process as follows.

Note

The following table assumes that you have set the Options to Confirm Explode.

Step

Action

1

Select the Sub-Process you want to explode.

2

Click with your right mouse button and select the Explode Sub-Process... menu option.

3

Click on Yes.

The Sub-Process will disappear and its contents will be placed one level up.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Options

5.1

Properties of an Activity

8.4


13.6 Changing an Activity into a Sub-Process
Introduction

This section describes how to change an Activity into a Sub-Process.

Consequences for Properties

When an Activity is changed into a Sub-Process, the new Sub-Process takes over the Properties, such as Name, Description etc., of the Activity.

Changing an Activity into a Sub-Process

You can change an Activity into a Sub-Process as follows.

Step

Action

1

Select the Activity you want to change into a Sub-Process.

2

Click once with your right mouse button and select the Change into Sub-Process menu option.

The Activity will change into a Sub-Process.

Changing an Activity into a Sub-Process Alternative

Below is an alternative method of changing an Activity into a Sub-Process.

Step

Action

1

From the Objects Palette, drag a Sub-Process onto the Activity that you want to change into a Sub-Process.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Objects

4.3

Changing a Sub-Process into an Activity

13.4

Opening a Sub-Process

13.2


Copying a Sub-Process to a File

13.7 Copying a Sub-Process to a File
Introduction

You can copy a Sub-Process to a file in order to use it in a different Process Model or make it available for other users. This section describes how to copy a Sub-Process to a file.

Consequences and Restrictions

Below are the consequences and restrictions of copying a Sub-Process to a file.

  • The Sub-Process becomes a pal file and behaves like a Process Model.
  • All Process Areas of the Sub-Process are copied, including the underlying Sub-Processes and their contents.
  • Off-Page Connectors that are connected to Objects outside the Sub-Processes are ignored.
  • Data Objects and Applications within the Data Areas of the Sub-Process, including the Data Areas of underlying Sub-Processes, are copied, unless these are modelled or used outside the Sub-Process.
  • All Objects in the Organisation window are copied.
  • All defined Extra Information is copied.

Copying a Sub-Process to a File

To copy a Sub-Process to a file, follow the steps below.

Step

Action

1

Select the Sub-Process you want to copy to a file.

2

Click once with your right mouse button and select the Copy to File... menu option.

3

  • Possibly change the name of the pal file.
  • Possibly select a different file location in which to save the pal file.

4

Click on Save.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Reading in an existing pal file

13.8


Reading In a Pal File to a Process Model

13.8 Reading In a Pal File to a Process Model
Introduction

If you want to expand a Process Model with an already-existing model, you can read in the pal file to that Process Model. This section describes how to read in a pal file to a Process Model.

Consequences and Restrictions of Reading In

Below are the consequences and restrictions of reading in a pal file.

  • The pal file becomes a Sub-Process in the Process Model where it is read in.
  • The new Sub-Process takes the name, Description and Instructions from the Main Process of the pal file.
  • All Process Objects and Data Objects from the pal file are read in.
  • Which Organisation Objects are read in depends on the method of Substitution you have chosen.
  • Process Model Extra Information is extended with the Extra Information from the pal file that you are reading in.
Substitution

When reading in a pal file to an existing Process Model, it could occur that Organisation Objects from the pal file are the same as Objects in the existing Process Model. You can substitute these Objects. In the Tools - Options... menu in the options window you can specify how Protos should respond. Below are the possible options and the response of Protos in each case.

Option

Response

None

Objects that are the same are not substituted. After reading in, some Objects may be modelled double.

Manual

Protos recognises that some Objects are the same. You have the choice of having the read-in Objects from the pal file replaced with the same Objects of the existing Process Model.

Automatic

Protos recognises that some Objects are the same and immediately replaces Objects from the read-in pal file with the same Objects from the existing Process Model.

Reading In a Pal File

To read in a pal file to another Process Model, follow the steps below.

Step

Action

1

Open the Process Model into which you want to read a pal file.

2

Open the Sub-Process into which you want to read a pal file.

3

Click once with your right mouse button on an empty space in the Process Area and select the Read… menu option.

4

  • Select the pal file that you want to read in.
  • Click on Open.

5

Possibly confirm the Substitution of equal Objects.

You will see that a Sub-Process appears in the Process Area. It has the name of the Main Process of the read-in pal file.

Replacing an Existing Sub-Process

To replace an existing Sub-Process with a pal file by reading it in, follow the steps below.

Step

Action

1

Open the Process Model into which you want to read a pal file.

2

Open the Sub-Process containing the Sub-Process that you want to replace with the pal file.

3

Click once with your right mouse button on the Sub-Process you want to replace and select the Read… menu option.

4

  • Select the pal file that you want to read in.
  • Click on Open.

You will see the following message.

5

Click on OK.

You will see that the existing Sub-Process is replaced by the read-in pal file in the Process Area.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Copying a Sub-Process to a file

13.7

General options

5.3

Substituting Relationships

14.11


Chapter 14 Relationships between Objects in Protos Classic

Summary

Introduction

This chapter contains information on Relationships between Objects in the various screen areas in Protos Classic.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

14.1

Relationships between Objects

2-229

14.2

Relationships between Objects in the Data Area

2-231

14.3

Relationships between Objects in the Organisation Window

2-234

14.4

Relationships between the Data Area and the Process Area

2-236

14.5

Relationships between the Data Area and the Organisation Window

2-240

14.6

Relationships between the Organisation Window and the Process Area

2-242

14.7

Creating Relationships on the General Tab of an Activity and a Sub-Process

2-244

14.8

Creating Relationships on Other Tabs

2-249

14.9

Connecting Data Objects Using the Topview Window

2-254

14.10

Deleting Relationships on Other Tabs

2-256

14.11

Substituting Relationships

2-257


Relationships between Objects

14.1 Relationships between Objects
Introduction

You can create Relationships between the various Objects in the different screen areas of Protos. This allows you to define the 'What With' and the 'Who' of the workflow (the 'What').

Possible Relationships

The Relationships that you can create in Protos Classic, in and between the respective screen areas, are shown below.

  • Between Objects in the Data Area.
  • Between Objects in the Organisation window.
  • Between Objects in the Data Area and the Process Area.
  • Between Objects in the Data Area and the Organisation window.
  • Between Objects in the Organisation window and the Process Area.
Tabs and Relationships

All Relationships between Objects in Protos Classic are displayed on one of the tabs of the Properties window. The General tab is different, however. When creating Relationships, a distinction will therefore be made between Relationships on the General tab and those on other tabs.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Relationships between Objects in the Data Area

14.2

Relationships between Objects in the Organisation window

14.3

Relationships between Objects in the Data Area and the Process Area

14.4

Relationships between Objects in the Data Area and the Organisation window

14.5

Relationships between Objects in the Organisation window and the Process Area

14.6


Relationships between Objects in the Data Area

14.2 Relationships between Objects in the Data Area
Introduction

You can create Relationships between the Objects that are in the Data Area. In principle, Protos allows all Relationships between Data Objects, although some are less practical. This section describes the most relevant Relationships between Data Objects, and their purpose.

Folder Relationships

Below are other Data Objects that can be connected to a Folder. What the Relationship can be used for is also indicated. The connected Objects are displayed on the Folder Contents tab of the Folder.

Object

Description

Folder

To indicate that a Folder consists of Sub-Folders.

Document

To indicate that a Document belongs in the
Folder.

Data Element

To indicate that a specific item is important for a Folder. For example, the name of a client.

Data Group

To indicate that a collection of data is important for a Folder. For example, the Name Address City details of a client.

Document Relationships

Below are other Data Objects that can be connected to a Document. What the Relationship can be used for is also indicated. The connected Objects are displayed on the Document Contents tab of the Document.

Object

Description

Document

To indicate that a Document is accompanied by another Document. For example, an enclosure.

Data Element

To indicate that a specific item is important for a Document. For example, the account number on an invoice.

Data Group

To indicate that a collection of data is important for a Document. For example, the Name Address City details of a client.

Data Group Relationships

Below are other Data Objects that can be connected to a Data Group. What the Relationship can be used for is also indicated. The connected Objects are displayed on the Data Group Contents tab of the Data Group.

Object

Description

Data Element

To indicate which Data Elements make up the Data Group. For example, the Name, Address and City Data Elements for the NAC details Data Group.

Application Relationships

Below are other Data Objects that can be connected to an Application. What the Relationship can be used for is also indicated. The connected Objects are displayed on the Application Contents tab of the Application.

Object

Description

Document

To indicate that a Document is generated or edited by an Application.

Data Element

To indicate that a specific item is entered or generated by the Application.

Data Group

To indicate that a collection of data is entered or generated by the Application.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Relationships on other tabs

14.8

Deleting Relationships between Objects

14.10


Relationships between Objects in the Organisation Window

14.3 Relationships between Objects in the Organisation Window
Introduction

It is possible to create Relationships between Objects that are in the Organisation window. This section describes these Relationships and their purpose.

Role Group Relationships

Below are the Organisation Objects that can be connected to a Role Group. What the Relationship can be used for is also indicated. The connected Objects are displayed on the Role Group Contents tab of the Role Group.

Object

Description

Role

To indicate which Roles belong in the Role Group. You can use this to indicate that Activities are carried out jointly by more than one Role.

Role Group Icon

Depending on the type of Roles that you connect to a Role Group, the icon of the Role Group will change. Below are the possible icons.

Connected

Icon

Only Internal Roles

2 blue caps

Only External Roles

2 red caps

Internal and External Roles

1 blue and 1 red cap

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Relationships between Objects

14.8

Deleting Relationships between Objects

14.10


Relationships between the Data Area and the Process Area

14.4 Relationships between the Data Area and the Process Area
Introduction

You can connect Objects from the Data Area to Objects in the Process Area. This section describes the most relevant Relationships between the Data and Process Areas and their purpose.

Activity Relationships

Below are the Data Objects that can be connected to an Activity. The connected Objects are displayed on the Data tab or Applications tab (only for an Application) of the Activity.

Object

Description

Document

To indicate that a Document is used in an Activity.

Folder

To indicate that a Folder is used in an Activity.

Data Element

To indicate that a specific data item is needed to carry out the Activity.

Data Group

To indicate that a collection of data is needed to carry out the Activity.

Application

To indicate that an Application is needed to carry out the Activity.

Sub-Process Relationships

Below are the Data Objects that can be connected to a Sub-Process. The connected Objects are displayed on the Data tab or Applications tab (only for Applications) of the Sub-Process.

Object

Description

Document

To indicate that a Document is used in a Sub-Process.

Folder

To indicate that a Folder is used in a Sub-Process.

Data Element

To indicate that a specific data item is needed to carry out the Sub-Process.

Data Group

To indicate that a collection of data is needed to carry out the Sub-Process.

Application

To indicate that an Application is needed to carry out the Sub-Process.

Specifying a Relationship

With an Activity and a Sub-Process, after connecting a Data Object you can specify which action is carried out on a Data Object. Below are the possible options.

Object

Description

Mandatory

Without the Data Object, the Activity or Sub-Process cannot, or may not be carried out.

Created

The Data Object is created in the Activity or Sub-Process.

Deleted

By carrying out the Activity, the Data Object disappears from the process.

Trigger Relationships

Below are the Data Objects that can be connected to a Trigger. The connected Objects are displayed on the Trigger Contents tab or Applications tab (only for Applications) of the Trigger.

Object

Description

Document

To indicate that a Document is involved in the event. For example, the receipt of a letter.

Folder

To indicate that a Folder is involved in the event.

Data Element

To indicate that a specific data item is involved in the event.

Data Group

To indicate that a collection of data is involved in the event.

Application

To indicate that an Application is involved in the event. For example, a systems message.

Buffer Connection Relationships

Buffers do not transfer any data. Data is stored in or retrieved from a Buffer by the process. This is why Data Objects are connected to the incoming and outgoing Buffer Connections. Below are the Data Objects that can be connected to an incoming or outgoing Buffer Connection. The connected Objects are shown on the Data tab of the Buffer Connection.

Object

Description

Document

To indicate that a Document is placed in or retrieved from a Buffer.

Folder

To indicate that a Folder is placed in or retrieved from a Buffer.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Relationships on other tabs

14.8

Deleting Relationships between Objects

14.10


Relationships between the Data Area and the Organisation Window

14.5 Relationships between the Data Area and the Organisation Window
Introduction

You can create some Relationships between Objects in the Data Area and Objects in the Organisation window. This section describes the most relevant of these and their purpose.

Team Relationships

Below are the Data Objects that can be connected to a Team. The connected Objects are displayed on the Team Contents tab of the Team.

Object

Description

Data Element

You can use the Team Object to indicate the work allocation in a process. By connecting a Data Element to a Team you indicate the criterion on which the work is allocated. For example, the Team 'Postcode Teams' with the 'Postcode' Data Element connected to them.

Involved with Data Objects

Involved Roles and/or Role Groups can be connected to all Data Objects. The connected Objects are displayed on the Involved tab of the Data Object.

Object

Description

Document

To indicate that a Role or Role Group will handle the Document. For example, a client who
receives a letter.

Folder

To indicate that a Role or Role Group will handle the Folder. For example, a manager who has
access to the contents.

Data Element

To indicate that a Role or Role Group is
important for that Data Element. For example, a client and his/her age.

Data Group

To indicate that a Role or Role Group is
important for that Data Group. For example, a client and his/her NAC details.

Application

To indicate that a Role or Role Group handles an Application. For example, a client who visits a web site.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Relationships on other tabs

14.8

Deleting Relationships between Objects

14.10


Relationships between the Organisation Window and the Process Area

14.6 Relationships between the Organisation Window and the Process Area
Introduction

You can connect Objects from the Organisation window to Objects in the Process Area. This section describes the most relevant of these Relationships, and their purpose.

Type of Relationships

It is possible to create several Relationships between certain Objects. Below is a description of how you can connect Organisation Objects to every Object in the Process Area.

Relationships with an Activity

Below are the Organisation Objects that you can connect to an Activity and the tab that displays this Relationship.

Relationship

Tab

Executor Role or Role Group

General

Responsible Role or Role Group

General

Team that indicates the work allocation for the respective Activity

General

Involved Roles and Role Groups

Involved

Relationships with a Sub-Process

Below are the Organisation Objects that you can connect to a Sub-Process and the tab that displays this Relationship.

Relationship

Tab

Responsible Role or Role Group

General

Involved Roles and Role Groups

Involved

Relationships with a Trigger

Below are the Organisation Objects that you can connect to a Trigger and the tab that displays this Relationship.

Relationship

Tab

Involved Roles and Role Groups, for
example the 'Client' Role.

Involved

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Relationships on the General tab

14.7

Creating Relationships on other tabs

14.8

Deleting Relationships between Objects

14.10


Creating Relationships on the General Tab of an Activity and a Sub-Process

14.7 Creating Relationships on the General Tab of an Activity and a Sub-Process
Introduction

All Relationships between Objects are created and displayed on tabs. Connecting Objects on the General tab is different from other tabs, however. The General tab only applies to the Activity and Sub-Process Objects and always involves Relationships with Organisation Objects. This section describes the Relationships for which the General tab is relevant and how to create them.

Illustration

The following illustration shows the section on the General tab of an Activity where you can define Relationships with Organisation Objects.

Notes to
Illustration

Below is a description of the options you can specify in the various options menus.

Section

Description

Executor

The Role or Role Group that carries out the Activity.

To indicate that a Role or Role Group should (=) or should not (#) also carry out another Activity or Sub-Process.

The Activity or Sub-Process that should (=) or should not (#) be carried out by a specific Role or Role Group.

Responsibility

The Role or Role Group that is responsible for the Activity.

To indicate that a Role or Role Group is also (=) or is not (#) responsible for another Activity or Sub-Process.

The Activity or Sub-Process for which the Role or Role Group is also, or is not responsible.

Team

The Team that indicates how work is allocated for the Activity.

To indicate that the work allocation should also apply (=) or should not apply (#) to another Activity or Sub-Process.

The Activity or Sub-Process for which the work allocation should also apply, or should not apply.

Illustration

The following illustration shows the section on the General tab of a Sub-Process where you can define Relationships with Organisation Objects.

Notes to Illustration

Below is a description of the options you can define.

Section

Description

Responsibility

The Role or Role Group that is responsible for the Sub-Process.

To indicate that a Role or Role Group is also (=) or is not (#) responsible for another Activity or Sub-Process.

The Activity or Sub-Process for which the Role or Role Group is also, or is not responsible.

Example

To illustrate the connection of a Role, Role Group or Team, we have taken the example of connecting a Role, as Executor, to an Activity . The same method applies to connecting a Team to an Activity, or a Responsible to an Activity or Sub-Process.

Connecting a Role, Role Group or Team

You can connect a Role, as Executor, to an Activity as follows.

Step

Action

1

Open the Properties of the Activity to which you want to connect the Role.

2

Select the General tab.

3

  • Click on the [image] arrow of the first options menu below the Executor heading.
  • Select the Role or Role Group that you want to connect to the Activity.

4

Click on OK.

Connecting a Role, Role Group or Team Alternative

Below is an alternative method of connecting a Role, as Executor, to an Activity.

Step

Action

1

Ensure that the Activity and the Role are clearly visible by positioning the windows beside each other.

2

  • Select the Role.
  • Drag the Role onto the Activity.

3

Release your left mouse button.

Note

By doing this, you connect a Role as Executor to an Activity. If you want to connect it as a Responsible, you should do this explicitly on the General tab.

Tip

If you want to connect a Role to several Activities in a single action, you can select the Activities and drag the selection onto the Role. The Role will then be connected as Executor to all the selected Activities.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening Object Properties

7.2

Relationships on other tabs

14.8

Positioning windows vertically

6.2


Creating Relationships on Other Tabs

14.8 Creating Relationships on Other Tabs
Introduction

This section describes how to create a Relationship between 2 Objects on the other tabs, so excluding the General tab.

Tabs

Below is a description, by Object, of the tabs for which the discussed method of creating a Relationship applies.

Object

Tab

Trigger

  • Trigger Contents
  • Applications

Activity

  • Data
  • Applications
  • Involved

Sub-Process

  • Data
  • Applications
  • Involved

Document

  • Document Contents
  • Involved

Folder

  • Folder Contents
  • Involved

Data Group

  • Data Group Contents
  • Involved

Application

  • Application Contents
  • Involved

Role Group

  • Role Group Contents

Team

  • Team Contents

Buffer Connection

  • Data
Example

You create a Relationship in the same way for all Objects. We shall take as an example the Relationship between a Document and an Activity. This Relationship is displayed on the Data tab of an Activity.

Illustration

The following illustration shows the Data tab of an Activity, with a connected Document.

Connecting an Object on a Tab

You can connect a Document on the Data tab of an Activity as follows.

Step

Action

1

Open the Properties of the Activity.

2

  • Select the Data tab.
  • Leave this tab open.

3

Ensure that the Document you want to connect is visible.

4

  • Select the Document.
  • Drag the Document onto the opened tab.

5

Release your left mouse button.

The Document is displayed on the tab.

6

Click on OK.

Connecting an Object on a Tab Alternative

Below is an alternative method of connecting a Document on the Data tab of an Activity.

Step

Action

1

Ensure that both the Activity and the Document you want to connect are visible.

2

Select the Document you want to connect to an Activity.

3

Drag the Object onto the Activity until a plus sign appears below the mouse pointer [image].

4

Release your left mouse button.

Tip

You can connect several Objects on a tab in one action by selecting these Objects and then dragging the selection onto the tab.

Tip 2

You can connect a Data Object to several Activities in one action by selecting the Activities and then dragging this selection onto the Data Object.

Illustration 1

The following illustration shows the options that you can select to specify a Relationship between a Document and an Activity further.

Illustration 2

The following illustration shows the options that you can select to specify a Relationship between an Activity and an Involved Role further.

Notes to Illustration

For the Relationship between Data Objects and an Activity and/or a Sub-Process, you can indicate whether the Data Object should be mandatory, created, or deleted.

For a Relationship between an Activity and an Involved Role, you can indicate whether this Role is Informed or Consulted.

Specifying a Relationship

You can further specify a Relationship between a Data Object and an Activity and/or Sub-Process as follows. We have again taken an Activity as an example.

Step

Action

1

Open the Properties of the Activity.

2

Select the Data tab.

3

Check-select the box that corresponds to the Relationship between the Data Object and the Activity.

4

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening Object Properties

7.2

Positioning windows vertically

6.2


Connecting Data Objects Using the Topview Window

14.9 Connecting Data Objects Using the Topview Window
Introduction

The Topview window provides an overview of all Sub-Processes with the Data Objects that have been created in them. This section describes how to use the Topview window to connect Data Objects to other Objects.

Example

We shall take as an example the Relationship between a Document and an Activity.

Connecting an Object

You can connect a Document to an Activity using the Topview window as follows.

Step

Action

1

Open the Topview window.

2

  • In the Topview window, click on the plus sign [image] before the Sub-Process in which the Document you want to connect is modelled.
  • Open the Sub-Process in which the Activity is modelled.

3

  • In the Topview window, select the Document that you want to connect.
  • Drag the Document onto the Activity.

4

Release your left mouse button when a plus sign [image] appears under your mouse pointer.

5

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Connecting Objects on other tabs

14.8

The Topview window

6.6


Deleting Relationships on Other Tabs

14.10 Deleting Relationships on Other Tabs
Introduction

This section describes how to delete an Object that is connected on a tab.

Deleting an Object from a Tab

You can delete an Object from a tab as follows.

Step

Action

1

Open the Properties of the Object with the Relationship that you want to delete.

2

Select the correct tab.

3

Select the Object you want to delete.

Protos colours the selected Object red.

4

Press the Del key.

5

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening Object Properties

7.2


Substituting Relationships

14.11 Substituting Relationships
Introduction

You can substitute an Object for a new Object. For example, you can substitute a Document for a new one. You may have connected the old Document to various other Objects, however. Using Substitution, you can ensure that the new Document is connected everywhere that the old Document was connected. This section describes how to substitute an Object.

Rules for Substitution

Below are the rules for substituting an Object.

  • You can only substitute an Object of the same type. For example, a Document for a Document or a Role for a Role.
  • You can no longer undo the changes.
Substituting a Role

A Role, for example, can be connected as Executor to an Activity, and as Responsible to a Sub-Process. When you substitute this Role it is substituted everywhere. This means both as Executor of the Activity and as Responsible of the Sub-Process.

Substituting an Object

You can substitute an Object for another Object as follows.

Step

Action

1

Select the Object you want to substitute for another
Object.

2

Click with your right mouse button and select the Substitution... menu option.

The following dialogue window appears.

3

  • Click on the arrow [image] of the options menu.
  • Select the Object that will replace the original Object.

4

Click on OK.

The following notice will appear.

5

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Substituting in Analysis windows

20.4


Chapter 15 Extra Information

Summary

Introduction

This chapter contains information on the use of Extra Information for Objects in Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

15.1

Possibilities of Extra Information

2-262

15.2

Opening the Extra Information Window

2-264

15.3

Defining Extra Information

2-267

15.4

Entering Extra Information

2-271

15.5

Entering the HyperLink Extra Information Item

2-274

15.6

Deleting Extra Information

2-277

15.7

Possibilities of Tips

2-278

15.8

Defining and Displaying Tips

2-280


Possibilities of Extra Information

15.1 Possibilities of Extra Information
Introduction

You can provide all Objects in Protos Classic with a wide range of information, as default. For some Applications of your Process Model, however, you may want to define additional information for specific Objects. With the Extra Information option, Protos allows you to add this extra information to your Process Model.

Possible Extra Information

Below are details of the Extra Information items that you can define in Protos Classic for each Object, and their purpose.

Extra Information Item

Description

Text

To enter free-format text.

For example, a comment relating to an Activity.

Number

To enter a number.

For example, the processing time of an Activity.

Float

To enter a float (decimal figure).

For example, the costs of an Activity.

HyperLink

Makes it possible to open a different file in the HTML report.

For example, a link to a standard letter.

Protos Object

For connecting every other Protos Object.

For example, Documents to a Buffer.

E-mail

For creating the option in the HTML report of sending an e-mail.

For example, the e-mail address of someone who needs to be informed about carrying out an Activity.

Option

For creating an options menu.

For example, an options menu from which you can choose the complexity of an Activity.

Defining and Entering

It is important to make a distinction between defining Extra Information, and entering Extra Information. Defining Extra Information is done once for a specific Object type. You then have the option of entering the Extra Information you have created for each respective Object type, on the Extra tab.


Opening the Extra Information Window

15.2 Opening the Extra Information Window
Introduction

The Extra Information window is where you define Extra Information. This section describes how you open the window.

Illustration

The following illustration shows the window where you can define Extra Information for an Object.

Notes to
Illustration

In the Extra Information window you can view all the extra information that has been defined for an Object. On the right of the already-defined extra information there are a number of buttons that you can use to define new, extra information.

Letters

Each defined Extra Information item has a row starting with a letter. This letter is the same as that of the Extra Information item. Below are all the possible letters and the Extra Information item they represent.

Letter

Extra Information Item

T

Text

N

Number

F

Float

H

HyperLink

O

Protos Object

E

E-mail

P

Option

Opening the Extra Information Window

You can open the Extra Information window of an Object as follows.

Step

Action

1

Select the Tools menu and then the Extra Information menu option.

2

In the menu, select the Object for which you want to define extra information.

Opening the Extra
Information Window Alternative

Below is an alternative method of opening the Extra Information window of an Object.

Step

Action

1

In the Objects Palette, select the Object for which you want to define Extra Information.

2

  • Double-click on the Object in the Objects Palette, or
  • Click with your right mouse button on the Object in the Objects Palette and select the Extra Information... menu option.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining Extra Information

15.3

Entering Extra Information

15.4


Defining Extra Information

15.3 Defining Extra Information
Introduction

This section describes how you can create and then specify Extra Information for a specific Object type.

Creating Extra Information

You can create Extra Information as follows.

Step

Action

1

Open the Extra Information window of the Object for which you want to create extra information.

2

Click on the button that corresponds to the Extra Information you want to create.

A new row will be created in the left area of the screen.

Specifying Extra Information

You can specify Extra Information as follows.

Step

Action

1

In the Extra Information window, double-click on the row with the extra information you want to specify.

The following screen will appear:

Note

The HyperLink and E-mail Extra Information types have no Unit field.

2

  • Type in the desired name.
  • Type in the desired unit.

3

Click on OK.

Illustration

The following illustration shows the window in which you can specify the Option Extra Information item.

Notes to Illustration

The window in which you specify an Option contains several options. Beside the Name field, you will see the Modify field. All the possible Options for this Extra Information item are displayed in the bottom scroll window.

Adding New Options

You can add a New Option as follows.

Step

Action

1

Click on the New option button.

A new row is created that corresponds to a New option.

2

Select the new row.

The selected row will be coloured blue.

3

  • Type the name of the Option in the Modify field.
  • Click on the Modify button.

The Option will be given a name in the scroll window.

Changing the Sequence of Options

To change the sequence of Options, follow the steps below.

Step

Action

1

Open the window where you create Options.

2

  • Select the Option you want to move;
  • Drag the row to the desired place.

3

Release your left mouse button when the mouse pointer changes to [image].

Deleting an Option

You can delete an Option as follows.

Step

Action

1

Open the window where you create Options.

2

Select the Option you want to delete.

3

Press the Del key.

Tip

If you want the default Option to be 'None', make sure that the top bar of the Options is empty. You can, of course, also choose any other value as default.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Extra Information window

15.2

Entering Extra Information

15.4


Entering Extra Information

15.4 Entering Extra Information
Introduction

This section describes how you can enter Extra Information that you have defined.

Illustration

The following illustration shows the Extra tab of an Activity, containing a number of Extra Information items.

Notes to
Illustration

Extra Information is always entered on the Extra tab of the Properties window of an Object. This tab contains a number of fields that correspond with the Extra Information you have defined for the respective Object.

Entering Extra Information

You can enter Extra Information as follows.

Step

Action

1

Open the Properties window of the Object for which you want to enter the Extra Information.

2

Select the Extra tab.

3

Complete the desired field.

4

Click on OK.

Exceptional Extra Information

A number of Extra Information items have more than one field to be completed, or require extra actions. Below are the Extra Information items to which this applies.

  • Protos Object.
  • E-mail.
  • HyperLink.
Entering a Protos Object

To connect another Protos Object to an Object as an Extra Information item, follow the steps below.

Step

Action

1

Open the Properties window of the Object to which you want to connect the Protos Object.

2

  • Select the Extra tab.
  • Leave this tab open.

3

Ensure that the Object you want to connect is visible by opening another window, if necessary.

4

Drag the Object onto the desired field on the Extra tab.

The connected Protos Object is displayed in the field.

5

Click on OK.

Entering the E-Mail Address

You can enter information on the 2 fields belonging to the E-mail Extra Information item as follows.

Step

Action

1

Open the Properties window of the Object for which you want to enter the Extra Information item E-mail.

2

Select the Extra tab.

You will see that 2 fields need to be filled in for the E-mail Extra Information item.

3

  • In the first field, enter the name of the E-mail option as it should appear in the HTML report.
  • In the second field, enter the real E-mail address.

4

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Properties window of an Object

7.2

Defining Extra Information

15.3

Entering the HyperLink Extra Information item

15.5

Opening windows vertically

6.2


Entering the HyperLink Extra Information Item

15.5 Entering the HyperLink Extra Information Item
Introduction

Using the HyperLink Extra Information item, you can create references to web pages or files that can be accessed in the HTML report. This section describes how to enter the Extra Information item HyperLink.

Illustration

The following illustration shows the fields that you should fill in for a HyperLink.

Notes to
Illustration

Below is a description of the 4 fields and the options that you can enter there.

Field

Action

1

In this field you choose how a HyperLink is displayed in the HTML report.

  • New; the Document opens in a new window.
  • Max; the Document opens in the active window.
  • Inplace; the Document opens in the special frame for the purpose.

2

You use this field to indicate how to refer to the HyperLink.

  • Relative; the reference originates in a Base Directory that you specify in the Report Options. When searching for the connected file, the search originates in this Base Directory. In the 4th field, therefore, you need only enter the name and file extension.
  • Absolute; a Base Directory is not used for the HyperLinks. You should therefore enter in the 4th field the full location of the file to which you want to refer.

3

In this field you enter the name of the connected file, as you want it to appear in the HTML report.

4

Depending on your choice in the 2nd field, here you enter only the name and extension of the file, or the full file location.

Entering a Connected File

To indicate in the 4th field the file or location that is being referred to, follow the steps below.

Step

Action

1

Click on the [image] button behind the 4th field

A type of Windows Explorer will open.

2

  • Select the file that you want to connect.
  • Click on Open.

The location of the connected file will be displayed in the 4th field.

3

Click on the [image] button to check whether the connected file is opened.

Entering a Connected File Alternative

Below is an alternative method of indicating in the 4th field the file or location to which you are referring.

Step

Action

1

In the 4th field, type in the location, name and extension of the file that you want to connect.

2

Click on the [image] button to check whether the connected file is opened.

Dragging the Connected File

To indicate in the 4th field which file or location is referred to by dragging from Windows Explorer, follow the steps below.

Step

Action

1

  • Open the Extra tab of the Object to which you want to connect a file.
  • Leave this tab open.

2

Click on the [image] button to open a type of Windows Explorer.

3

  • Select the file to be connected.
  • Drag this file onto the 4th field of the HyperLink.
  • Release your left mouse button.

You will see the name of the file is displayed in the 3rd field and the full file location in the 4th field.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining Extra Information

15.3

HTML Report Options

22.2

Reporting to HTML

22.3


15.6 Deleting Extra Information
Introduction

This section describes how you can delete Extra Information that you have defined for an Object.

Deleting Extra Information

You can delete Extra Information as follows.

Step

Action

1

Open the Extra Information window of the Object for which you want to delete Extra Information.

2

Select the row with the Extra Information you want to delete.

The selected row will be coloured blue.

3

Press the Del key.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Extra Information window

15.2

Defining Extra Information

15.3


Possibilities of Tips

15.7 Possibilities of Tips
Introduction

Using Tips, you can display a number of an Object's Properties at each of its corners. This section describes these options.

Illustration

The following illustration shows an Activity with a number of Tips at its corners.

Notes to
Illustration

You can place a number of the Properties of certain Objects at the Object's corners. This allows you to see quickly whether any connected Roles or Descriptions are entered.

Possible Tips

Below are the Tips that can be displayed for Objects.

Tip

Description

Executor

The Executor Role or Role Group is displayed.

Responsibility

The Responsible Role or Role Group is displayed.

Team

The connected Team is displayed.

Extra Information

An Extra Information item is displayed. You can choose which one.

Description

If the Description of the Object is entered, the letter D is displayed.

Instructions

If the Instructions of the Object are entered, the letter I is displayed.

Objects

You cannot enter all the available Tips for every Object. Below are those Objects for which you can enter Tips, and the Tips you can enter.

Object

Possible Tips

Trigger

  • Extra Information
  • Description
  • Instructions

Activity

  • Executor Role or Role Group
  • Responsible Role or Role Group
  • Connected Team
  • Extra Information
  • Description
  • Instructions

Sub-Process

  • Responsible Role or Role Group
  • Extra Information
  • Description
  • Instructions

Buffer

  • Extra Information
  • Description
  • Instructions

Status

  • Extra Information
  • Description
  • Instructions

Role

  • Extra Information
  • Description
  • Instructions
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining Extra Information

15.3

Colour of Tips

5.3


Defining and Displaying Tips

15.8 Defining and Displaying Tips
Introduction

This section describes how to define Tips for Objects, and how to display them.

Illustration

The following illustration shows the Tips tab in the Extra Information window of the Object.

Notes to
Illustration

On the Tips tab you can see the four corners of an Object. Behind each of these corners you can see an options menu. In this menu you can specify the Property that you want to display on that corner. There is also a box that you can check-select to display an icon of a Property. For example, the cap representing a Role.

Extra Information as a Tip

Extra Information can also be shown as a Tip. There may well be several Extra Information items defined and entered for an Object, however. If you opt for Extra Information as a Tip, a field with a number will appear. Here you can indicate which Extra Information item should be displayed. If you type '1' in the field, the first Extra Information item on the Extra tab will be displayed etc.

Defining Tips

You can define Tips for an Object as follows.

Step

Action

1

Open the Extra Information window of the Object for which you want to define a Tip.

2

Select the Tips tab.

3

  • Click on the [image] arrow of the options menu behind the corner where you want to display a Tip.
  • Select the Property you want to display.
  • By check-selecting the box, indicate whether you want to display the icon of the Property.
  • Type the number of the desired Extra Information item in the appropriate field.

4

Click on OK.

Displaying a Tip

You can display the Tips defined for an Object as follows.

Note

You use the options to define the colour in which the Tips are displayed.

Step

Action

1

Select the View menu and then the Tips menu option.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Extra Information window

15.2

Defining the colour of Tips

5.3


Chapter 16 Drawing in a Process Model

Summary

Introduction

This chapter contains information on drawing freehand in a Process Model.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

16.1

Possibilities of Drawing

2-284

16.2

Activating or De-Activating the Graphics Mode

2-288

16.3

The Drawing Palette

2-289

16.4

Creating Graphics Objects

2-292

16.5

Editing Graphics Objects

2-293

16.6

Graphics Object Properties

2-297

16.7

Editing Text in a Text Field

2-300

16.8

Connecting Protos Objects to Graphics Objects

2-303


Possibilities of Drawing

16.1 Possibilities of Drawing
Introduction

In order to make your Process Model even more powerfully communicative, you can also draw ‘freehand’ in a Process Model.

You can draw a square around Activities, for example, to indicate that they have a particular relationship.

Possible Graphics Objects

The extra Objects that you can draw are limited to the following five types.

  • Rectangle
  • Oval
  • Text Field
  • Line (possibly with arrows)
  • Triangle

Note

These are the Objects that are initially possible. You can create a square from a rectangle, for example.

Possible Areas

You can create Graphics Objects in the following areas.

  • Process Area
  • Roles Area
Possible Editing Activities

You can carry out the following activities on Graphics Objects.

  • Change the colour.
  • Change the size.
  • Delete.
  • Move.
  • Copy.
  • Change Properties.
  • Move forward or send backward in relation to other Objects.
  • Connect to Protos Objects.
Examples

Below are 2 possible applications of ‘freehand’ drawings.

  • Conceptual models, which indicate the correlation between Objects.
  • Using Graphics Objects for visually grouping Objects that belong together.
Example of a Conceptual Model

In a conceptual model you can indicate, for example, how Sub-Processes have a relationship other than a sequential one. Below is an example of how this can be represented with Graphics Objects. The diagram depicts communication between Roles in the Sub-Processes, for example.

Example of Visual Emphasis

Using Graphics Objects, you can highlight certain items in a Process Model. For example, the departments in which Activities are carried out. An example of this is shown below.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Activating graphics mode

16.2

Creating Graphics Objects

16.4


16.2 Activating or De-Activating the Graphics Mode
Introduction

You can choose not to show Graphics Objects. You could do this, for example, when you want to work on your Process Model without being distracted by the graphics. You can also de-activate the graphics mode when you do not want to use graphics.

Graphics only Possible in Graphics Mode

You can only create Graphics Objects if the graphics mode is activated.

Activating or De-Activating the Graphics Mode

You can activate or de-activate the graphics mode as follows.

Step

Action

1

Select the View menu followed by the Drawing menu option.

If there is a check mark, the graphics mode is activated.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Showing or hiding the Drawing Palette

16.3


The Drawing Palette

16.3 The Drawing Palette
Introduction

In order to create Graphics Objects you need to use the Drawing Palette. This palette is comparable to the normal Objects Palette, but only contains the five available Graphics Object types.

Illustration of Drawing Palette

Below is an illustration of the Drawing Palette.

Possible Objects

Using the Drawing Palette, you can create the following Objects.

Diagram

Object

Rectangle

Oval

Text field

Line

Triangle

Showing or Hiding the Drawing Palette

To show or hide the Drawing Palette, follow the steps below.

Step

Action

1

Select the View menu followed by the Drawing Palette menu option.

Note

You may find that the Drawing Palette is activated while the graphics mode is not activated. The graphics mode and the Drawing Palette have no direct relationship.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Editing the Objects Palette

2.7

Activating or de-activating the graphics mode

16.2


Creating Graphics Objects

16.4 Creating Graphics Objects
Introduction

A Graphics Object is created using the Drawing Palette. This is done in the same way as creating a normal Protos Object. This section describes how to create a Graphics Object.

Conditions

You can only create Graphics Objects if the graphics mode and the Drawing Palette are activated.

Creating a Graphics Object

You can create a Graphics Object as follows.

Step

Action

1

In the Drawing Palette, select the Graphics Object you want to create.

2

  • Hold down your left mouse button on the Graphics Object;
  • Drag the Object to the desired screen area;
  • Release your left mouse button at the desired place.

A new Graphics Object is created. The default colour is white with a black border.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Showing or hiding the Drawing Palette

16.3

Activating or de-activating the graphics mode

16.2


Editing Graphics Objects

16.5 Editing Graphics Objects
Introduction

After you have created a Graphics Object, you can carry out a number of editing activities on it. This section describes how to carry out the following editing activities.

  • Moving
  • Changing size
  • Copying
  • Deleting
  • Changing position
Moving a Graphics Object

You can move a Graphics Object as follows.

Step

Action

1

Select the Graphics Object that you want to move.

2

  • Hold down your left mouse button on the Graphics Object;
  • Drag the Graphics Object to the desired place;
  • Release your left mouse button at the desired place.

During dragging the outline of the Graphics Object is visible under the mouse pointer.

Changing the Size of a Graphics Object

You change the size of an Object by dragging. You can also make a rectangle into a square with this method, for example. You can change the size of a Graphics Object as follows.

Step

Action

1

Select the Graphics Object of which you want to change the size.

The sizing handles of the Graphics Object will be visible. These are the squares on each corner and – if applicable – also on the sides of the Graphics Object.

2

  • Hold down your left mouse button on a sizing handle.
  • Drag the Object until it is the desired size.
  • Release your left mouse button.
Copying a Graphics Object

You can re-use a Graphics Object by copying it. You can copy a Graphics Object as follows.

Step

Action

1

Select the Graphics Object that you want to copy.

2

  • Press the Ctrl+Ckeys, or
  • Select the Edit menu and then the Copy menu option.

3

  • Press the Ctrl+V keys, or
  • Select the Edit menu and then the Paste menu option.
Copying a Graphics Object Alternative

In the following table is an alternative method of copying a Graphics Object.

Step

Action

1

Select the Graphics Object that you want to copy.

2

Hold down your left mouse button together with the Ctrl key.

3

Drag the Graphics Object to the location where you want to have the copy.

You will see that, during dragging, the outline of the Object you are copying is visible and the mouse pointer changes to [image] .

4

Release your left mouse button and the Ctrl key.

Deleting a Graphics Object

If a Graphics Object is superfluous or incorrect, you can delete it. You can delete a Graphics Object as follows.

Note

You can delete several Graphics Objects at the same time by selecting them and then following the steps below.

Step

Action

1

Select the Graphics Object(s) that you want to delete.

2

  • Click once with your right mouse button and select the Delete menu option, or
  • Press the Del key, or
  • Select the Edit menu and then the Delete menu option.
Changing the Position of Graphics Objects

Graphics Objects are positioned in a specific sequence in front of or behind each other. You can change this position in the following 4 ways.

  • Bringing the Graphics Object to the front; it will then be in front of all other Graphics Objects.
  • Sending the Graphics Object to the back; it will then be behind all other Graphics Objects.
  • Bringing a Graphics Object one level forward.
  • Sending a Graphics Object one level backward.

Note

Graphics Objects can never be positioned in front of Protos Objects.

You can change the position of a Graphics Object as follows.

Step

Action

1

Select the Graphics Object with the position you want to change.

2

  • Click once with your right mouse button and select the Sequence menu option, followed by the way in which you want to change the position of the Graphics Object.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating Graphics Objects

16.4

Graphics Object Properties

16.6


Graphics Object Properties

16.6 Graphics Object Properties
Introduction

Like Protos Objects, each Graphics Object has Properties. These Properties can be viewed and changed in the Graphics Object’s Properties window.

Illustration of Properties Window

The following illustration shows the Properties window of a Graphics Object.

Note

This is the Properties window of a text field. This is the most extensive Properties window. All other Graphics Objects have a similar Properties window.

Properties Window
Options

Below you will find a description of the options in a Graphics Object’s Properties window.

Option

Description

Object

The Protos Object that you have perhaps connected to a Graphics Object is displayed here.

Fill Colour

You can view or change the fill colour of the Graphics Object here.

Transparent

If this option is selected, the Graphics Object has no fill colour.

Line Colour

There is a line surrounding each Graphics Object. You can view or change the colour of this line here.

Line Width

There is a line surrounding each Graphics Object. You can view or change the width of this line here.

Line Style

There is a line surrounding each Graphics Object. You can view or change the style of this line here.

Aligning

You can use the three buttons to align the text in a text field to the left, centre or right.

Note

This option only applies to the Graphics Object text field.

Example button

The Example button is used to view the changes to Properties without actually applying them.

Changing Properties

You can open the Properties window of a Graphics Object and change the Properties as follows

Step

Action

1

Select the Graphics Object with the Properties you want to view or change.

2

  • Click once with your right mouse button and select the Properties... menu option, or
  • Double-click with your left mouse button on the Graphics Object.

You will see that the Properties window is opened.

3

Click on the area behind an option to change that option.

4

  • You can also first click on the Example button to view the change.
  • Click on OK to apply the changes to the Properties.
  • Click on Cancel if you do not want to change the Properties.
Tip

If you do not want a line surrounding an Object, set the line width to 0.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating a Graphics Object

16.4

Editing text in a text field

16.7

Connecting a Protos Object to a Graphics Object

16.8


Editing Text in a Text Field

16.7 Editing Text in a Text Field
Introduction

When you create a text field, the message ‘Type your text here’ will be shown in it, as default. You can do the following with this message.

  • Change the text.
  • Change the font, size or colour.
  • Change the alignment.
Change the Text

You can change the text in a text field as follows.

Step

Action

1

Select the text field containing the text you want to
change.

2

  • Press the F2 function key, or
  • Click once with your left mouse button in the text field.

The existing text is selected and the cursor is flashing behind the text.

3

  • Change the full text, or change the existing text;
  • Click once with your left mouse button beside the text field to apply the change.

Note

Use the Enter key to move on to the next row in the text field.

Changing the Font, Size or Colour

You can change the font, size or colour of the text in a text field as follows.

Step

Action

1

Select the text field in which you want to change the font, size or colour.

2

Click once with your right mouse button and select the Font menu option.

The window in which the font, size or colour can be changed will open.

3

  • Choose the desired font, size or colour;
  • Click on OK.

Note

You can choose from the fonts that are installed on your PC.

Aligning Text

By default, the text in a text field is aligned to the left. You can change the alignment of the text in a text field as follows.

Step

Action

1

Open the Properties window of the text field in which you want to change the text alignment.

2

  • Click on the [image] button to align the text to the left, or
  • Click on the [image] button to align the text to the centre, or
  • Click on the [image] button to align the text to the right.

3

  • You can also first click on the Example button to view the change.
  • Click on OK to apply the change.
  • Click on Cancel if you do not want to change the Properties.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Properties window of a Graphics Object

16.6


Connecting Protos Objects to Graphics Objects

16.8 Connecting Protos Objects to Graphics Objects
Introduction

You can connect a Protos Object to a Graphics Object. This can be useful in an HTML report. If you then click on a Graphics Object, this has the same effect as if you were to click on the connected Protos Object. So if you click on a Graphics Object, the Properties of the connected Object will be displayed in the HTML report.

Sub-Process

With a Sub-Process, this is different. If you connect a Sub-Process to a Graphics Object, then the contents of the Sub-Process will be displayed if you click on the Graphics Object.

Illustration

The following illustration shows the Properties window of a Graphics Object with a connected Protos Object.

Notes to
Illustration

In the field behind Object you can see that the ‘Process Quotation’ Sub-Process is connected.

Connecting Protos Objects

You can connect a Protos Object to a Graphics Object as follows.

Step

Action

1

  • Open the Properties of the Graphics Object to which you want to connect a Protos Object.
  • Leave this window open.

2

  • Select the Protos Object that you want to connect.
  • Drag the Protos Object into the field behind Object.
  • Release your left mouse button.

The connected Object is displayed.

3

Click on OK.

Connecting Protos Objects Alternative

Below is an alternative method of connecting a Protos Object to a Graphics Object.

Step

Action

1

  • Select the Protos Object that you want to connect.
  • Hold down the Shift key.
  • Drag the Protos Object onto the desired Graphics Object until you see a + under the mouse pointer.
  • Release your left mouse button.

Note

If you drag a new Protos Object onto a Graphics Object while a previous Protos Object was already connected, the existing connection will be replaced.

Deleting a Connection

You can delete the connection between a Protos Object and a Graphics Object as follows.

Step

Action

1

Open the Properties of the Graphics Object with the connected Protos Object that you want to delete.

2

  • Select the Protos Object in the field behind Object, so that the border of the Object changes colour to blue.
  • Press the Del key.

The connected Object is deleted.

3

Click on OK.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Properties window of a Graphics Object

16.6

HTML reports

22.1


Analysing

Part 3: Analysing

Summary

Introduction

This part contains information about Analysis options in Protos.

Contents

Below is a description of the subjects handled in this part.

Chapter

Subject

Page

17

Analysis Options

3-313

18

Viewing Analyses

3-321

19

Manipulating Analyses

3-331

20

Other Actions in the Analyses

3-341


Chapter 17 Analysis Options

Summary

Introduction

This chapter contains information on the Analyses that can be generated by Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

17.1

Introduction to Analyses

3-314

17.2

Making Relationships Visible in the Process and Organisation Windows

3-316

17.3

Requesting Analyses

3-319


Introduction to Analyses

17.1 Introduction to Analyses
Introduction

Protos offers an extensive range of analysis options. These are mainly qualitative analyses. These analyses show all the Relationships between the Activities in the various Process Areas and Objects in the Data Area or Organisation window.

Analysis
Options

Below is a list of the Analysis options.

  • Making Relationships visible in the Process and Organisation windows.
  • Executor Analysis.
  • Responsibility Analysis.
  • Team Analysis.
  • Data Analysis.
  • Application Analysis.
Making
Relationships Visible

Protos allows you to display Relationships on a context basis. To do this you use the Used by? and the Contains? menu options. This allows you to display all the Relationships between Objects in the Process Area, Data Area and Organisation window.

Executor
Analysis

After creating Relationships between Roles or Role Groups and Activities, you can use the Executor Analysis to provide an overview of the work distribution. It is essential to be able to see which Roles carry out which Activities, especially in order to know where there are possible transfer moments.

Responsibili- ty Analysis

After creating Relationships between Roles or Role Groups and Activities, you can use the Responsibility Analysis for an overview of how responsibility is distributed.

Team
Analysis

After creating Relationships between Teams and Activities, you can use the Team Analysis for an overview of the Activities where work allocation applies, and those where it does not.

Data Analysis

After creating Relationships between Data and Activities, you can use the Data and Document Analysis for an overview of the use of Data Objects in the process.

Application Analysis

After creating Relationships between Applications and Activities, you can use the Applications Analysis for an overview of the use of Applications in the process.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Relationships between Objects

14.1

Requesting an Analysis

17.3

Swimlanes

18.2


Making Relationships Visible in the Process and Organisation Windows

17.2 Making Relationships Visible in the Process and Organisation Windows
Introduction

Besides the Analyses generated by Protos, you can also choose to display Relationships contextually. To do this you use the Used by? and the Contains? menu options. This section describes how you can show all the Relationships in the Process and Data Areas and the Organisation window.

Options

Relationships are made visible by colouring the Objects. This action can be carried out seven times consecutively. It is possible to colour all Object types in all windows. To do this you place several windows beside each other vertically.

Note

When a Sub-Process is coloured following a Used by? Analysis of an Object, this could mean that the Object is connected to a Sub-Process, or to an Object in a Sub-Process.

Used by?

You can colour Objects that contain the Object as a Relationship as follows.

Step

Action

1

Select the Object for which you want to find other
Objects containing it as a Relationship.

2

Click once with your right mouse button and select the Used by? menu option.

The Objects containing the Object as a Relationship are now coloured.

Contains?

You can colour the Objects that are contained in the Object as a Relationship, as follows.

Step

Action

1

Select the Object for which you want to find which Objects are included as a Relationship.

2

Click once with your right mouse button and select the Contains? menu option.

All Objects that are included in this Object as a Relationships are now coloured.

Cancelling Used by? and Contains?

You can cancel the colour of the Objects by pressing the Release Manually [image] button.

Used by? and Contains? Alternative

Below is an alternative method of making Relationships visible.

  • Pressing Shift and the right mouse button on an Object activates the Contains? function.
  • Pressing Ctrl plus the right mouse button on an Object activates the Used by? function.

Note

When you release the right mouse button, the Relationship is no longer visible. Colouring of Objects is retained if you first press the Release Manually [image] button on the toolbar.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining Colours

5.3

Relationships between Objects

14.1

Positioning Multiple Windows Vertically

6.2


Requesting Analyses

17.3 Requesting Analyses
Introduction

This section describes how to request the Analyses in Protos.

Function of the Analysis Buttons

Below is a description of the function of the various Analysis buttons of the toolbar in Protos Classic.

Button

Function

Opens the window containing the Executor Analysis.

Opens the window containing the Responsibility Analysis.

Opens the window containing the Team Analysis.

Opens the window containing the Data Analysis.

Opens the window containing the Applications Anal- ysis.

Requesting an Analysis

You can request an Analysis as follows.

Step

Action

1

Select the desired Analysis button on the toolbar.

Requesting an Analysis Alternative

Below is an alternative method of requesting an Analysis.

Step

Action

1

Select the Analysis menu and then the desired Analysis.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Analyses

17.1

Viewing Analyses

18.3


Chapter 18 Viewing Analyses

Summary

Introduction

This chapter contains information on viewing the Analysis windows.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

18.1

Viewing Analyses of Organisation Objects

3-322

18.2

Swimlanes

3-325

18.3

Viewing Analyses of Data Objects

3-328


Viewing Analyses of Organisation Objects

18.1 Viewing Analyses of Organisation Objects
Introduction

This section describes viewing the Analysis windows that display the Relationships between Organisation Objects and the process.

Analysis Display

The following Analyses show the Relationships between Organisation Objects and the process.

  • Executor Analysis
  • Responsibility Analysis
  • Team Analysis

These Analyses can be displayed in matrix and in swimlane form.

Illustration

The illustration below shows the Executor Analysis window in matrix form.

Notes to
Illustration

On the left of the Analysis window is a list of all the Activities in the process. These are displayed as follows: NameSub-Process.NameActivity.

All the Objects from the Roles Area or Teams Area are displayed at the top. The Objects that are actually displayed depends on the Analysis that you have requested.

Unconnected Objects

If Objects are not connected, this can be seen in the Analysis window. Below is an overview of how this is displayed in the various Analysis windows.

Analysis

Display

Executors

  • Activities that are not connected to a Role or Role Group are displayed under <<No Role>>
  • Roles or Role Groups that are not connected to an Activity are coloured green.

Responsi- bility

  • Activities that are not connected to a Role or Role Group are displayed under <<No Role>>
  • Roles or Role Groups that are not connected to an Activity are coloured green.

Teams

  • Activities that are not connected to a Team are displayed under <<No Team>>
  • Teams that are not connected to an Activity are coloured green.
Indicators

Below is a description of the indicators that you can find in the Analyses.

  • A dash (-) on the left of the Activities indicates that they are carried out by a Role Group (several Roles).
  • A red line in the Analysis indicates which Roles are in a Role Group.
  • A closed square above the Role indicates that it is an Internal Role, and an open square indicates that it is an External Role.
  • A red square in the Analysis shows that the Object is directly connected to an Activity.
  • A circle on the right-hand side of a red square in the Analysis indicates a self-loop in the process. This means that an Activity can be carried out again.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Analyses

17.1

Swimlanes

18.2

Viewing Analyses of Data Objects

18.1

Relationships between Objects

14.1

Setting the Distance between Rows and Columns

5.3


Swimlanes

18.2 Swimlanes
Introduction

This section describes how you can display the information from an Analysis in swimlane format. It also contains information on what you can see in the Swimlane window.

Description of Swimlane

A swimlane is an alternative way of displaying the distribution of Activities across the Roles or Teams in the process. Unlike the matrix Analysis where only the names of Objects can be seen, in the Swimlane Analysis the actual Objects themselves are displayed.

Swimlane Options

Below are the Analysis windows in which you can convert the information into swimlanes.

  • Executor Analysis.
  • Responsibility Analysis.
  • Team Analysis.
Activating Swimlanes

You can access the swimlane format as follows.

Step

Action

1

Open the desired Analysis window.

2

Select the View menu and then the Swimlane menu option.

Note

The Swimlane Analysis will remain in force until you de-activate the Swimlane menu option again.

Illustration

The illustration below shows the Swimlane window of the Executor Analysis.

Notes to Illustration

All Objects with their related icons are displayed in the Swimlane window. This is different from the Analysis windows, where only the names of the Objects are displayed. At the top of the Swimlane window are all the Roles or Teams. Each Role or Team has its own column containing all the connected Activities. If any Conditions apply to the Connections, these are also displayed in the Swimlane window.

Indicators

Below is a description of the indicators that you can find in the Swimlane window.

  • A red line in the Analysis indicates which Roles are in a Role Group.
  • A circle on the right-hand side of an Activity indicates a self-loop in the process.
Unconnected Objects

If an Object is not connected, the name of that Object is coloured green in the Swimlane window.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Analyses

17.1


Viewing Analyses of Data Objects

18.3 Viewing Analyses of Data Objects
Introduction

This section describes the contents of the Analysis windows that display the Relationships between Data Objects and the process.

Analysis
Display

The following Analyses show the Relationships between Data Objects and the process.

  • Data Analysis.
  • Applications Analysis.

These Analyses are displayed in matrix form.

Illustration

The illustration below shows the Data Analysis window in matrix form.

Notes to
Illustration

On the left of the Analysis window is a list of all the Activities in the process. These are displayed as follows: NameSub-Process.NameActivity.

All the Objects from the Data Area are displayed at the top. The Objects that are actually displayed depends on the Analysis that you have requested.

Unconnected Objects

If Objects are not directly connected, this can be seen in the Analysis window. Below is an overview of how this is displayed in the various Analysis windows.

Analysis

Display

Data

Data Objects that are not directly connected to an Activity are coloured green.

Applications

Applications that are not directly connected to an Activity are coloured green.

Indicators

Below is a description of the indicators that you can find in the Analyses.

  • A red square in the Analysis shows that the Object is directly connected to an Activity.
  • A dark red square in the Analysis shows that the Object is indirectly connected to an Activity.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Analyses

17.1

Viewing Analyses of Organisation Objects

17.3

Relationships between Objects

14.1

Setting the Distance between Rows and Columns

5.3


Chapter 19 Manipulating Analyses

Summary

Introduction

This chapter contains information on how you can manipulate Analyses generated by Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

19.1

Setting the Object Sequence in the Process Area

3-332

19.2

Setting the Sequence of Data Objects and Organisation Objects

3-335

19.3

Requesting an Analysis of a Sub-Process

3-337

19.4

Reducing an Analysis

3-339


Setting the Object Sequence in the Process Area

19.1 Setting the Object Sequence in the Process Area
Introduction

This section describes how you can change the sequence of Objects in Analyses by manually changing the sequence of Objects in the Process Area.

Object Sequence in the Process Area

In order to determine the sequence of Objects in Analyses, Protos uses the sequence displayed in the Process Area, from top to bottom and from left to right. This is often not the sequence you want to see in the Analyses. You can choose to change the sequence manually. The manual sequence that you specify will be saved. When you turn on the Manual Sequence you will see the sequence you have chosen in the Analyses. When you turn off the Manual Sequence, you will see the sequence set by Protos.

Setting the Manual Sequence

You can set the Manual Sequence of Objects in the Process Area as follows.

Step

Action

1

Go to the Process Area containing the Objects you want to set to Manual Sequence.

2

Select the Edit menu and then the Manual Sequence option.

3

Select the Edit menu again and then the Set Sequence option.

You will see a number in the upper left corner of the Objects. This corresponds to the sequence in which the Objects were created.

4

Select all the Objects one after the other, in the order you would like to have them.

Note

  • You should click on the Object, not on the number.
  • You need to define the sequence for each Object individually, so also for Objects in a Sub-Process.

5

Close the Set Sequence function by clicking once on an empty space in the Process Area.

The sequence of Objects in the Analyses will now correspond to the sequence you have specified.

Note

The sequence of Objects is maintained not only in the Analyses but also in the reports of Protos.

Illustration

The following illustration shows the Process Area after you have selected Manual Sequence and Set Sequence. You can see the numbers in the upper left corner of the Objects.

Cancelling the Manual Sequence

You can cancel the sequence you have set as follows.

Step

Action

1

Select the Edit menu and then the Manual Sequence option.

The sequence of Objects in the Analyses will now correspond to that set by Protos.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Reporting to RTF

21.3

Reporting to HTML

22.3

Sorting Data and Organisation Objects

4.8

Description of Analyses

17.1


Setting the Sequence of Data Objects and Organisation Objects

19.2 Setting the Sequence of Data Objects and Organisation Objects
Introduction

This section describes how to set the sequence of Data Objects and Organisation Objects in Analyses.

Object Sequence in the Organisation Window

The sequence of Organisation Objects is the same as the one in which they were created in the Role and Team Areas. You may want to choose a different sequence. You can change the sequence in the Analysis window.

Object Sequence in the Data Area

The sequence of Data Objects cannot be changed in the Analysis window. To do this, you need to use the Sort menu option in the Data Area. The Objects in the Data Area are sorted alphabetically and by Data Object type.

Changing the Sequence of Roles and Teams

You can change the sequence of Roles and Teams as follows.

Note

The following method only works for the Executor, Responsibility and the Team Analyses.

Step

Action

1

Open the Analysis window.

2

  • Select the Object you want to move.
  • Hold down your left mouse button.
  • Drag the Object to the desired column.

3

Release your left mouse button when the mouse pointer changes to [image] .

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Sorting Data Objects

4.8

Description of Analyses

17.1


19.3 Requesting an Analysis of a Sub-Process
Introduction

This section describes how to request a Sub-Process Analysis.

Selection Options

The choices for displaying the Analysis of the Objects in a selected Sub-Process only are described below.

  • Requesting an Analysis of a selected Sub-Process.
  • Temporarily displaying in the Analysis window only those Relationships of a Sub-Process that you have selected.
Requesting an Analysis of a Sub-Process

You can request an Analysis of a Sub-Process as follows.

Step

Action

1

Select the Sub-Process for which you want to request an Analysis.

2

Click with your right mouse button and select the Analysis menu option followed by the desired Analysis.

You will see the selected Analysis with only the Activities of the selected Sub-Process.

Requesting an Analysis in the Topview Window

You can request an Analysis of a Sub-Process in the Topview window as follows.

Step

Action

1

Select the Analysis menu in Protos Procesmodeller and then the Topview menu option.

2

Click with your right mouse button in the Topview window on the desired Sub-Process and select the Analysis menu option, followed by the desired Analysis.

Reducing the Selection

To display only the Analysis within a Sub-Process in the Analysis window, follow the steps below.

Note

This is not possible if the Analysis is displayed in swimlane format.

Step

Action

1

Open the desired Analysis window.

2

Hold down your right mouse button on the name of the desired Sub-Process in the left of the window.

Only the desired selection is now displayed.

3

Release your right mouse button on the menu bar or toolbar of Protos Classic.

Note

Click with your right mouse button in the Analysis window and the selection will be cancelled.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Analysis window

17.3

The Topview window

6.6


Reducing an Analysis

19.4 Reducing an Analysis
Introduction

This section describes how to reduce an Analysis.

Selection Options

Below are the options for reducing the Analysis.

  • Display only the Relationships of an Object you have selected.
  • Colour the Relationships of the selected Object red.
Reducing the Selection

You can reduce the selection of an Analysis as follows.

Step

Action

1

Open the desired Analysis window.

2

Decide what you want to see.

If you only want to see...

Then:

the objects from the Data Area or Organisation window that are directly or indirectly connected to an Activity

Hold down your right mouse button on the name of the desired Activity in the left of the window.

the Activities that are connected to an Object in the Data Area or Organisation window

Hold down your right mouse button on the desired Object at the top of the window.

Only the desired selection is now displayed.

3

Release your right mouse button on the menu bar or toolbar of Protos Classic.

Note

Click with your right mouse button in the Analysis window and the selection will be cancelled.

Colouring the Selection Red

You can colour the Relationships of a selected Object red as follows.

Step

Action

1

Open the desired Analysis window.

2

Decide what you want to see.

If you only want to see...

Then:

the Objects from the Data Area or Organisation window that are directly and indirectly connected to one Activity

Hold down your left mouse button on the name of the desired Activity in the left of the window.

the Activities that are connected to an Object in the Data Area or Organisation window

Hold down your left mouse button on the desired Object at the top of the window.

The desired selection is coloured red.

3

Release your left mouse button on the menu bar or toolbar of Protos Classic.

Note

Click with your left mouse button in the Analysis window and the selection will be cancelled.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Opening the Analysis window

17.3


Chapter 20 Other Actions in the Analyses

Summary

Introduction

This chapter contains information on the other actions that you can carry out in the Analysis and Swimlane windows.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

20.1

Introduction

3-342

20.2

Viewing and Changing Object Properties

3-344

20.3

Changing Connections

3-346

20.4

Substituting Objects

3-348


Introduction

This section describes which other actions you can carry out in the Analysis and Swimlane windows.

Permitted Actions

Below are the actions that are permitted in the various Analyses.

  • Viewing and changing Object Properties.
  • Changing Connections.
  • Substitution.

Note

These actions have consequences not only for your Analysis, Protos implements all the changes in the Process Model also.

Object
Properties

In the following Analyses you can view and change the Properties of an Object in the Analysis window.

  • Executor Analysis.
  • Responsibility Analysis.
  • Team Analysis.
  • Data Analysis.
  • Applications Analysis.

Below are the Analyses in which you can view and change Properties in the Swimlane window.

  • Executor Analysis.
  • Responsibility Analysis.
  • Team Analysis.
Connecting Objects

Below are the Analyses in which you can change the Connections between Objects in the Analysis and Swimlane windows.

  • Executor Analysis.
  • Responsibility Analysis.
  • Team Analysis.
Substituting Objects

In the following Analyses, you can substitute in the Analysis window any Object that is connected to an Activity by another Object of the same type.

  • Executor Analysis.
  • Responsibility Analysis.
  • Team Analysis.
  • Data Analysis.
  • Applications Analysis.

Below are the Analyses in which you can substitute Objects in the Swimlane window.

  • Executor Analysis.
  • Responsibility Analysis.
  • Team Analysis.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Analyses

17.1

Substitution in Analyses

20.4

Connecting Objects in Analyses

20.3

Viewing and Editing Properties in Analyses

20.2


Viewing and Changing Object Properties

20.2 Viewing and Changing Object Properties
Introduction

This section describes how to view and change Properties in the Analysis and Swimlane windows.

Opening the Properties Window in the Analysis
Window

You can open the Properties window of an Object in the Analysis window as follows.

Step

Action

1

Open the desired Analysis window.

2

Double-click on the name of the Object of which you want to view the Properties.

You will see that the Properties window is opened.

3

Select the desired tab.

Opening the Properties Window in the Swimlane Window

You can open the Properties window of an Activity, Role or Team as follows:

Step

Action

1

Open the desired Swimlane window.

2

Double-click on the Object of which you want to view the Properties.

You will see that the Properties window is opened.

3

Select the desired tab.

Changing Properties

Changing the Properties of an Object in the Analysis and Swimlane windows is done in the same way as in the Process or Organisation windows.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Analyses

17.1

Swimlane window

18.2

Editing Properties

7.4


Changing Connections

20.3 Changing Connections
Introduction

This section describes how to change Connections between Objects in the Analysis and Swimlane windows.

Changing Connections in the Analysis Window

You can change the Connections between Objects in the Analysis window as follows.

Step

Action

1

Open the desired Analysis window.

2

On the line, select the red block of the Activity that you want to connect to another Object.

3

  • Hold down your left mouse button.
  • Drag the block horizontally until it is below the name of the Object to which you want to connect the Activity.

Protos helps you to position the block properly by colouring the name of the Objects red.

4

Release your left mouse button when the Object you want to connect to the Activity is coloured red.

You can see that the red block has moved.

Changing Connections in the Swimlane Window

You can change the Connections of Objects in the Swimlane window as follows.

Step

Action

1

Open the desired Swimlane window.

2

Select an Activity that you want to connect to another Object.

3

  • Hold down your left mouse button.
  • Drag the Object horizontally until it is in the column of the Object to which you want to connect the Activity.

4

Release your left mouse button.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Defining Analyses

17.1

Connecting Objects

14.7

Swimlanes

18.2


Substituting Objects

20.4 Substituting Objects
Introduction

This section describes how to substitute Objects in the Analysis and Swimlane windows.

Consequences of Substitution

If you make a Substitution in an Analysis window, this will be implemented throughout the entire Process Model.

Substituting in the Analysis Window

You can substitute an Object by another Object of the same type in the Analysis window as follows.

Step

Action

1

Open the desired Analysis window.

2

Select the Object that you want to replace with another Object.

3

  • Hold down your left mouse button.
  • Drag the Object to the Object that will replace it, until you see the following icon [image] .

4

Release your left mouse button.

You will see a warning.

5

Click on OK.

All the Connections of the original Object are now connected to the replacement Object.

Substituting in the Swimlane Window

Substituting objects in the Swimlane window is done in the same way as in the Analysis window.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Description of Analyses

17.1

Substituting Data Objects

14.11

Editing Properties

20.2


Reporting

Part 4: Reporting

Summary

Introduction

This part of the manual contains information about reporting options in Protos Classic.

Contents

Below is a description of the subjects handled in this part.

Chapter

Subject

Page

21

Reporting to RTF

4-353

22

Reporting to HTML

4-369

23

Format Templates for HTML Reports

4-383

24

Viewing an HTML Report of a Process Model

4-399

25

Other Reports

4-417


Chapter 21 Reporting to RTF

Summary

Introduction

This chapter contains information on reporting to Rich Text Format.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

21.1

Introduction to RTF Reports

4-354

21.2

Defining RTF Options

4-356

21.3

Reporting to RTF

4-365

21.4

Viewing RTF Reports

4-366


Introduction to RTF Reports

21.1 Introduction to RTF Reports
Introduction

This section describes the options available for an RTF report.

Meaning of RTF

RTF stands for Rich Text Format and is an international standard for describing the format of documents.

For Opening in a Word Processor

The .rtf files that are created by reporting to RTF can be opened and edited in most word processors. By reporting to RTF, you actually create a written report of a Process Model.

Usage Options

Below is a description of various options for using a written report.

Options

Description

Paper manual

Using an RTF report, you can create manuals of a Process Model.

This paper manual can be used to support the execution of a process.

Review

The extensive setting options of an RTF report allow for specific elements of a Process Model to be provided in printed form.

This makes it possible for new or edited elements of a Process Model to be reviewed by a specialised expert.

Handout following a process-modelling session

If you have developed a process in a plenary session, you can give the results to the participants as a document at the end of the session.

File Location

Protos places all RTF files in the location that you have specified under Tools - File Location. During reporting, you can still change this location.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Options for RTF Reports

21.2

Generating RTF Reports

21.3

Viewing RTF Reports

21.4

Defining a file location

5.5


Defining RTF Options

21.2 Defining RTF Options
Introduction

This section describes how to define the options for an RTF report of a Process Model.

Tabs

You define the options for an RTF report in the Report Options window. This window contains 3 tabs where you can select or deselect various options.

  • Process Model tab.
  • Layout tab.
  • Sub-Process tab.
Illustration

The following illustration shows the Process Model tab where you specify which general Process Model data should be included in the RTF report.

Process Model Tab Options

Below is a description of the information about the Process Model that is included in the RTF report if you select an option on the Process Model tab.

Option

Description

Extra Information

Extra information that is specified for each Object.

Description

Description that was entered for the Process Model data.

Instructions

Instructions that were entered for the Process Model data.

Overview - Diagram

A diagram of the overview of Sub- Processes (comparable to the Topview window).

Overview - Table

A table containing all the Sub-Processes and their Descriptions

Roles - Diagram

A diagram of the Roles as they are modelled in the Roles Area.

Roles - Table

A table of all the Roles and possibly also:

  • Description of the Role.
  • Instructions of the Role.
  • Connected Objects from Protos Organisation Modeller.
  • Connected Objects from Protos Indicator.

Teams

For each Team, a table with the contents of the Teams Contents tab and possibly also:

  • Description of the Team.
  • Instructions of the Team.
  • Connected Objects from Protos Organisation Modeller.
  • Connected Objects from Protos Indicator.

Role Groups

For each Role Group, a table with the contents of the Role Group Contents tab and possibly also:

  • Description of the Role Group.
  • Instructions of the Role Group.
  • Connected Objects from Protos Indicator.

Executor Route

A diagram of the Executor Analysis.

Note

If you have selected the View - Swimlane menu option, the diagram is displayed in swimlane style.

Executor Table

For each Role, a table with all the Activities that are carried out by that Role, possibly including:

  • Description of the Activities.
  • Instructions of the Activities.
  • Description and Instructions of the Activities.

Responsibility Route

A diagram of the Responsibility Analysis.

Note

If you have selected the View - Swimlane menu option, the diagram is displayed in swimlane style.

Responsibility Table

For each Role, a table with all the Activities for which that Role is responsible, possibly including:

  • Description of the Activities.
  • Instructions of the Activities.
  • Description and Instructions of the Activities.

Team Route

A diagram of the Team Analysis.

Note

If you have selected the View - Swimlane menu option, the diagram is displayed in swimlane style.

Team Table

For each Team, a table with all the Activities for which that Team is responsible, possibly including:

  • Description of the Activities.
  • Instructions of the Activities.
  • Description and Instructions of the Activities.

Data Table

For each Data Object, a table with all the Activities to which the Data Object is connected.

Application Table

For each Application, a table with all the Activities to which the Application is connected.

RACI Table

For each Role, a table showing how the Role is connected to the Process according to the RACI method, possibly including:

  • Description of the Activities.
  • Instructions of the Activities.
  • Description and Instructions of the Activities.

Start Word Processor

After generating the RTF report, it will be opened directly in your word processor.

Drawing

Drawings that you have made.

Illustration

The following illustration shows the Layout tab where you can define the layout of the RTF report.

Layout Tab Options

Below you can see how the layout of the RTF report changes when you select an option on the Layout tab.

Option

Description

Title Page

The report will be given a title page.

Table of Contents

A layout template will be created for the contents, allowing you to incorporate a Table of Contents in your word processor.

Suppress Empty

Empty rows in tables will not be
displayed.

Keep Rows Together

Tables will be displayed on a single page, and will not be split up.

Header

The report will be given a header.

Footer

The report will be given a footer.

Colour Printer

If you plan to use a colour printer, you should select this option. Objects will then be displayed in colour in the report.

Distance between Tables

The number of empty lines between tables.

Layout

The style of the report, with the choice of Standard or Elegant.

Illustration

The following illustration shows the Sub-Process tab where you indicate which Sub-Processes and which Properties of the Objects in these Sub-Processes should be included in the RTF report.

Options Tab: Sub-Process

Below is a description of the information about the Process Model that is included in the RTF report if you select an option on the Sub-Process tab.

Option

Description

Processes - Diagram

Diagram of the contents of each Sub-Process.

Processes – Description/Instructions

With each diagram the Description and/or Instructions of the Sub-Process.

Processes - Contents

A table of all the Objects in the Sub-Process, possibly including:

  • Description of the Objects.
  • Instructions of the Objects.
  • Description and Instructions of the Objects.

Activities and Sub-Processes

The selected information of all the Activities and Sub-Processes in the Sub-Process.

Activities - Connections

Information about the Connections from and to Activities, with the following choices:

  • None
  • All
  • Only Off Page Connectors.

Triggers

The selected information of all the
Triggers in the Sub-Process.

Statuses

The selected information of all the
Statuses in the Sub-Process.

Buffers

The selected information of all the
Buffers in the Sub-Process.

Connections

The selected information of all the
Connections in the Sub-Process.

Applications

The selected information of all the
Applications in the Sub-Process.

Data

The selected information of all the Data Objects in the Sub-Process.

Executor Table

For each Role, a table with all the Activities that are carried out by that Role in the Sub-Process. Depending on the option defined on the Process Model tab, the
Description and/or Instructions of Activities will be displayed.

Responsibility Table

For each Role, a table with all the Activities for which that Role is responsible in the Sub-Process. Depending on the option defined on the Process Model tab, the Description and/or Instructions of Activities will be displayed.

Team Table

For each Team, a table with all the Activities that are carried out by that Team in the Sub-Process. Depending on the option defined on the Process Model tab, the Description and/or Instructions of Activities will be displayed.

Data Table

For each Data Object, a table with all the Activities in the Sub-Process to which the Data Object is connected.

Application Table

For each Application, a table with all the Activities in the Sub-Process to which the Application is connected.

Window with Sub-Processes

In the window with the overview of all the Sub-Processes, you can specify which Sub-Processes should be included in the RTF report.

Function Buttons on Tabs

Every tab has four Function buttons. Below is a description of these buttons.

Button

Description

All

All the options will be selected.

Diagrams Only

Only the options that display a diagram will be selected.

Nothing

All the options will be deselected.

Report Now

The Process Model will be reported immediately to RTF.

Opening the RTF Report Options
Window

Follow the steps below to open the Options window for RTF reports in Protos Classic.

Step

Action

1

Select the File menu and then the Report Options menu option, followed by Rich Text Format (RTF)...

2

Select the Process Model, Layout and the Sub-Process tabs to define the options.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Reporting to RTF

21.3

Defining a file location

5.5


21.3 Reporting to RTF
Introduction

This section describes how to report a Process Model to RTF in Protos Classic.

Reporting to RTF

Follow the method described below to report a Process Model to RTF.

Note

If you have chosen to display Tips in a Process Model, these will also appear in the RTF report.

Step

Action

1

Select the File menu and then the Report menu option, followed by Rich Text Format (RTF)...

2

  • Possibly select a different file location.
  • Possibly change the file name.

3

Click on Save.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

RTF Options

21.2

Displaying Tips

15.8


Viewing RTF Reports

21.4 Viewing RTF Reports
Introduction

This section describes how the information relating to a Process Model is reproduced in an RTF report.

Dependent on Options

Although the contents of an RTF report is very dependent on the options that you have selected, most RTF reports are generally structured as follows.

  • Title Page.
  • Contents.
  • Topview.
  • Organisation Objects.
  • Process Diagrams.
  • Analyses.
Title Page

The title page of an RTF report contains the following information:

  • Name of the Process Model.
  • Name of the Process Modeller.
  • Name of the Organisation.
Contents

If you have chosen to have a Table of Contents in the RTF report, all the necessary layout templates are incorporated into the report.

This means that you can just add a table of contents in the usual way in your word processor.

Topview

In the Topview section is an overview of all the Sub-Processes in the Process Model. You might also see a description here of each of these Sub-Processes.

Organisation Objects

This section of the report contains diagrams of the possible Organisation Objects in the Process Model - such as Roles, for example. You might also see a description here of each of these Organisation Objects.

Process
Diagrams

A separate section is created here for each Sub-Process in the Process Model. In each of these sections, you will initially find a diagram of the Sub-Process. After the diagram of the Sub-Process, there is a description of all the Objects in the Sub-Process.

In the diagram below is an example of a table containing information on an Activity.

You can see the Executor, the Description and the Documents and Applications used in this ‘Register Application’ Base Activity. You can also see the Extra Information that has been entered for this Activity.

Analyses

In this section you will find the Executor Analyses of the Process Model. This could be an Executor Route, for example. The information here could also be displayed as tables. For example, the Activities carried out by each particular Role could be displayed. An example of this is shown below.

Here we can see that the ‘Administrator’ Role carries out 3 Activities.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

RTF Options

21.2

Creating RTF reports

21.3


Chapter 22 Reporting to HTML

Summary

Introduction

This chapter contains information on defining and actually generating HTML reports.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

22.1

Introduction to HTML Reports

4-370

22.2

Defining HTML Options for a Process Model

4-372

22.3

Reporting a Process Model to HTML

4-379

22.4

Files for HTML Reports

4-380


Introduction to HTML Reports

22.1 Introduction to HTML Reports
Introduction

This section describes the options available for an HTML report.

Meaning of HTML

HTML stands for Hypertext Markup Language and is an international standard for writing Internet pages.

For Opening in an Internet Browser

The .htm files that are generated by reporting to HTML can be viewed in an Internet browser. By reporting a Process Model or a Domain to HTML, the report behaves like an Internet page, and you can browse through it.

Usage Options

Reporting to HTML offers unprecedented possibilities that are described below.

Option

Description

Electronic Manual

By reporting to HTML, you create an interactive electronic manual.

You can place the files on your intranet so that everyone can view the electronic version of Process Models.

At the push of a button, you place the latest version of a Process Model onto your intranet, so that everyone always has up-to-date support when carrying out processes.

File Location

Protos places all HTML files in the location that you have specified under Tools - File Location.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Options for HTML reports

22.2

Generating HTML reports

22.3

Viewing HTML Reports

Hfst. 24

Defining a file location

5.5


Defining HTML Options for a Process Model

22.2 Defining HTML Options for a Process Model
Introduction

This section describes how to define the options for an HTML report of a Process Model.

Tabs

You define the options for an HTML report in the HTML Options window. This window contains 3 tabs where you can select or deselect various options.

  • General tab.
  • Objects tab.
  • Analysis tab.
Illustration

The following illustration shows the General tab where you can define general options for the HTML report.

General Tab Options

Below is a description of the information that is included in the HTML report if you select and enter an option on the General tab.

Option

Description

Base Directory

If you have opted to have hyperlinks for a relative reference, you enter the location of these hyperlinks here. For example, the folder on your server where all the files are located.

E-mail Address

A button is created in the HTML report for sending an e-mail to the address that you enter in the field.

Start Page

A button is created in the HTML report for opening a Start page that you enter in the field.

Web

A button is created in the HTML report for opening a Web page that you enter in the field.

Legend

A button is created in the HTML report for opening a short explanation accompanying the report. You can create a file yourself, and enter this into the field. If you do not do this, the file already provided will be opened.

Search Page

A button is created in the HTML report for opening a search engine, which you enter in the field.

Instruction above Description

Instructions for all Objects will be placed above Descriptions.

Only show Hyperlinks of Extra Information

Only the hyperlinks of any Extra Information are displayed, for all Objects.

Start Browser

After you have generated an HTML report, it will automatically be opened in your favourite Internet browser.

Report Drawing

The drawings you have made will be used in the report.

Suppress empty rows

Options that you have not entered or used in Protos are not included in the report.

HTML Format

An HTML file can be selected. This stylesheet will then determine the appearance of the HTML report.

Maximise

A button is created in the HTML report to enlarge the process diagram.

Maximise - Current Window

The process diagram is maximised in the active browser window.

Maximise - New Window

The process diagram is maximised in a new browser window.

Orientation

The process diagram is placed on the left or right of the page.

Position Splitter - Vertical

The HTML report is divided into a left and a right half, with a split bar between. The percentage represents the area that is allocated to the left half of the window.

Position Splitter - Horizontal

Part of the HTML report is divided into an upper and a lower half, with a split bar between. The percentage represents the area that is allocated to the upper half of the window.

Illustration

The following illustration shows the Objects tab.

Objects Tab Options

On the Objects tab you can check-select the information you want to include in the HTML report, for each Object.

Illustration

The following illustration shows the Analysis tab.

Analysis Tab Options

On the Analysis tab you can select the Analyses that you want to include in the HTML report. For the Executor, Responsibility and Team Analyses, you can also indicate whether these should be displayed in swimlane or table format.

Function
Buttons on Tabs

Every tab has four function buttons. Below is a description of these buttons.

Button

Description

The HTML report will be immediately generated.

The selected options will be saved as a profile.

Profiles
Options Menu on Tabs

Every tab has an options menu. Below is a description of this options menu.

Options Menu

Description

An options menu from which you can select a profile for the report options. The following 2 profiles can be selected as default:

  • All - All options will be selected.
  • Nothing - All the options will be deselected.
Defining a File Location

Protos places all HTML files in the location that you have specified under Tools - File Location.

Opening HTML Options Menu

Follow the steps below to open the Options window for HTML reports.

Note

HTML options are only valid for the Process Model in which you define these options.

Step

Action

1

Select the File menu and then the Report Options menu option, followed by Hypertext Markup Language
(HTML)...

2

Select the General, Objects or the Analysis tabs to define the options.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Reporting a Process Model to HTML

22.3

Profiles

23.3

Hyperlinks

15.5

HTML Format

23.2


Reporting a Process Model to HTML

22.3 Reporting a Process Model to HTML
Introduction

This section describes how to report a Process Model to HTML.

Files

By reporting to HTML, a new folder is created - in the specified file location - with the name of the Process Model. All the files that are used for the HTML report of the Process Model are placed in this folder.

Reporting to HTML

Follow the method described below to report a Process Model to HTML.

Note

If you have chosen to display Tips in a Process Model, these will also appear in the HTML report.

Step

Action

1

Select the File menu and then the Report menu option, followed by Hypertext Markup Language (HTML)...

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

HTML Options for a Process Model

22.2

Displaying Tips

15.8


Files for HTML Reports

22.4 Files for HTML Reports
Introduction

When you generate HTML reports of Process Models, a large number of files are generated that allow the report to function properly.

This section describes how that collection of files is structured.

Always in File Location

All folders containing HTML files are always placed in the location that you specify via the Tools – File Location menu.

Folders with Name of Pal File

When you report a Process Model to HTML, a folder with the name of the pal file is created in the file location you specify. This folder contains all the files that are needed for the proper functioning of the HTML report of the Process Model.

Illustration of Process Model Folders

The following illustration shows Windows Explorer with a number of folders that were generated after Process Models were reported to HTML. A Process Model folder is opened.

Notes to
Illustration

In the illustration are 2 folders: Contracts and Quotations. That means that 2 Process Models have been reported. You see that the Contracts folder is open. This displays all the files for the HTML report of the Process Model on the right-hand side, including index.htm - for starting the presentation. There are also several sub-folders. These sub-folders contain all the files that are needed for the HTML report. Below is a description of what the folders are used for.

Folder

Contents

Gen

General information for the Process Model.

Gifs

General diagrams for the Process Model.

P...

Information that is specific for a Sub-Process. So
there could be several folders with a P.

R

Information that is specific for Roles.

T

Information that is specific for Teams and Role Groups.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Process Model Properties

8.1

Defining a file location

5.5


Chapter 23 Format Templates for HTML Reports

Summary

Introduction

This chapter contains information on creating, modifying and selecting templates for the format of HTML reports.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

23.1

Cascading Stylesheets

4-384

23.2

The HTML Formatting Wizard

4-387

23.3

Using Profiles in the HTML Report

4-396


Cascading Stylesheets

23.1 Cascading Stylesheets
Introduction

When you report to HTML, the report will have a specific appearance. This will normally look as follows.

  • Yellow background colour for the page.
  • Blue table borders.
  • Green font.
Changing the Design

The format of an HTML page can be adjusted to your own preferences, within certain limits. You do this by making changes to an HTML layout file. This file is of the 'Cascading Stylesheet' (CSS) type.

Cascading Stylesheet

The format of the sections in an HTML report is described in the Cascading Stylesheet, which is included with Protos. When you are preparing an HTML report, you should first ‘look’ in this Cascading Stylesheet to define the format of the report.

Modifying the CSS

You can use the Protos CSS Wizard to modify a CSS. This enables you to change the format of the HTML report in a simple way. You can even create different stylesheets allowing you to select a different appearance for each HTML report.

Selecting Stylesheet

You specify which stylesheet you want to use when you select the report options.

Sections
Protos CSS Wizard

The table below contains the various parts that you can modify using the Protos CSS Wizard.

Section

Description

Background and font for pages

In this section you can change the background colour and font. You can also add a background image if required.

Logo

In this section you can choose to display a (company) logo next to the navigation bar.

Hyperlinks

In this section you can select the font, colour and format of hyperlinks.

Headers

In this section you select the font of the headers that are used above images and in tables.

Table

In this section you specify how the tables must be formatted.

Tree Structures

In this section you can select the font of the tree structures in the HTML report. These tree structures are used in the 'A-Z' index and the Relationships.

Navigation bar and tabs

In this section you select the colour of the navigation bar and the tabs.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

HTML options

22.2

Viewing HTML reports

22.2

Hyperlinks

15.5

Protos CSS Wizard

23.2


The HTML Formatting Wizard

23.2 The HTML Formatting Wizard
Introduction

This section describes how to use the HTML Formatting Wizard to create and modify stylesheets for the HTML reports.

Welcome Window

When you start the Protos CSS Wizard, you will first see the Welcome window.

Start Window

The illustration below shows the next window that appears. Here you can indicate whether you want to edit an existing stylesheet or create a new stylesheet. If you select an existing stylesheet, it is displayed in the preview window.

Starting the HTML
Formatting Wizard

Follow the steps below to start the HTML Formatting Wizard.

Step

Action

1

  • Select the Tools menu in the Protos Explorer and then theHTML Format... menu option.
  • Click on OK.

2

  • Click on the New button if you want to create a new Stylesheet, or
  • Select a CSS file and click on the Edit button if you want to modify an existing stylesheet.
Naming the New
Stylesheet

If you decide to create a new Stylesheet, the next window that appears asks you to type in the required name.

Function
Button on Windows

Each subsequent window of the HTML Formatting Wizard contains a number of function buttons. Below is a description of these buttons.

Button

Function

Back

If you want to go to the previous window.

Next

If you want to go to the next window.

Cancel

If you want to stop the HTML Formatting Wizard.

Example

An example of the options selected thus far is displayed on the right of every window.

Background and Font for Pages

After opening an existing or new stylesheet, you see the following window.

Options
Window Background and Font for all Pages

You can define the following on the Background and font for all pages window:

  • The background colour for the HTML pages.
  • Possibly a background image.
  • The font and font size to be used.
  • Whether the selected options must be the same for all the pages.
Identical on all Pages

If you have checked the last option, the next window is Logo. If you have not checked this option, the next screens allow you to define the options for the following HTML pages:

  • Blank pages.
  • Hyperlinks.
  • History.
  • Index.
  • Description/Instructions.
  • Extra Information.
  • Navigation bar.
  • Process Diagram.
  • Role Relationships.
  • Relationships.
  • Role Activity Overview.
  • Roles Overview.
  • Topview.
Logo

Below is an illustration of the Logo window.

Options Logo Window

On the Logo window you can specify whether you want to include a (company) logo in the HTML report. This is placed on the right next to the navigation bar.

Hyperlinks

Below is an illustration of the Hyperlinks window.

Options Hyperlinks Window

On the Hyperlinks window you can indicate how hyperlinks are displayed in the HTML report. You can define the font and font size and use colours to differentiate between a link, an active link and a visited link.

Titles

Below is an illustration of the Headers window.

Options Headers Window

On the Headers window you can specify which font, font size and colour the following headers on an HTML page should have:

  • Titles above images.
  • Table headers.
  • Table subheaders.
Tables

Below is an illustration of the Tables window.

Options Tables Window

You can specify the following on the Tables window:

  • The background colour for a table.
  • The font, font size and font colour for a table.
  • The style, colour and width of the table Border.
Tree Structures

Below is an illustration of the Tree Structures window.

Options Tree Structures Window

Tree Structures are used in HTML reports in the index and on the Relations tab. On the Tree Structures window you can specify which font, font size and colour a tree should have in an HTML report.

Navigation Bar and Tabs

Below is an illustration of the Navigation bar and tabs window.

Options Navigation Bar and Tabs Window

On the Navigation bar and tabs window you can set the colour of the navigation bar and all tabs in the HTML report.

Saving

If you click on the Finish button in the last window, the new or modified stylesheet is saved.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Viewing HTML reports

24.1

Stylesheets

23.1

Profiles

23.3


Using Profiles in the HTML Report

23.3 Using Profiles in the HTML Report
Introduction

This section describes how to save the options for an HTML report in a profile. It also describes how to select a profile when you generate an HTML report.

Profiles

Selected report options can be saved in a file. This file is called a profile and has the file extension .pho. The profile is a type of template that you can select from a drop-down list.

Profiles for Different HTML Reports

You specify which profile you want to use when you select the report options. The profiles that you create can be used for the HTML reports.

Creating
Profiles

Follow the method described below to create a profile for the HTML options.

Step

Action

1

Open the HTML Report Options window.

2

Select all the options you want to include in a profile.

3

  • Click on the Save button.
  • Type in the desired name for the profile.
  • Click on Save.
Selecting a Profile

Follow the method described below to select a profile for the HTML report.

Step

Action

1

Open the HTML Report Options window.

2

Select the desired profile from the (Profiles) drop-down list.

You will see that the options belonging to the selected profile are checked.

3

Click on the Report Now button.

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

HTML options for a Process Model

22.3

HTML format

23.2


Chapter 24 Viewing an HTML Report of a Process Model

Summary

Introduction

This chapter contains information on viewing an HTML report of a Process Model.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

24.1

Process Model Overview

4-400

24.2

Basic Principles, an Example

4-402

24.3

Using the Navigation Bar

4-406

24.4

Using Tabs

4-408

24.5

Analyses in an HTML Report

4-413

24.6

Using the Index

4-415


Process Model Overview

24.1 Process Model Overview
Introduction

When you click on a Process Model in the Domain Overview, the Process Model will open. This section describes how the window of a Process Model is structured.

Illustration

The following illustration gives an overview of the page that you see when you open a Process Model.

Notes to
Illustration

Below is a description of the four sections in the HTML report of a Process Model.

Section

Description

Main Window

In this section you will see main information such as process diagrams, Topview, and Role and Analysis overviews.

Navigation Bar

A bar with buttons that you can use to
navigate through the report.

Object Information

If you click on an Object in the main window, you will see the main Properties of that Object here.

Indirect Object Information

As well as default Properties, other information can also be connected to an Object, such as Relationships, or Extra Information, for example.


Basic Principles, an Example

24.2 Basic Principles, an Example
Introduction

This section explains the basic principles of how to use an HTML report, using an example.

How to Start

If you click in the Domain page on the ‘Process Notification’ Process Model, then this Process Model will open in the next window.

You will see the following information in the window:

  • In the main window, you can see an illustration of the Main Process.
  • In the Object Information section, you can see a description of the Main Process.
Clicking on Activities

You can always display information by clicking on an Object. If you click on the ‘Register Mail Item’ Activity, for example, the following will result:

Clicking displays the following information:

  • In the Object Information section, the default Properties of the Activity are displayed, such as Executor, Description and Instructions.
  • In the Indirect Object Information section, the Extra Information about the Activity is displayed.
Displaying Role Properties

By clicking on an Activity, the Executor Role will be displayed. To discover more about the ‘Mail Clerk’ Role, you can click on this Role and the following will result.

Clicking on the Role displays the following information:

  • In the Indirect Object Information section, the default Properties of the Role are displayed.
Clicking on Sub-Processes

In the Main Process you will also see the ‘Reject Cover’ Sub-Process. You can click on this also. This will result in the following.

Clicking on the Sub-Process displays the following information:

  • In the main window, you will see a diagram of the Sub-Process.
  • At the top of the main window, you will see the name of the Sub-Process.
  • In the Object Information section, the default Properties of the Sub-Process are displayed, such as Responsibility, Description and Instructions.


Using the Navigation Bar

24.3 Using the Navigation Bar
Introduction

At the top of an HTML page of a Process Model you will always find the navigation bar, which you can use to jump to various sections in the report. This section describes the buttons that you will find on the navigation bar.

Buttons on the Navigation Bar

Below is a description of the function of the navigation bar buttons.

Note

Depending on the report options, it is possible that not all the buttons are displayed.

Button

Name

Description

Back

The previously opened page will appear.

Main
Process

You will jump back to the Main Process.

Roles

The Roles in the Process Model are displayed.

Overview

An overview is displayed of the entire structure of Sub-Processes in the Process Model. This is similar to the Topview window.

Analyses

The Analyses section is opened.

Up

You go up one Sub-Process level in the Process Model.

Instruc- tions

The Description and/or Instructions of the active Sub-Process are displayed.

Start Page

A Start page is opened.

Web Page

A Web page is opened.

Search

A Search page is opened.

Mail

You can send an e-mail to the person you have specified in the HTML report
options.

Index

A list of all the Objects in the Process
Model will appear. This list is sorted
alphabetically, and by Object type.

Screen

The active process diagram is maximised.

Legend

The Legend is opened.

Domain Page

You return to the HTML page of the entire Domain in which the Process Model is
located.

History

The History of the Process Model is
displayed.

Forward

The next page appears.


Using Tabs

24.4 Using Tabs
Introduction

A Process Model can contain a great deal of information. It would be impossible to put it all onto a single HTML page. This means that tab pages are needed to display all the information relating to Objects. This section describes how to use these tabs.

An Activity as an Example

To illustrate using tabs, we can use the Activity Object as an example.

Click for 3 Tabs

When you click on an Activity in the main window, you will see 3 tabs displayed in the Object Information area (top right). These 3 tabs have the following functions.

Tab

Description

General information about an Object.

Objects that are connected to another Object as a Relationship.

Hyperlinks that you have connected to an Object.

General Tab

When you click on an Activity, the General tab will appear as default. Below is an example of the information that may be displayed when you select the General tab.

With an Activity, the default Properties such as Description, Instructions, and Executor, are displayed.

Relations Tab

When you click on the Relations tab of an Activity, a number of other Objects will be displayed that are connected to that Activity. An example of this is shown below.

Pop-up folders will display Objects connected to the Activity, such as Documents and Applications. You can, of course, also click on these Objects.

Clicking
further from Relations

If you click on the ‘Mail Registration System’ Application, for example, then information about this Application appears in the area below it. An example of this is shown below.

Hyperlinks Tab

You can also connect Hyperlinks, such as a Connection to a Document, for example, to an Activity. By clicking on the Hyperlinks tab, all the Hyperlinks belonging to an Activity will be displayed.

You can open a Word document for this Activity, or send an e-mail to the head of the Administration department.


Analyses in an HTML Report

24.5 Analyses in an HTML Report
Introduction

In an HTML report, you can view the Analyses as they also appear in Protos. This section describes how to use these Analyses.

Opening via the Navigation Bar

You open the Analysis section by clicking on the [image] button in the toolbar. The Analyses are then displayed in the main window.

Possible
Analyses

At the top of the Analyses section you will see six ‘buttons’ with which you can determine which Analysis is displayed on screen. Below is a description of these buttons.

Note

The appearance of these buttons depends on the options you specified for the HTML report.

Button

Description

You use this to open an Executor Analysis, in which the Executor Role of all Activities is displayed.

You use this to open a Responsibility Analysis, in which the Responsible Role of all Activities is displayed.

You use this to open a Team Analysis, in which the work allocation of all Activities is displayed.

You use this to open a Data Table, in which the Documents used etc. of all the Activities are
displayed.

You use this to open an Application Table, in which the Applications used in all the Activities are displayed.

You use this to open a RACI Table in which all Involved items of an Activity are displayed according to the RACI method.

Illustration

The illustration below shows an example of the Executor Analysis.

Note

This diagram shows the Analysis in ‘Swimlane’ format. You could also specify in the HTML options that the Analysis should be displayed in table format. This happens automatically if the Analysis in swimlane format becomes too large.

Notes to
Illustration

This Analysis shows the Roles and Activities that are connected to these Activities as Executor. You can click on the Roles and on the Activities. In the right-hand windows you can see information about the Object.


Using the Index

24.6 Using the Index
Introduction

An HTML report contains an Index. You can use this Index to search quickly for a specific type of Object and immediately display information on that object. This section describes how to use the Index.

Opening via the Navigation Bar

You open the Index by clicking on the [image] button in the navigation bar. The Index will be displayed in the ‘Indirect Object Information’ section. This window is usually on the bottom right.

Illustration

The illustration below shows an example of an Index.

Notes to
Illustration

Every Object that is possible has its own folder in the Index. In the example you see that the ‘Roles’ folder is opened. All the Roles in the Process Model are displayed here.

Clicking
further via the Index

You can click on every Object in the Index , which will display more information about that Object. If you click on the ‘Claims Assistant’ Role in the example, the following will happen.

After clicking on the Role, the default Properties of the Role are displayed in the Object Information section. All the Activities carried out by that Role, including Description and Instructions, are displayed in the main window.


Chapter 25 Other Reports

Summary

Introduction

This chapter contains information about the other reporting options in Protos.

Contents

Below is a description of the subjects handled in this chapter.

Section

Subject

Page

25.1

Possible Other Reports

4-418

25.2

Reporting to HTML

4-420

25.3

Generating a CRUD Matrix

4-421

25.4

Generating a RACI Matrix

4-423


Possible Other Reports

25.1 Possible Other Reports
Introduction

This section describes the reports that you can create in Protos besides RTF and HTML reports.

Possible Reports

These other reports all relate to specific information in a Process Model. Below are the possible other reports.

  • XLS/HTML report of a Process Model
  • CRUD report of a Process Model
  • RACI report of a Process Model
XLS/HTML Reports

By reporting a Process Model to an XLS/HTML format, a file is created that you can open in an HTML browser or spreadsheet. The most important Properties and the Extra Information relating to the Objects in a Process Model are reproduced in this report. If you open the report in a spreadsheet, you can even do calculations using Extra Information.

CRUD Reports

CRUD stands for Create, Read, Update, Delete. This report indicates where in the process Data Objects can be Created, Read, Updated or Deleted. By reporting to CRUD, a file is generated that you can open in a spreadsheet. If you connect Data Objects to Activities and Sub-Processes, you can further specify this Relationship as being Mandatory, Created or Deleted. You can also choose to use none of these options. Below you can read how these selected options are converted in the CRUD report.

Specification

In a CRUD report

Mandatory

Update

Created

Create

Deleted

Delete

No option selected

Read

RACI Reports

RACI stands for Responsible, Accountable, Consulted, Informed. This report indicates how Roles are involved with Activities in the process.

  • The Responsible Role is the person who executes the Activity.
  • The Accountable Role is responsible for the Activity.
  • The Consulted Role is someone who is consulted in order to execute the Activity.
  • The Informed Role is someone who is informed about the execution of the Activity.

By reporting to RACI, a file is generated that you can open in a spreadsheet.

The way in which Roles are distributed among Responsible, Accountable, Consulted and Informed is based on the information that you enter for an Activity. The following table shows how a connected Role is displayed in the RACI matrix.

Role

In RACI matrix

Executor on General tab

Responsible

Responsible on General tab

Accountable

Consulted on Involved tab

Consulted

Informed on Involved tab

Informed

Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Creating XLS/HTML reports

25.2

Creating a CRUD matrix

25.3

Creating a RACI matrix

25.4


Reporting to HTML

25.2 Reporting to HTML
Introduction

This section describes how to report the most important Properties and Extra Information of Objects to XLS/HTML format in Protos Classic.

File Location

Protos places all XLS/HTML files in the location that you have specified under Tools - File Location. During reporting, you can still change this location.

Files

By reporting to XLS/HTML, a file is created with a .htm extension. This file can be opened in an HTML browser, and also in a spreadsheet.

Reporting to XLS/ HTML

Follow the method described below to report a Process Model to XLS/HTML.

Step

Action

1

Select the File menu and then the Report menu option, followed by XLS/HTML...

2

  • Possibly select a different file location.
  • Possibly also change the name of the file.
  • Click on Save.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Extra Information

15.1


Generating a CRUD Matrix

25.3 Generating a CRUD Matrix
Introduction

This section describes how to generate the files necessary for a CRUD matrix in Protos Classic.

File Location

Protos places all CRUD files in the location that you have specified under Tools - File Location. During reporting, you can still change this location.

Files

By reporting to CRUD, 4 files are created with the following extensions: .xl1, .xl2, .xl3 and .xl4. You can open these files in a spreadsheet. Below is a description of the contents of these files.

File

Contents

.xll

Documents and Folders used in Activities and Sub-Processes.

.xl2

Data Elements and Data Groups that are connected to Documents and Folders.

.xl3

Data Elements and Data Groups that are connected to Activities and Sub-Processes.

.xl4

Data Elements that are connected to Data Groups.

Generating CRUD Files

Follow the method described below to generate CRUD files.

Step

Action

1

Select the File menu and then the Report menu option, followed by CRUD...

2

  • Possibly select a different file location;
  • Possibly also change the name of the file;
  • Click on Save.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

Relationships between Objects

14.1


Generating a RACI Matrix

25.4 Generating a RACI Matrix
Introduction

This section describes how to generate a RACI matrix in Protos Classic.

File Location

Protos places all RACI files in the location that you have specified under Tools - File Location. During reporting, you can still change this location.

Files

By reporting to RACI, a file is created with a .xls extension. You can open this file in a spreadsheet.

Reporting to RACI

Follow the method described below to report a Process Model to RACI.

Step

Action

1

Select the File menu and then the Report menu option, followed by RACI...

2

  • Possibly select a different file location.
  • Possibly also change the name of the file.
  • Click on Save.
Additional Information

Below are details of where you can find information on related topics.

For more information on

See

General Tab of Activity

14.7

Involved Tab of Activity

14.8


Appendix B

Expression Grammar

Introduction

On this and the following pages you will find a description of the grammar used for the expressions on the Connections.

BNF

The grammar is described in BNF (Backus-Naur Form).

Expression

An expression consists of:

  • a simple expression, or
  • two expressions separated by an operator.

Expr ::= Expr DyadicOperator Expr

| SimpleExpr.

Simple Expression

A simple expression consists of a primary expression preceded by a monadic operator.

SimpleExpr ::= PrimaryExpr

| MonadicOperator SimpleExpr.

Primary Expression

A primary expression consists of:

  • an expression between brackets, or
  • a constant, or
  • an object expression.

PrimaryExpr ::= (Expr)

| Constant

| ObjectExpr

Object Expression

An object expression is a reference to a Data Object. An object expression consists of the name of the Data Object preceded by the name of the process containing the Data Object. The two names are separated by a dot.

ObjectExpr ::= [ProcessName .] DataName .

An example of this is:

‘process motor claim’. ‘name_client’

The name of the process is not needed if you are referring to a Data Element in the same process.

An example of this is:

claim amount > 100

Constant

A constant consists of:

  • a time constant, or
  • an integer constant, or
  • a string constant.

Constant ::= TimeConstant

| IntegerConstant

| StringConstant

An example of this is a date:

yy-mm-dd

Dyadic Operator

The integers following the operators indicate the priority. The higher the integer the more binding the operator. In the expression 3+4*5, the multiplication will be carried out before the addition takes place.

DyadicOperator ::= OR 1

| AND 2

| < 3

| <= 3

| > 3

| >= 3

| = 3

| # 3

| + 4

| - 4

| * 5

| / 5

  • The comparative operators (>, >=, <, <=, # (not equal to)) are defined for all data types (integer, text, yes/no, time and date).
  • Example of an expression with a comparative operator:
  • claim amount > 100
  • The AND and OR operators are only defined for yes/no data types.
  • Example of an expression with an AND operator:
  • insured AND claim amount > 100
  • The +, -, /, and * operators are defined for integer data types.
  • An example of this is:
  • 100 + 100
Monadic Operator

The monadic operators - and + are defined for integer types, 'NOT' is defined for yes/no types.

MonadicOperator ::= - 6

| + 6

| NOT 6

Name

A name consists of one or more characters between single quotes.

ProcessName ::= 'Character {Characer}'.

DataName ::= 'Character {Character}'.

If you want to use an apostrophe in a name, then put an extra single quote mark before that apostrophe.

An example of this is:

''John’s'.

Throughput Times and Waiting Periods

You specify throughput times and waiting periods by three integers:

  • the number of days;
  • the number of hours;
  • the number of minutes.

A percentage sign (%) should be placed in front of these three integers and a colon between them (:).

TimeConstant ::= % Days : Hours : Minutes.

Days ::= IntegerConstant.

Hours ::= IntegerConstant.

Minutes ::= IntegerConstant.

An example of a specification of 3 days, 12 hours and 0 minutes:

% 3 : 12 : 00

Integer Constant

An integer consists of one or more digits.

IntegerConstant ::= Digit {Digit} .

An example of a digit:

1958

String Constant

A string constant consists of zero or more characters between double quotes (").

StringConstant ::= " {Character}"

If you want to use a double quote in a string constant, you should place an extra double quote in front of this quote.

An example of this is:

"This is a ""quotation"""

Digit

A digit consists of:

Digit ::= 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 .

Spaces

Spaces are allowed everywhere. They only have a meaning, however, in string constants and names. 'Main process' and 'Mainprocess' are, therefore, two different names.


Appendix A

Hotkeys

Introduction

On this and the following pages you will find a description of all the hotkeys in Protos Classic. The hotkeys are divided into those you can use during modelling and those you can use when entering text, for example on the Description tab.

During Modelling

Below are the hotkeys that you can use during modelling.

Hotkey

Function

CTRL + N

Creates a new Process Model.

CTRL + O

Opens an existing Process Model.

CTRL + S

Saves a Process Model.

CTRL + L

Saves a Process Models under a different name.

CTRL + A

Selects all Objects in an area.

CTRL + F

Opens the Find window.

CTRL + C

Copies a selected Object.

CTRL + V

Pastes a copied Object.

CTRL + I

Opens the Printer Options.

CTRL + P

Prints the active screen area.

CTRL + Z

Undoes the last action.

CTRL + Y

Redoes the last action.

CTRL + D

Sets the Manual Sequence.

Del

Deletes a selected Domain or model.

Alt

Accesses a menu.

F1

Accesses the Help function.

F2

Changes the name of a selected Domain or Process Model.

F10

Accesses a menu.

Shift + F4

Positions windows vertically.

Alt + F4

Closes Protos Classic.

Entering Text

Below are the hotkeys that you can use when you enter text on the Description or Instructions tabs.

Hotkey

Function

CTRL + A

Selects all the text on a tab.

CTRL + X

Cuts the selected text.

CTRL + C

Copies the selected text.

CTRL + V

Pastes the text.

CTRL + B

Makes the selected text bold.

CTRL + I

Italicises the selected text.

CTRL + U

Underlines the selected text.

CTRL + F

Opens the Find window.

CTRL + H

Opens the Find and Replace window.

CTRL + Z

Undoes the last action.

CTRL + Y

Redoes the last action.

Del

Deletes the selected text.

Shift + F10

Accesses a context menu.